#ifndef lint
static char yysccsid[] = "@(#)yaccpar	1.8 (Berkeley) 01/20/90";
#endif
#define YYBYACC 1
#line 2 "pars.yacc"

/* $Id: pars.yacc,v 1.4 1995/06/30 22:32:11 pturner Exp pturner $
 * 
 * evaluate expressions, commands, parameter files
 * 
 */

#define PARS			

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#ifdef VMS
#  include "missing_math.h"
#  ifdef MULTINET
#     include "multinet_root:[multinet.include.sys]param.h"
#  endif
#else
#  include <sys/param.h>
#endif
#include "globals.h"
#include "protos.h"
#include "ps.h"

#ifndef M_PI
#     define M_PI  3.14159265358979323846
#endif

#ifndef TRUE
#     define TRUE 1
#endif

#ifndef FALSE
#     define FALSE 0
#endif

double result, resx, resy;	/* return value if expression */

double drand48(void);
long lrand48(void);
double erf(double arg); /* doesn't seem to be in ANSI C */
double erfc(double arg); /* doesn't seem to be in ANSI C */
double rnorm(double mean, double sdev);
double fx(double x);
double normp(double b, double *s);
double invnorm(double p);
double invt(double p, int n);
double *getvptr(int gno, int setno, int v);
double vmin(double *x, int n);
double vmax(double *x, int n);
void yyerror(char *s);

static int interr;

static double *freelist[100]; 	/* temporary vectors */
static int fcnt;		/* number allocated */

int naxis = 0;	/* current axis */
int curline, curbox, curellipse, curstring, curleg, curgrid;

int gotbatch, gotparams, gotread; /* these guys attempt to avoid reentrancy problems */
int readtype, readsrc, readxformat;
char batchfile[256], paramfile[256], readfile[256];

static char f_string[512];	/* buffer for string to parse */
static int pos = 0;
static double *aa, *bb, *cc, *dd, *xx, *yy;
static int setindex, lxy, ls;
static int setsetno;
static int whichgraph;
static int whichset;

extern int change_gno;
extern int change_type;

#line 82 "pars.yacc"
typedef union {
    double val;
    long ival;
    double *ptr;
    long func;
    long pset;
    char *str;
} YYSTYPE;
#line 94 "y.tab.c"
#define ABS 257
#define ACOS 258
#define ASIN 259
#define ATAN 260
#define ATAN2 261
#define CEIL 262
#define COS 263
#define DEG 264
#define DX 265
#define DY 266
#define ERF 267
#define ERFC 268
#define EXP 269
#define FLOOR 270
#define HYPOT 271
#define INDEX 272
#define INT 273
#define INVN 274
#define INVT 275
#define IRAND 276
#define JDAY 277
#define JDAY0 278
#define LGAMMA 279
#define LN 280
#define LOG 281
#define LOGISTIC 282
#define MAXP 283
#define MINP 284
#define MOD 285
#define NORM 286
#define NORMP 287
#define PI 288
#define RAD 289
#define RAND 290
#define RNORM 291
#define SETNO 292
#define SIN 293
#define SQR 294
#define SQRT 295
#define TAN 296
#define INUM 297
#define VX1 298
#define VX2 299
#define VY1 300
#define VY2 301
#define WX1 302
#define WX2 303
#define WY1 304
#define WY2 305
#define DELAYP 306
#define DOUBLEBUFFER 307
#define DOWN 308
#define ABSOLUTE 309
#define ABORT 310
#define ACTIVATE 311
#define ACTIVE 312
#define ALT 313
#define ALTERNATE 314
#define ALTXAXIS 315
#define ALTYAXIS 316
#define ANGLE 317
#define ANNOTATE 318
#define APPEND 319
#define AREA 320
#define ARRANGE 321
#define ARROW 322
#define ASCENDING 323
#define AUTO 324
#define AUTOSCALE 325
#define AUTOTICKS 326
#define AVG 327
#define AXIS 328
#define AXES 329
#define BACKBUFFER 330
#define BACKGROUND 331
#define BAR 332
#define BATCH 333
#define BLOCK 334
#define BIN 335
#define BOTH 336
#define BOTTOM 337
#define BOX 338
#define BOXPLOT 339
#define CD 340
#define CELLS 341
#define CENTER 342
#define CHAR 343
#define CHRSTR 344
#define CLEAR 345
#define CLICK 346
#define CMAP 347
#define COLOR 348
#define COMMENT 349
#define COPY 350
#define CYCLE 351
#define DECIMAL 352
#define DEF 353
#define DEFAULT 354
#define DELETE 355
#define DEVICE 356
#define DESCENDING 357
#define DFT 358
#define DIFFERENCE 359
#define DISK 360
#define DRAW2 361
#define DROP 362
#define DXDX 363
#define DXP 364
#define DYDY 365
#define DYP 366
#define ECHO 367
#define EDIT 368
#define ELSE 369
#define END 370
#define ERRORBAR 371
#define EXIT 372
#define EXPONENTIAL 373
#define FALSEP 374
#define FFT 375
#define FILEP 376
#define FILL 377
#define FIND 378
#define FIXEDPOINT 379
#define FLUSH 380
#define FOCUS 381
#define FOLLOWS 382
#define FONTP 383
#define FOREGROUND 384
#define FORMAT 385
#define FRONTBUFFER 386
#define FRAMEP 387
#define GETP 388
#define GRAPH 389
#define GRAPHNO 390
#define GRAPHS 391
#define GRAPHTYPE 392
#define GRID 393
#define HARDCOPY 394
#define HBAR 395
#define HBOXPLOT 396
#define HGAP 397
#define HIDDEN 398
#define HORIZONTAL 399
#define HPGLL 400
#define HPGLP 401
#define HISTO 402
#define IF 403
#define IGNORE 404
#define IHL 405
#define IMAGE 406
#define IN 407
#define INIT 408
#define INOUT 409
#define INTEGRATE 410
#define INTERP 411
#define INVDFT 412
#define INVFFT 413
#define JUST 414
#define KILL 415
#define LABEL 416
#define LAYOUT 417
#define LEAVE 418
#define LEFT 419
#define LEGEND 420
#define LENGTH 421
#define LEVEL 422
#define LEVELS 423
#define LINE 424
#define LINESTYLE 425
#define LINETO 426
#define LINEWIDTH 427
#define LINK 428
#define LOAD 429
#define LOCATOR 430
#define LOCTYPE 431
#define LOGX 432
#define LOGY 433
#define LOGXY 434
#define MAJOR 435
#define MIFL 436
#define MIFP 437
#define MINOR 438
#define MISSINGP 439
#define MOVE 440
#define MOVE2 441
#define MOVETO 442
#define NEGATE 443
#define NO 444
#define NONE 445
#define NORMAL 446
#define NXY 447
#define OFF 448
#define OFFSETX 449
#define OFFSETY 450
#define ON 451
#define OP 452
#define ORIENT 453
#define OUT 454
#define PAGE 455
#define PARA 456
#define PARALLEL 457
#define PARAMETERS 458
#define PARAMS 459
#define PATTERN 460
#define PERIMETER 461
#define PERP 462
#define PERPENDICULAR 463
#define PIE 464
#define PIPE 465
#define PLACE 466
#define POINT 467
#define POLAR 468
#define POLY 469
#define POWER 470
#define PREC 471
#define PREPEND 472
#define PRINT 473
#define PS 474
#define PSCOLORP 475
#define PSMONOP 476
#define PSCOLORL 477
#define PSMONOL 478
#define PUSH 479
#define POP 480
#define PUTP 481
#define RAWSPICE 482
#define READ 483
#define REDRAW 484
#define REGRESS 485
#define REGNUM 486
#define REGIONS 487
#define RENDER 488
#define REVERSE 489
#define RIGHT 490
#define RISER 491
#define ROT 492
#define RUNAVG 493
#define RUNMED 494
#define RUNSTD 495
#define RUNMIN 496
#define RUNMAX 497
#define SAMPLE 498
#define SAVEALL 499
#define SCALE 500
#define SCIENTIFIC 501
#define SET 502
#define SETNUM 503
#define SETS 504
#define SIGN 505
#define SIZE 506
#define SKIP 507
#define SLEEP 508
#define SLICE 509
#define SMITH 510
#define SORT 511
#define SOURCE 512
#define SPEC 513
#define SPECIFIED 514
#define SPECTRUM 515
#define STACK 516
#define STACKEDBAR 517
#define STACKEDHBAR 518
#define STACKEDLINE 519
#define STAGGER 520
#define START 521
#define STARTTYPE 522
#define STATUS 523
#define STOP 524
#define STRING 525
#define SUBTITLE 526
#define SWAPBUFFER 527
#define SYMBOL 528
#define TICKP 529
#define TICKLABEL 530
#define TICKMARKS 531
#define TIME 532
#define TITLE 533
#define TO 534
#define TOP 535
#define TRUEP 536
#define TYPE 537
#define UP 538
#define VELOCITY 539
#define VERTICAL 540
#define VGAP 541
#define VIEW 542
#define WITH 543
#define WORLD 544
#define WRITE 545
#define X 546
#define X0 547
#define X1 548
#define XAXES 549
#define XAXIS 550
#define XCOR 551
#define XMAX 552
#define XMIN 553
#define XY 554
#define XYARC 555
#define XYBOX 556
#define XYBOXPLOT 557
#define XYFIXED 558
#define XYHILO 559
#define XYRT 560
#define XYSEG 561
#define XYSTRING 562
#define XYDX 563
#define XYDY 564
#define XYDXDX 565
#define XYDYDY 566
#define XYDXDY 567
#define XYX2Y2 568
#define XYXX 569
#define XYYY 570
#define XYZ 571
#define XYZW 572
#define XYUV 573
#define TSV 574
#define Y 575
#define Y0 576
#define Y1 577
#define Y2 578
#define Y3 579
#define Y4 580
#define Y5 581
#define YAXES 582
#define YAXIS 583
#define YES 584
#define YMAX 585
#define YMIN 586
#define ZEROXAXIS 587
#define ZEROYAXIS 588
#define ABOVE 589
#define BELOW 590
#define POLYI 591
#define POLYO 592
#define GENERAL 593
#define DDMMYY 594
#define YYMMDD 595
#define MMDDYY 596
#define MMYY 597
#define MMDD 598
#define MONTHDAY 599
#define DAYMONTH 600
#define MONTHS 601
#define MONTHSY 602
#define MONTHL 603
#define DAYOFWEEKS 604
#define DAYOFWEEKL 605
#define DAYOFYEAR 606
#define HMS 607
#define MMDDHMS 608
#define MMDDYYHMS 609
#define YYMMDDHMS 610
#define DEGREESLON 611
#define DEGREESMMLON 612
#define DEGREESMMSSLON 613
#define MMSSLON 614
#define DEGREESLAT 615
#define DEGREESMMLAT 616
#define DEGREESMMSSLAT 617
#define MMSSLAT 618
#define DOT 619
#define STAR 620
#define PLUS 621
#define CROSS 622
#define CIRCLE 623
#define SQUARE 624
#define DIAMOND 625
#define TRIANGLE1 626
#define TRIANGLE2 627
#define TRIANGLE3 628
#define TRIANGLE4 629
#define SPLINE 630
#define LANDSCAPE 631
#define PORTRAIT 632
#define FREE 633
#define FIXED 634
#define STATUSBAR 635
#define LOCATORBAR 636
#define TOOLBAR 637
#define VAR 638
#define NUMBER 639
#define FITPARM 640
#define OR 641
#define AND 642
#define GT 643
#define LT 644
#define LE 645
#define GE 646
#define EQ 647
#define NE 648
#define UMINUS 649
#define NOT 650
#define ELLIPSE 651
#define ACOSH 652
#define ASINH 653
#define ATANH 654
#define COSH 655
#define SINH 656
#define TANH 657
#define ASPLINE 658
#define BIASED 659
#define UNBIASED 660
#define BEGIN 661
#define INCREMENT 662
#define SD 663
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   38,   38,   38,   38,   38,   38,   38,
   38,   38,   18,   18,   18,   18,   18,   18,   18,   18,
   19,   19,   19,   19,   19,   19,   19,   19,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   23,   23,   23,
   23,   23,   23,   23,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   28,   28,   28,   28,   28,
   28,   28,   28,   28,   28,   28,   28,   28,   21,   21,
   21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
   21,   32,   32,   32,   32,   20,   20,   20,   20,   20,
   20,   37,   39,   39,   39,   39,   39,   39,   39,   39,
   39,   39,   39,   39,   39,   39,   39,   39,   39,   39,
   39,   39,   39,   39,   39,   39,   39,   39,   39,   39,
   39,   36,   36,   36,   36,   36,   36,   40,   40,   40,
   40,   40,   40,   42,   42,   42,   43,   43,   43,   43,
   43,   43,   43,   41,   41,   41,   41,   41,   44,   44,
   48,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   48,   48,   48,   48,   48,   48,   48,   48,   48,
   48,   45,   45,   49,   49,   49,   49,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   49,   49,   49,
   49,   49,   49,   49,   49,   49,   49,   46,   46,   46,
   46,   46,   46,   46,   46,   46,   46,   46,   47,   47,
   47,   47,   22,   22,   22,   22,   22,   22,   25,   25,
   25,   25,   25,    8,    8,    9,    9,   29,   29,   29,
   29,   29,   30,   30,   30,   30,    2,    2,   27,   27,
   26,   26,   26,   16,   16,   16,   16,   16,   15,   15,
   15,   31,   31,   35,   35,   10,   10,   13,   13,   13,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   12,
   12,   12,   12,   12,   12,   12,   12,   12,   12,   14,
   14,   14,   17,   17,   17,   17,   17,   17,   11,   11,
   34,   34,   33,   33,    7,    7,    7,    7,    7,    7,
    7,    7,    7,    4,    4,    4,    4,    4,    6,    5,
    5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
    5,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,
};
short yylen[] = {                                         2,
    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    3,    4,    3,    2,    3,    1,    4,
    4,    3,    1,    1,    1,    1,    1,    1,    1,    1,
    2,    3,    3,    3,    3,    9,    5,    4,    1,    3,
    2,    2,    1,    3,    8,    1,    3,    2,    2,    2,
    4,    4,    6,    2,    2,    2,    7,    2,    2,    3,
    3,    2,    2,    2,    1,    2,    2,    2,    2,    2,
    2,    2,    4,    6,    3,    5,    3,    5,    3,    5,
    5,    7,    5,    7,    4,    4,    8,    4,    8,    2,
    2,    3,    3,    2,    2,    1,    4,    7,    6,    6,
    6,   10,   10,    8,   10,    6,    4,   10,    1,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    3,    3,    4,    3,    3,    4,    3,    3,
    5,    2,    4,    4,    6,    2,    1,    1,    1,    2,
   17,    2,    2,    2,    3,    2,    2,    8,    3,    3,
    3,    3,    3,    4,    4,    2,    2,    2,    3,    2,
    2,    8,    3,    3,    3,    3,    3,    4,    4,    2,
    2,    3,    2,    2,    2,    8,    3,    3,    3,    3,
    3,    4,    4,    2,    2,    2,    3,    2,    2,    4,
    3,    3,    3,    3,    3,    3,    4,    3,    3,    4,
    5,    4,    4,    5,    3,    3,    3,    4,    3,    4,
    4,    8,    3,    3,    3,    3,    5,    8,    3,    3,
    3,    3,    2,    3,    3,    3,    3,    2,    3,    3,
    3,    3,    4,    2,    3,    3,    3,    3,    3,    3,
    4,    5,    5,    4,    4,    4,    4,    3,    3,    4,
    3,    3,    3,    3,    4,    2,    3,    3,    3,    3,
    3,    4,    2,    3,    4,    4,    3,    3,    3,    4,
    4,    3,    5,    6,    6,    4,    4,    3,    3,    3,
    3,    3,    3,    4,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    2,    1,    1,    2,    2,    2,    2,    2,    3,
    3,    3,    3,    3,    3,    3,    3,    2,    2,    3,
    3,    2,    3,    3,    3,    3,    3,    4,    4,    4,
    2,    1,    2,    1,    2,    3,    2,    1,    1,    1,
    1,    1,    1,    2,    2,    2,    1,    2,    2,    2,
    2,    3,    2,    2,    2,    2,    2,    1,    1,    2,
    1,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    1,    2,    2,    3,    3,    2,    2,    3,    3,
    3,    3,    3,    3,    3,    3,    2,    2,    2,    2,
    3,    1,    2,    1,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    3,    3,    3,    3,
    2,    2,    3,    2,    2,    2,    3,    1,    2,    2,
    2,    2,    4,    2,    3,    2,    2,    2,    1,    2,
    2,    2,    3,    1,    1,    2,    2,    2,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    6,    6,    8,    5,   10,    5,    3,
    3,    3,    5,    5,    7,    5,    7,    3,    3,    5,
    7,    1,    1,    3,    5,    1,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    4,    4,    4,    4,
    4,    4,    4,    4,    6,    4,    4,    4,    1,    4,
    4,    4,    4,    6,    6,    6,    6,    1,    1,    4,
    4,    6,    6,    4,    4,    4,    4,    8,    6,    6,
    6,    4,    4,    1,    1,    1,    6,    6,    6,    6,
    4,    4,    4,    4,    4,    4,    5,    3,    3,    3,
    3,    3,    3,    3,    3,    2,    3,    2,    1,    1,
    4,    3,    4,    6,    8,    5,    7,    3,    3,    7,
    5,    3,    3,    3,    3,    3,    3,    3,    4,    4,
    4,    4,    4,    4,    4,    6,    4,    4,    4,    1,
    4,    4,    4,    4,    6,    3,    3,    3,    3,    3,
    3,    3,    3,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    4,    4,    6,    4,    8,
   14,    4,    4,    4,    8,    6,    6,    6,    4,    4,
    1,    1,    1,    6,    4,    4,    4,    4,    4,    4,
    5,    3,    3,    3,    3,    3,    3,    3,    3,    2,
    3,    2,
};
short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  732,
  733,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  724,  725,  726,  727,  728,  729,  730,  731,    0,
    0,    0,    0,  370,  371,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  139,    0,
    0,  493,    0,    0,    0,   46,  494,   96,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  495,
  496,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  137,  138,    0,    0,   39,
    0,    0,  488,  490,  489,  492,  491,    0,    0,  475,
    0,    0,    0,    0,   43,    0,    0,   65,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  565,  567,    0,
  368,    0,  566,  568,  569,  570,  571,  572,  573,    0,
  369,  372,  373,    0,    0,    0,    0,    0,  679,  680,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  364,   13,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   67,  517,  516,   62,   68,    0,    0,    0,
    0,  112,  110,  111,    0,    0,    0,    0,    0,    0,
  485,  484,  377,  374,   64,    0,  306,  305,  307,  308,
  285,  286,  287,  288,  289,  290,  291,  292,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
    0,    0,    0,    0,    0,    0,    0,    0,  710,    0,
    0,    0,    0,    0,  734,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  751,  752,
  753,    0,  735,    0,    0,    0,    0,    0,  156,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  146,   41,
  143,  173,  142,  185,  157,    0,   54,    0,    0,    0,
    0,    0,    0,    0,    0,   17,    0,    0,    0,   42,
  118,  117,  114,  116,  115,  521,  522,  523,  524,  525,
  527,  526,  528,  529,  530,  531,  532,  533,  534,  535,
  536,  537,  538,  539,  540,  541,  542,  543,  544,  545,
  546,  547,  548,  549,  121,   63,    0,    0,    0,    0,
    0,    0,  256,   69,    0,    0,    0,    0,    0,    0,
  476,    0,    0,    0,  263,    0,  478,  477,    0,  367,
    0,    0,    0,    0,   94,   95,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  234,    0,    0,  184,    0,    0,    0,
    0,    0,  174,   56,   55,    0,    0,    0,  113,    0,
    0,    0,  554,  557,    0,    0,  556,  558,  555,  553,
   59,   58,    0,   30,   29,   28,   27,   26,   25,   23,
   24,    0,    0,    0,   70,    0,    0,  122,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   31,  136,
    0,    0,    0,    0,    0,    0,   66,    0,  499,  500,
  119,    0,  140,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  188,  228,    0,    0,    0,    0,    0,
    0,  223,    0,    0,    0,    0,  120,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   71,    0,   72,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  375,    0,  376,    0,   48,   50,   49,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  170,    0,    0,    0,    0,    0,    0,  160,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    5,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    6,    0,
    2,    3,    4,    0,    0,    0,    8,  482,    0,    0,
    0,  481,    0,  334,  479,  480,    0,    0,  483,    0,
    0,    0,    0,  333,    0,  332,   10,    7,    0,    0,
    9,   11,   12,    0,    0,    0,    0,  388,  363,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   77,    0,   40,    0,  378,  381,  383,  380,
  379,   44,  126,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  152,    0,  503,    0,  153,    0,  150,
  151,  560,  559,  149,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  207,    0,  209,
  205,  206,    0,    0,    0,    0,  260,  261,  258,  259,
  257,    0,    0,  267,    0,    0,    0,    0,    0,  272,
  268,  264,    0,  313,  319,  314,  320,  310,  311,  312,
  317,  321,  315,  316,  309,  318,  269,  716,  717,  718,
  719,  720,  721,  722,  723,    0,    0,  366,   18,    0,
    0,    0,   92,   93,    0,    0,    0,    0,  240,    0,
  254,  251,  238,  236,  239,  252,  253,  235,    0,  237,
    0,    0,    0,    0,    0,  181,  180,  179,  178,  177,
    0,   61,    0,    0,    0,    0,    0,   60,  323,  324,
  322,  325,   47,    0,    0,   14,   22,    0,    0,  123,
  124,    0,  129,  127,    0,    0,   33,    0,   34,   35,
  328,  329,  326,  327,  330,  331,   32,    0,    0,    0,
   79,   75,    0,    0,    0,  582,  689,    0,    0,  563,
  564,    0,    0,    0,  193,  198,  195,  196,  192,  191,
  194,    0,  231,  229,  232,  230,    0,    0,    0,    0,
    0,    0,  199,  226,  224,  227,  225,    0,  282,  279,
  281,  280,  283,  278,  220,  219,  222,  221,    0,  145,
  172,  187,  159,    0,    0,    0,    0,    0,  130,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  166,    0,    0,  167,  164,  165,  163,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  771,  677,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  513,  512,  514,  515,  688,
  692,    0,  361,    0,    0,    0,    0,    0,  486,  487,
    0,  349,    0,  338,    0,  337,  352,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  335,    0,  348,    0,
    0,    0,    0,    0,  469,  387,    0,  458,    0,    0,
    0,    0,    0,    0,  386,    0,    0,    0,    0,  520,
    0,    0,  518,    0,    0,    0,    0,    0,    0,  519,
    0,    0,    0,    0,  391,  402,    0,  389,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  424,    0,  422,    0,  618,  700,  619,  702,  621,  704,
  623,    0,    0,  707,  626,  708,  627,  711,  630,  712,
  631,  713,  632,  714,  633,    0,    0,  107,  736,  640,
  737,  641,    0,    0,    0,    0,    0,  742,  645,  743,
  646,  744,  647,    0,    0,    0,    0,    0,    0,    0,
    0,  749,  652,  750,  653,    0,    0,  755,  661,  757,
  663,  758,  664,  759,  665,    0,   97,  382,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  154,  155,
    0,  682,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   86,
  208,  210,  211,    0,    0,  262,  277,  265,  266,  270,
    0,    0,  276,    0,  271,    0,    0,    0,    0,    0,
    0,  233,    0,    0,    0,  244,    0,  241,    0,  245,
  246,  250,  255,    0,  182,  183,    0,   38,    0,    0,
   88,    0,    0,   15,   20,   21,  125,  128,    0,    0,
    0,    0,    0,   73,    0,    0,    0,    0,    0,    0,
  561,  562,   85,    0,  197,    0,    0,    0,  202,  200,
  203,    0,  284,    0,    0,    0,  133,    0,    0,    0,
    0,    0,    0,  168,  169,    0,  701,  620,  703,  622,
  705,  624,  709,  628,  756,  662,  760,  666,    0,    0,
    0,    0,  353,  356,  355,    0,    0,  357,  508,  505,
  506,  507,  504,  354,  350,  351,  341,  343,    0,  340,
  347,  346,    0,  344,    0,    0,    0,  470,  471,  472,
    0,  467,  466,  511,  510,  509,  464,  460,  459,  468,
  461,  462,    0,  403,    0,    0,  398,  407,  401,  408,
    0,    0,    0,    0,    0,    0,  392,    0,    0,    0,
    0,    0,    0,  393,    0,    0,  417,  404,  420,  418,
  419,    0,  390,  439,  430,    0,  455,  454,  429,  428,
  452,  440,  432,  434,  433,  456,  436,  437,  435,  438,
  443,  427,  431,  551,  552,  550,  444,  441,  442,    0,
    0,    0,    0,  425,  426,  451,    0,  423,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   78,  699,    0,    0,  739,    0,    0,    0,  681,    0,
  683,    0,    0,    0,  273,    0,    0,    0,   80,   76,
    0,    0,    0,  583,    0,    0,  131,    0,  242,  243,
    0,    0,    0,    0,    0,    0,    0,    0,   83,    0,
  584,    0,    0,    0,  686,  691,    0,    0,    0,  201,
  204,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  359,  358,    0,    0,    0,  465,
    0,  409,  415,  413,  411,  405,  410,  416,  414,  412,
  406,    0,  453,  448,  447,  450,  449,  457,  706,  625,
    0,  635,  636,  634,    0,  643,    0,    0,    0,    0,
  746,  649,  747,  650,  748,  651,    0,  658,  659,  657,
    0,    0,    0,    0,    0,    0,    0,    0,  106,  274,
    0,    0,   74,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   99,    0,    0,    0,   53,    0,    0,
  135,    0,    0,    0,    0,    0,    0,    0,    0,  100,
  101,  463,    0,    0,    0,    0,  715,  738,  754,    0,
  684,    0,    0,    0,   84,    0,  585,    0,    0,  687,
  690,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   57,  497,  498,    0,    0,    0,    0,  740,
    0,  745,  648,    0,    0,   45,   87,    0,    0,  104,
    0,   89,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  685,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  105,    0,  108,  102,  103,    0,    0,    0,
    0,    0,    0,  741,    0,    0,    0,    0,
};
short yydgoto[] = {                                     172,
 1034, 1686,  686,  175,  176,  177,  328,  243, 1073,  226,
  774,  385, 1126, 1467, 1407, 1384,  462,  473,  179,  917,
  837,  180,  181,  182,  645,  768,  501,  271,  183,  184,
 1060,  893,  932, 1333, 1061,  185,  186,  187,  646,  188,
  659,  189,  244, 1127, 1152, 1105, 1096, 1128, 1153,
};
short yysindex[] = {                                   5650,
   14,   48,   61,   71,  112,  119,  278,  316,    0,    0,
    0,  336,  340,  377,  390,  402,    0,  410,  413,  420,
  439,  440,  449,  452,  453,  454,  478,  481,  499,  500,
  506,  511,    0,    0,    0,  512,    0,  516,  519,  520,
  525,    0,    0,    0,    0,    0,    0,    0,    0, -587,
 -359, -359, -380,    0,    0, -524, -328, -164, 1555, -359,
  -45,12734, 6702,   17, -277, -238,  -95, -354,    0,  746,
  -73,    0,  528, 9125,   85,    0,    0,    0,  385, 8758,
 -359,  679,  225, 1784, 1059,  214,  540,   27,  549,    0,
    0, -158, 6052, 7027,  -28,  -26, -387,  -10, -423, -343,
 9125, -165,   87,  849,  205,    0,    0,  289,13356,    0,
  599,   34,    0,    0,    0,    0,    0,  296,  -40,    0,
   23,  138, -215, -301,    0, 6377,   39,    0, 9125,  120,
   51,12734,  384, 8499,  200, 8583, -171,    0,    0, 1555,
    0,  644,    0,    0,    0,    0,    0,    0,    0, 1555,
    0,    0,    0,  646, -423, -423, -423,  262,    0,    0,
 9180, 9180, 7352,  647,  650,  651,  652,  653,  656,  665,
 9180,    0,  428, 2760,  687,  714,  716,   35,  717, 3713,
  718,  723,  710,  726,  760,  766,  769,  107,    0,    0,
 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180,
 9180, 9180, 9584, 9180, 9180,  141,  148,  157, 9180, 9180,
 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180,
 9180, 9180,    0,    0,    0,    0,    0,  751,  169,  768,
 -423,    0,    0,    0,  304,  175,  178, -423,  179,  180,
    0,    0,    0,    0,    0,  184,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  490,  785,  795,  797,  803,  805,  810,  818,    0,  820,
  821,  824,  827,  831,    0,  833,  835,  837,  839,  841,
  843,  845,  846,  850,  851,  852,  853,  855,    0,    0,
    0,  862,    0,  877,  879,  880,  901,  223,    0, -108,
  896,  305,  306, -295,  900,  903,  856, 9125, 9125,  913,
  914,  916,  917,  918,  919, 9125, 3289,   37,    0,    0,
    0,    0,    0,    0,    0,  927,    0,  915,  426,  468,
  337, -495,  339,  347,  482,    0,  497,  896, 3563,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  668,  362, -423,  380,
  381,  382,    0,    0,  518, -351,  517,  504, -359, -423,
    0,  523, 1971,   -6,    0,  521,    0,    0,  107,    0,
  391,  529,  392,  532,    0,    0,  537,  538,  421,  533,
  399,  401,  405,  415,  422,  423,  424, -295,  429,  438,
 9125, 9125, 3747,    0, -204,  441,    0,  896,  443,  444,
 -295, 3863,    0,    0,    0, -423,  508,  445,    0,  978,
  509, 4223,    0,    0,  447,  -11,    0,    0,    0,    0,
    0,    0, 9125,    0,    0,    0,    0,    0,    0,    0,
    0, 1735,  715, -284,    0,  735, -177,    0,  743, -115,
  585,  451, 9125,  456,  462,  -90, 9125, 1355,    0,    0,
  466,  472,  -25, 9125, -324,  948,    0, -472,    0,    0,
    0, 9125,    0,  587,  473,  747,  475,  896,  476,  483,
 -295,  484, 5728,    0,    0,  485,  486,  487,  489, 5782,
 -270,    0,  492,  493,  495,  496,    0,  570,  498, -423,
  501,  503, -295,  515,  522,  530,  535,  536, 5810,  541,
    0,  543,    0,  544,  545, 9125, 9125, 9125, 9125, 6069,
  776, -210, 9125,    0,  618,    0,  633,    0,    0,    0,
 9180, 9125, 1098, 1093, 1104,  856, 1092, 1096,   37, 1092,
 1096,  546,    0,  -32,  896,  548,  550, -295, 6127,    0,
 9180, 9180, 9180, 9180, 9180, 9180,  659, 4418, 4909, 9125,
 9125, 9125, 9125, 9125, 9125, 9125, 9125, 9180, 9180, 9180,
 9180, 9125, 9180,    0, 9125, 9180, 9180, 9180, 9180, 9180,
 9180, 9180, 9180, 9180, 9180, 9180, 9180, 9180,    0, 9180,
    0,    0,    0, 9180, -243, 9125,    0,    0,  832,  403,
 -309,    0, 8758,    0,    0,    0, 9125,  551,    0,  552,
 7677,12734, 9125,    0,  554,    0,    0,    0,  676,  685,
    0,    0,    0,  417,  809,13372,13340,    0,    0, 6171,
 5610, 6198, 7971, 6396,11499, 6439,11708, 6452, 6529, 6464,
12066, 6476,12074, 6500,12183, 6519,12206, 6740,12215, 6764,
12223, 6823, 8921,   46, 6840,12238, 6851,12247, 7093,12888,
 1153, 1154, 1158, 7148,12271, 7165,12279, 7176,12316, 7385,
12965, 7396,12987, 7664,12995, 7722,13004, 7353,12325, 7739,
12333, 8314,13019, 8175,12344, 8449,12352, 8472,12379, 8535,
12463,  701,    0,  566,    0,  579,    0,    0,    0,    0,
    0,    0,    0, 9125, 9125, 9125, 9125, 9125, 9125, 9125,
 9125, 9125, 9125, 9125, 9125, 9125, 9125, 9125,  580, 9125,
 9125, 9125, 9125, 9125, 9125, 9125, 9125, 9125, 9125, 9125,
 9125, 9125, 9125,    0,  581,    0,  582,    0,  274,    0,
    0,    0,    0,    0, 1355, 1293, 9125, 1092, 1092, 9125,
 9125, 9125, 9125, 9125, 9125, 8546, 9125, 9125, 9125, 9125,
 9125, 9125, 9125,  583,  703,  727,  590,    0,  601,    0,
    0,    0,  605, 1194, 9125,  606,    0,    0,    0,    0,
    0,  607, -304,    0,  608, 8758,  613,  615, 9125,    0,
    0,    0,  616,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  267,  619,    0,    0, 1216,
 1219, 1221,    0,    0,  628, -290,  629,  630,    0,  631,
    0,    0,    0,    0,    0,    0,    0,    0,  929,    0,
11985,11985, 9125,  637,  639,    0,    0,    0,    0,    0,
 9125,    0,  889, 1236,  778,  779, 9125,    0,    0,    0,
    0,    0,    0, 8563,  943,    0,    0,  658,  667,    0,
    0,  951,    0,    0,  952, 1248,    0, 8600,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 8609, 1250, 1263,
    0,    0,  968, 8622, 1267,    0,    0, 1254,   43,    0,
    0,  -33, 8907,  677,    0,    0,    0,    0,    0,    0,
    0, 9125,    0,    0,    0,    0, 9125,  811,  680,  681,
  691, 1274,    0,    0,    0,    0,    0,  693,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 9125,    0,
    0,    0,    0,11985,11985,11985,11985, 9125,    0,  989,
  990, 8949, 1292, 1294,12031,13032, 2864, 9180,  409, 1293,
    0,  698,  700,    0,    0,    0,    0, 9125, 8962,12477,
 8994,12486, 9103,12509, 9449,12541, 9462,12595, 9477,12603,
 1297,    0,    0, 3660, 1246, 1437, 1437, 1437, 1437, 1437,
 1437,  374,  389,  374,  389,  248,  249,  248,  249,  273,
  248,  249, 8639,12031,  567, 1321,  784,  784,  784,  784,
  784,  784,  374,  389,  374,  389,   30,  249,   30,  249,
   30,  249, 5960,12031,13032,    0,    0,    0,    0,    0,
    0, 9538,    0,  704,  705,  706,  116, -310,    0,    0,
 -269,    0,  707,    0,11985,    0,    0, -359,  708, 9125,
  709,  711,  713, 9125,  721,11985,    0, 9613,    0, 1309,
 1317,  728,  737,  738,    0,    0,  859,    0,  739,  740,
 -189,    7,  753, -305,    0, -423, 9125, 9125, -423,    0,
  756,  759,    0,  770, 7849, 8174, 9125, 9125, -310,    0,
  771,  772, -282, 1318,    0,    0,13372,    0,  774, 1038,
  884,  782,  791,12807,  793, -189, -392,  796,    6, -310,
  798, 1053, -278,  800,  801, 8638, 9042, -276,  813, 1364,
    0,13340,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 9125, 9180,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 9180, 9180,    0,    0,    0,
    0,    0,  825,  826,    0,  834,  836,    0,    0,    0,
    0,    0,    0, 9125, 9125, 9125, 9180, 9125, 9180, 9125,
 9180,    0,    0,    0,    0, 9180, 9180,    0,    0,    0,
    0,    0,    0,    0,    0,  838,    0,    0, 9622, 9672,
 9691, 9746, 9853, 9862, 9876, 9885, 9899, 9908, 9922, 9944,
 9935, 9958, 9967, 1382, 9981, 9990,10004,10095,10104,10131,
10158,10017,10234,10246,10258,10304,10313,10332,    0,    0,
 1378,    0,   45,10359,10368,10382,10391,10418,10629,10638,
 1109, 1109,  273,  273,  273,10661,10670, 1390,  910,    0,
    0,    0,    0,  842,11985,    0,    0,    0,    0,    0,
 8758, 1406,    0,10723,    0,  844,  847,  -25, 9125, -319,
 1355,    0, 9125,  848,  958,    0, -269,    0,  854,    0,
    0,    0,    0,11985,    0,    0,10745,    0, 9125,  932,
    0,11985, 9125,    0,    0,    0,    0,    0,  857, 9125,
 9125, 9125,  858,    0, 9125,  960, 9125, 9180, -243, 9125,
    0,    0,    0, 9125,    0,11985,10777,  860,    0,    0,
    0,  863,    0,10789,10801, 1085,    0, 9125,  969, 9125,
 1410, 1439,   45,    0,    0,10823,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 9125, 9125,
 9180, 1427,    0,    0,    0,  864,  866,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,11985,    0,
    0,    0,11985,    0, 9125,  867,  869,    0,    0,    0,
  871,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1445,    0,11985,11985,    0,    0,    0,    0,
  874, -423,  876,  878,  881,11985,    0,  891, -423,  894,
  904,  905,11985,    0,11985,11985,    0,    0,    0,    0,
    0, 9125,    0,    0,    0,  906,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, -262,
11985, -242,11985,    0,    0,    0, 1146,    0,10871,12639,
10890,12682,10925,12693, 1460, 1478, 1502, 1503,11004,11031,
11040,12701,11054,12710,11063,12718,11077,12727,11086,12751,
    0,    0, 9125,  909,    0, 9125, 1355, 9125,    0, 9125,
    0,  911, 1159, 1510,    0,  921, 9125, 1508,    0,    0,
 1211,11099, 1511,    0,   64,11116,    0, 1512,    0,    0,
 9125,11131, 1168,11985, 1523,11140,11985,11985,    0,11985,
    0,11985,12031,13032,    0,    0,11153,11164,  928,    0,
    0, 9125, 9125, 1222,11175, 1524,11198, 9125, 1355, 9125,
11282,11985,13032, 9125,    0,    0,11985, 1529, 1530,    0,
  939,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,11985,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  941,  950, 9125, 9125,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
11291, 1550,11310,   59,11335,11363, 1548, 1547,    0,    0,
11985,  955,    0, 9125, 1094, 9180, -243, 9125, 9125,  957,
11416, 9125, 1552,    0, 9125, 1538, 9125,    0,11445,11457,
    0, 1258, -250, 9125,11985,   59,11511, 9125,11985,    0,
    0,    0, 1562, 1560,11538,11547,    0,    0,    0, 9125,
    0, 9125,  966, 1103,    0,11985,    0,12031,13032,    0,
    0,11561,11570, 1566, 9125,11985, 1107,11787, 9125,11810,
 9125, 9125,    0,    0,    0, 1575,11819, 9125,11846,    0,
  981,    0,    0,11597,11985,    0,    0, 1561,  982,    0,
11985,    0, 9125,11985, 9125,11985,11985,  984,  992,11985,
  993, 1584,    0, 9125, 1593,11985,11855, 1594, 1598, 1599,
 1005,11985,    0, 9125,    0,    0,    0, 1604,11922, 1011,
 9125, 1610,11949,    0, 9125,11976, 9125,11985,
};
short yyrindex[] = {                                   1652,
    0,    0,    0,    0,    0,    0,    0,    0,   75,    0,
    0,    0,    0,    0,    0,    0,  263,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  321,  349,  361,    0,  404,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1643,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1644,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,13583,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 2906,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 3192,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1645,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1647,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1650,    0,
    0,    0,    0,    0,    0,    0, 1655, 1656,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  226,    0,    0,    0,    0,    0, 1657,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1663,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1665,
    0, 1667,    0, 1668, 1669,    0,    0,    0,    0,    0,
    0, 1671,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  970,  940, 2771, 2152, 1055,
 2852,    0,    0,    0, 1674,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1677,    0, 1680,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1375, 1627,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,13587,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1683, 1685,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1695,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1214,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 3201,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1697, 1698, 1699, 1700,    0,    0,    0,
    0,    0,    0,    0, 1702, 1703,    0,    0,    0,    0,
    0, 1677, 1680,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 4640, 3573, 3722, 3904, 4065, 4239, 4278,
 4491,  893, 1100, 1314, 2880,   12, 1384,  657, 1743, 1807,
  812, 2416,    0,  446,    2,   -7,   28,   88,  130,  132,
  197,  331, 2934, 2950, 3008, 3130, 2576, 2992, 3028, 3069,
 3105, 3114,    0, 1706, 1707,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1709,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1712,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1716,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1717,    0,  758,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1123,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 2671, 2923, 2059, 2239, 2491,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1718,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1720,    0,    0,    0,    0,    0,    0,
    0, 1721,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   14,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1723,    0,    0,    0,    0,
 1344,    0, 2584,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1714,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1724,    0,
    0,    0, 1725,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 5033, 5067,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 5175,    0,    0,    0,    0,
    0,    0, 5212,    0, 5249, 5331,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 4881,    0, 4892,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 3231,    0,    0,    0,    0,    0,
    0,    0,    0, 1727,    0,    0, 1729, 1730,    0, 1739,
    0, 1740, 1742, 1744,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 4853,  822,    0,    0,    0, 1745,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 5357,    0,    0,    0,    0,    0,    0,    0,    0,
 1190,    0,    0,    0, 1404,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1532,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1752,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 2076,    0,    0,    0,    0,
    0,    0,    0,    0, 1753, 2743,    0,    0, 1763,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1764,    0, 1765, 1766,    0,
    0,    0,    0,    0,    0, 1768,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1769,    0,    0, 2826,    0,    0,
 1770,    0,    0, 1771,    0, 1773, 1781,    0,    0, 1783,
    0,    0,    0,    0,    0, 1785,    0,    0,    0,    0,
    0, 1786,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1787,
};
short yygindex[] = {                                      0,
    1,    0,  315,    0,    0,    0,   65,  -49, -843,  -52,
 -287, -629,    0,    0,  526,-1043,    0, 1322,    0,    0,
    0,    0,    0,    0,    0, 1224, -475, -100,    0,    0,
-1318,    0,    0,    0,-1313,    0,    0,    0,    0, 1715,
 1394, 1719,  -50,    0,    0,    0,    0,  672,  655,
};
#define YYTABLESIZE 14158
short yytable[] = {                                     227,
  173,  902,  674, 1074,  905,  496, 1453,  245,  480,  228,
 1545,  675, 1299,  329,  224, 1546,  799,  923, 1411, 1278,
  495,  596,  224,  190,  241, 1379, 1380,  242,  386,  355,
 1464,  527,  393,  674,  405,  338,  674,  668, 1069, 1056,
 1057, 1440,  675,  434,  443,  675,  450, 1474,  695,  449,
  674,  223,  596,  605,  605,  596,  605, 1069,  605,  675,
  331, 1584,  489,  327,  178,  925,  602,  446,  668,  596,
 1523,  668,  948,  930,  349, 1437,  514,  949, 1069,  488,
  625, 1586,  625, 1058,  629,  668, 1178,  191, 1329,  554,
 1329,  990,  605,  433,  442,  624, 1461,  669,  447,  556,
  192,  452,  931, 1328, 1627,  558,  559,  560, 1381, 1627,
  193,  710,  950,  580,  230,  629,  629,  629,  629,  629,
 1454,  629,  229,  603, 1626,  626,  513,  793,  669,  520,
  644,  669,  629, 1330,  539, 1508,  550,  629,  658,  670,
  868,  671,  453,  800,  499,  669,  332, 1455,  339, 1660,
 1070,  194, 1404,  880, 1628,  231,  951,  241,  195,  451,
  242,  567,  570,  579, 1465,  980,  901, 1466,  629, 1070,
  670,  588,  671,  670,  981,  671,  225,  241,  926, 1382,
  242,  725,  499, 1524,  225,  813, 1281,  670,  729,  671,
 1070,  660,  662,  664,  666,  668,  670,  672,  674,  676,
  678,  680,  682,  685,  687,  689,  672, 1412, 1279,  694,
  696,  698,  700,  702,  704,  706,  708,  710,  712,  714,
  716,  718,  720,  940, 1383,  569,  569, 1385,  904, 1405,
 1441,  415,  416, 1071,  551,  569, 1475,  672,  333,  765,
  672,  454,  502,  455,  499,  963,  772,  334,  773,  500,
 1585,  456, 1297,  457,  672,  569,  569,  569,  569,  569,
  569,  569,  569,  569,  569,  569,  569,  569,  569,  569,
 1587,  569,  638,  569,  569,  569,  569,  569,  569,  569,
  569,  569,  569,  569,  569,  569,  569,  500,  458, 1331,
  997,  838,  839,  840,  841,  842,  843,  844,  845,  734,
 1406,  874,  246,  638,  638,  638,  638,  638, 1670,  638,
  605,  620, 1291, 1671,  174,  992,  569,  196,  778,  779,
  638,  491,  561, 1332,  459,  638,  786, 1290,  911, 1072,
  654,  552,  875, 1413,  499,  605,  766,  503,  232,  808,
  673,  603,  618,  814,  417,  418,  821, 1457,  820,  500,
  822,  767,  562,  553,  897,  197,  638,  751,  655,  658,
  330,  654,  654,  654,  654,  654,  791,  654,  952,  859,
  656,  673,  460,  335,  673,  198,  898,  899,  654,  199,
  492,  482,  515,  654,  233,  752,  516,  493,  673,  655,
  655,  655,  655,  655,  522,  655,  882,  753,  523,  912,
  336,  656,  656,  656,  656,  656,  655,  656, 1684, 1685,
  602,  655,  766,  639,  654,  600,  200,  234,  656, 1059,
  601,  517,  241,  656, 1458,  242,  494,  993,  350,  201,
  616,  871,  872,  524,  876,  617,  605,  604,  654,  500,
  735,  202,  655,  922,  639,  639,  639,  639,  639,  203,
  639,  620,  204, 1529,  656,  596, 1459,  483,  484,  205,
  485,  639, 1408,  894,  602,  518,  639,  603, 1409,  600,
  598,  953,  599,  461,  601,  568,  571,  525,  206,  207,
  960,  241,  618,  908,  242,  589,  596,  918,  208,  596,
  605,  209,  210,  211,  924, 1460,  846,  639,  913,  914,
  915,  916,  933,  596, 1450,  661,  663,  665,  667,  669,
  671,  673,  675,  677,  679,  681,  683,  212,  688,  690,
  213,  603,  655,  695,  697,  699,  701,  703,  705,  707,
  709,  711,  713,  715,  717,  719,  721,  540,  214,  215,
 1376, 1087, 1377,  337,  519,  216,  974,  975,  976,  977,
  217,  218,  919,  982,  241,  219,  526,  242,  220,  221,
  929,  985,  987,  241,  222,  346,  242,  347,  394,  411,
  486,  838,  839,  840,  841,  842,  843,  844,  845,  412,
  413,  999, 1001, 1003, 1005, 1007, 1009,  487,  414,  541,
 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1024,
 1026, 1028, 1030, 1031, 1095, 1033, 1125, 1151,  616,  614,
  444,  615,  445,  617, 1043, 1045, 1047, 1049, 1051,  889,
  890,  891,  892,  542, 1054,  569, 1062,  448, 1286,  620,
  463,  474,  475,  674,  674,  656,  657, 1075,  481,  490,
  498, 1086,  675, 1088,  521,  569,  569,  569,  569,  569,
  569, 1515,  605,  605,  605,  605,  605,  605,  605,  605,
  618,  497,  569,  569,  569,  569,  596,  569,  668,  668,
  569,  569,  569,  569,  569,  569,  569,  569,  569,  569,
  569,  569,  569,  555,  569,  557,  581, 1287,  569,  582,
  583,  584,  585,  696, 1288,  586,  621,  596,  609,  609,
  596,  609,  543,  609,  587,  528,  838,  839,  840,  841,
  842,  843,  844,  845,  596,  629,  629,  629,  629,  629,
  629,  629,  629,  622,  544,  623,  627,  647,  669,  669,
  351,  529,  648, 1289, 1219, 1220, 1221, 1222, 1223, 1224,
 1225, 1226, 1227, 1228, 1229, 1230, 1231, 1232, 1233,  649,
 1235, 1236, 1237, 1238, 1239, 1240, 1241, 1242, 1243, 1244,
 1245, 1246, 1247, 1248, 1092,  650,  352,  617,  855,  651,
  670,  670,  671,  671,  353,  652, 1251, 1254,  653,  691,
 1255, 1256, 1257, 1258, 1259, 1260,  692, 1261, 1262, 1263,
 1264, 1265, 1266, 1267,  699,  693,  722,  856,  617,  617,
  617,  617,  617,  530,  617, 1275, 1298,  723,  531,  726,
  532,  724, 1521,  727,  533,  617,  728,  730,  731, 1284,
  617,  596,  732, 1064,  734,  616,  614, 1065,  615, 1066,
  617,  667,  241,  733,  735,  242,  736,  672,  672, 1252,
 1253, 1093,  737, 1094,  738,  857,  620,  858,  698,  739,
  545,  617,  596,  613,  613,  596,  613,  740,  613,  741,
  742,  764,  667,  743,  241,  667,  744,  242,  241,  596,
  745,  242,  746, 1304,  747,  986,  748,  618,  749,  667,
  750, 1307,  751,  534,  752,  753,  354, 1312,  816,  754,
  755,  756,  757, 1067,  758, 1000, 1002, 1004, 1006, 1008,
 1010,  759,  596,  638,  638,  638,  638,  638,  638,  638,
  638, 1352, 1023, 1025, 1027, 1029,  760, 1032,  761,  762,
 1035, 1036, 1037, 1038, 1039, 1040, 1041, 1042, 1044, 1046,
 1048, 1050, 1052,  596, 1053,  597,  596,  597, 1055, 1068,
  763,  769, 1336,  770,  771,  775,  777, 1337,  776,  596,
  596,  241,  780,  781,  242,  782,  783,  784,  785,  796,
  795,  654,  654,  654,  654,  654,  654,  654,  654, 1344,
  794,  673,  673,  797,  817,  798,  772,  801, 1345,  592,
  596,  772,  772,  596,  772,  802,  772,  803,  685,  655,
  655,  655,  655,  655,  655,  655,  655,  596, 1356,  804,
  807,  656,  656,  656,  656,  656,  656,  656,  656,  387,
  592,  592,  592,  592,  592,  806,  592, 1378,  809,  810,
  811,  812,  815,  885,  847, 1387,  388,  592,  823,  849,
  851,  850,  592,  772,  852,  853,  854,  861,  860,  862,
  818,  883,  886,  863,  639,  639,  639,  639,  639,  639,
  639,  639,  569,  864, 1353,  389, 1414,  819,  896, 1417,
  865,  866,  867,  592,  596, 1427, 1434,  869,  590,  591,
  592,  593,  594,  595,  596,  597,  870, 1125,  900,  877,
 1389,  878,  879,  884, 1393,  888,  903,  906,  340,  907,
  936,  770,  934,  341,  909,  596,  770,  770,  596,  770,
  910,  770, 1151,  390,  920,  391,  958, 1415, 1416,  599,
  921,  935,  596,  937,  938, 1426, 1433, 1435, 1436,  979,
  983,  939,  941,  943,  944,  945,  241,  946,  342,  242,
  954,  955,  644,  956,  957,  984,  959,  988,  989,  961,
  599,  962,  599,  599,  599,  602, 1471, 1473,  770,  990,
  789, 1097, 1098,  964,  605,  790, 1099,  599,  620,  739,
  965, 1011, 1479,  644,  644,  644,  644,  644,  966,  644,
  343,  605,  344,  967,  968, 1063, 1481, 1483, 1090,  970,
  644,  971,  972,  973,  991,  644,  995, 1091,  996, 1076,
 1077, 1100, 1089, 1185, 1489, 1490, 1491, 1186, 1493,  637,
 1495, 1187,  791, 1216, 1217, 1269, 1497, 1499,  607,  608,
  609,  610,  611,  612,  613,  392,  644, 1218, 1234, 1249,
 1250, 1268, 1101,  682,  464, 1102,  715,  569, 1271, 1270,
  637,  637,  637,  637,  637, 1103,  637, 1274, 1520, 1272,
  569,  569,  465, 1273, 1276, 1277, 1280,  637,  466,  467,
  682, 1282,  637, 1283, 1285,  682,  682, 1292,  682, 1293,
  682,  569, 1294,  569, 1295,  569, 1296, 1300, 1301, 1302,
  569,  569, 1303,  345, 1104, 1305,  682, 1306, 1308, 1309,
 1310, 1311,  602,  637,  468,  469, 1314,  789,  787, 1522,
  788, 1319,  790, 1526, 1317, 1318, 1315,  609,  609,  609,
  609,  609,  609,  609,  609, 1316, 1323,  682,  605, 1532,
 1322, 1324, 1326, 1534, 1327, 1335, 1338, 1342, 1339, 1340,
 1536, 1537, 1538,  596,  470, 1540,  471, 1542, 1543, 1341,
 1547, 1343, 1346, 1347, 1548, 1349, 1354, 1350, 1355,  791,
 1369,  406, 1373, 1374, 1375, 1386, 1388, 1390, 1555, 1391,
 1557, 1392, 1396,  681,  596, 1525,  601,  596,  601, 1394,
 1397, 1442,  616,  614, 1401,  615, 1398,  617,  927, 1561,
 1562,  596, 1573,   54,   55, 1399, 1400, 1402, 1403, 1578,
  681, 1445,  472,  620,  772,  681,  681,   59,  681, 1446,
  681, 1410,  569,  607, 1418, 1567, 1463, 1419,  617,  617,
  617,  617,  617,  617,  617,  617,  681, 1477, 1420, 1438,
 1439,  772, 1444,  642,  618,  772,  772,  772,  772,  772,
 1447,  772, 1505, 1507,  607,  607,  607,  607,  607, 1448,
  607, 1451,  772, 1512, 1456,  569, 1462,  681, 1468, 1469,
  738,  607, 1582, 1513,  642,  642,  642,  642,  642, 1516,
  642, 1476,  613,  613,  613,  613,  613,  613,  613,  613,
 1528,  642, 1541, 1485, 1486, 1533,  642,  772,  772, 1554,
 1558, 1556, 1487,  602, 1488,  928, 1501, 1480,  789,  787,
 1514,  788, 1518,  790, 1559, 1519, 1527, 1564, 1571, 1588,
 1482, 1484, 1530,  138,  139, 1535, 1539,  642, 1550,  605,
 1595, 1551, 1565, 1611, 1566, 1568, 1613, 1569, 1615, 1570,
 1616, 1492, 1572, 1494, 1574, 1496, 1575, 1621, 1596, 1576,
 1498, 1500,  143,  144,  145,  146,  147,  148,  149, 1577,
  791, 1631, 1579,  597,  597,  597,  597,  597,  597,  597,
  597,  660, 1580, 1581, 1583, 1597, 1598, 1612, 1618, 1617,
 1619, 1622, 1639, 1640, 1623, 1630, 1625, 1633, 1645, 1620,
 1647,  407,  408, 1634, 1649, 1641, 1638, 1643,  754, 1650,
 1651, 1614,  660,  660,  660,  660,  660, 1652,  660, 1653,
  772,  772,  772,  772,  772,  772,  772,  772, 1654,  660,
 1658, 1663, 1664, 1665,  660, 1674, 1667, 1677, 1679, 1655,
 1656, 1683, 1690, 1691, 1696, 1697, 1700,  140,  141, 1702,
  592,  592,  592,  592,  592,  592,  592,  592, 1708, 1712,
 1715, 1714, 1718, 1646, 1666,  660, 1668, 1721, 1672, 1673,
 1719, 1720, 1676, 1723, 1725, 1678,  770, 1680, 1726, 1727,
  150,  151, 1544, 1728, 1687,  152,  153, 1730, 1689, 1732,
 1734,    1,  109,   19,  362,  772,  147,  772,  772,  365,
 1694, 1452, 1695,  770,   90,   91,  175,  770,  770,  770,
  770,  770,  189,  770,  144, 1701,  171,  186,  158, 1704,
  132, 1706, 1707,  161,  770, 1563,  502,  772, 1710,  501,
  569,  772,  248,  772,  249,  770,  770,  770,  770,  770,
  770,  770,  770, 1716,   16, 1717,  214,  213,  216,  215,
  772,  588,  580,  927, 1722,  589,  581,  772,  336,  770,
  770,  339,  772,  683, 1729,  384,  385,   51,  772,  247,
   52, 1733,  134,  345,  342, 1736,  217, 1738,   37,  579,
  599,  599,  599,  599,  599,  599,  599,  599,   81,  577,
  683,  590,  611,  586,  360,  683,  683,  772,  683,  772,
  683,  275,  574,  644,  644,  644,  644,  644,  644,  644,
  644,  772,  575,   82,  591,  587,  683,   98,  148,  176,
  576,  772,  218,  611,  611,  611,  611,  611,  772,  611,
  212,  772,  162,  895,   36,  578,  141,  994, 1443,  409,
  611,  772,  848,  410,    0,  772, 1478,  683,    0,  772,
    0,    0,  772,    0,    0,    0,  697,    0,    0,    0,
    0,    0,  772,  772,  772,  772,  772,    0,  772,  404,
  637,  637,  637,  637,  637,  637,  637,  637,  138,  139,
    0,    0,    0,  697,    0,  772,  772,  697,  697,  697,
  697,  697,    0,  697,  682,  682,  682,  682,  682,  682,
  682,  682,    0,    0,  697,    0,    0,  143,  144,  145,
  146,  147,  148,  149,    0,    0,    0,    0,    0,  772,
  772,  772,    0,    0,    0,    0,    0,  772,  592,  593,
  594,  595,  596,  597,  772,  772,    0,  235,  772,  697,
  138,  139,  236,  772,    0,    0,    0,  770,    0,  770,
  770,  772,    0,    0,    0,  772,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  143,
  144,  145,  146,  147,  148,  149,    0,  237,    0,  770,
 1669,    0,    0,  770,    0,  770,    0,  238,    0,    0,
    0,    0,    0,    0,  601,  601,  601,  601,  601,  601,
  601,  601,  770,  608,  609,  610,  611,  612,  613,  770,
    0,    0,    0,    0,  770,    0,    0,    0,    0,  239,
  770,  240,    0,    0,  681,  681,  681,  681,  681,  681,
  681,  681,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  241,    0,    0,  242,    0,    0,    0,  770,
    0,  770,    0,  772,    0,  772,  772,  772,  772,  772,
  772,  772,  772,  770,  607,  607,  607,  607,  607,  607,
  607,  607,    0,  770,    0,    0,    0,    0,    0,    0,
  770,    0,    0,  770,  642,  642,  642,  642,  642,  642,
  642,  642,    0,  770,    0,    0,    0,  770,    0,    0,
    0,  770,    0,    0,  770,    0,  395,    0,  695,    0,
    0,    0,    0,    0,  770,  770,  770,  770,  770,    0,
  770,    0,    0,    0,    0,  684,    0,  697,    0,  697,
  697,    0,    0,    0,    0,  695,    0,  770,  770,  695,
  695,  695,  695,  695,    0,  695,    0,    0,  396,    0,
  464,    0,  684,    0,    0,  397,  695,  684,  684,  697,
  684,    0,  684,  697,    0,  697,    0,    0,  465,    0,
    0,  770,  770,  770,  466,  467,    0,    0,  684,  770,
    0,    0,  697,    0,    0,    0,  770,  770,    0,  697,
  770,  695,    0,    0,  697,  770,    0,    0,    0,    0,
  697,  593,  398,  770,    0,    0,    0,  770,    0,  684,
  468,  469,  660,  660,  660,  660,  660,  660,  660,  660,
    0,  399,    0,    0,    0,    0,    0,    0,    0,  697,
    0,  697,  593,  593,  593,  593,  593,    0,  593,  400,
    0,    0,    0,  697,    0,    0,    0,    0,    0,  593,
  470,    0,  471,  697,  593,    0,    0,    0,    0,    0,
  697,    0,    0,  697,    0,    0,    0,    0,    0,    0,
    0,  241,    0,  697,  242,    0,    0,  697,    0,    0,
    0,  697,    0,    0,  697,  593,    0,    0,  696,    0,
    0,    0,    0,    0,  697,  697,  697,  697,  697,    0,
  697,    0,    0,    0,    0,  770,    0,  770,  770,  770,
  770,  770,  770,  770,  770,  696,    0,  697,  697,  696,
  696,  696,  696,  696,    0,  696,    0,  401,    0,    0,
    0,    0,    0,    0,    0,    0,  696,    0,    0,    0,
  402,    0,  824,    0,    0,    0,    0,    0,    0,  825,
    0,  697,  697,  697,    0,    0,    0,    0,    0,  697,
  403,    0,    0,    0,    0,    0,  697,  697,    0,    0,
  697,  696,    0,    0,    0,  697,    0,    0,    0,  695,
    0,  695,  695,  697,    0,    0,    0,  697,    0,    0,
    0,    0,    0,    0,  683,  683,  683,  683,  683,  683,
  683,  683,    0,    0,    0,  826,  827,    0,    0,    0,
    0,  695,    0,    0,    0,  695,    0,  695,    0,    0,
    0,    0,    0,  611,  611,  611,  611,  611,  611,  611,
  611,    0,    0,    0,  695,    0,    0,    0,    0,    0,
    0,  695,  828,  829,  830,    0,  695,    0,    0,    0,
    0,    0,  695,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  614,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  831,    0,
    0,  695,    0,  695,    0,  697,    0,  697,  697,  697,
  697,  697,  697,  697,  697,  695,  614,  614,  614,  614,
  614,    0,  614,    0,    0,  695,    0,    0,    0,    0,
    0,    0,  695,  614,    0,  695,    0,    0,    0,    0,
  832,    0,    0,    0,    0,  695,    0,  833,  834,  695,
    0,    0,    0,  695,    0,    0,  695,    0,    0,    0,
  698,    0,    0,    0,    0,    0,  695,  695,  695,  695,
  695,    0,  695,    0,    0,    0,    0,    0,    0,  696,
    0,  696,  696,    0,  835,    0,    0,  698,  836,  695,
  695,  698,  698,  698,  698,  698,    0,  698,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  698,    0,
    0,  696,    0,    0,    0,  696,    0,  696,    0,    0,
    0,    0,    0,  695,  695,  695,    0,    0,    0,    0,
    0,  695,    0,    0,  696,    0,    0,    0,  695,  695,
    0,  696,  695,  698,    0,  596,  696,  695,    0,    0,
    0,    0,  696,  594,    0,  695,    0,    0,    0,  695,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  596,  608,  608,  596,
  608,  696,  608,  696,  594,  594,  594,  594,  594,    0,
  594,    0,    0,  596,    0,  696,    0,    0,    0,    0,
    0,  594,    0,    0,    0,  696,  594,    0,    0,    0,
    0,    0,  696,    0,    0,  696,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  696,    0,    0,    0,  696,
    0,    0,    0,  696,    0,    0,  696,  594,    0,    0,
  693,    0,    0,    0,    0,    0,  696,  696,  696,  696,
  696,    0,  696,    0,    0,    0,    0,  695,    0,  695,
  695,  695,  695,  695,  695,  695,  695,    0,    0,  696,
  696,  693,    0,  693,  693,  693,  684,  684,  684,  684,
  684,  684,  684,  684,    0,    0,    0,    0,  693,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  696,  696,  696,    0,    0,    0,    0,
    0,  696,  595,    0,    0,    0,    0,    0,  696,  696,
    0,    0,  696,  693,    0,    0,    0,  696,    0,  619,
    0,  698,    0,  698,  698,  696,    0,    0,    0,  696,
  678,    0,    0,  595,  595,  595,  595,  595,    0,  595,
    0,    0,  593,  593,  593,  593,  593,  593,  593,  593,
  595,  616,  614,  698,  615,  595,  617,  698,    0,  698,
    0,  678,  678,  678,  678,  678,    0,  678,    0,    0,
    0,    0,  620,    0,    0,    0,  698,    0,  678,    0,
    0,    0,    0,  698,    0,  685,  595,    0,  698,    0,
    0,    0,    0,    0,  698,    0,    0,    0,    0,    0,
    0,    0,    0,  618,    0,    0,    0,    0,    0,    0,
    0,  676,  685,    0,  678,    0,    0,  685,  685,    0,
  685,    0,  685,  698,    0,  698,    0,  696,    0,  696,
  696,  696,  696,  696,  696,  696,  696,  698,  685,  603,
    0,    0,  676,  676,  676,  676,  676,  698,  676,    0,
  602,    0,    0,    0,  698,  789,  787,  698,  788,  676,
  790,    0,    0,    0,    0,  592,    0,  698,    0,  685,
  603,  698,  603,  603,  603,  698,  605,    0,  698,    0,
    0,    0,  694,    0,    0,    0,    0,  603,  698,  698,
  698,  698,  698,  596,  698,  676,    0,  592,  592,    0,
  592,  693,  592,  693,  693,    0, 1351,  791,    0,  598,
    0,  698,  698,  694,    0,  694,  694,  694,  592,    0,
    0,    0,    0,    0,  596,    0,  600,  596,  600,    0,
  694,    0,    0,  693,    0,    0,    0,  693,    0,  693,
  598,  596,  598,  598,  598,  698,  698,  698,    0,  592,
    0,  606,    0,  698,    0,    0,  693,  598,    0,    0,
  698,  698,    0,  693,  698,  694,    0,  596,  693,  698,
    0,    0,    0,    0,  693,    0,    0,  698,    0,    0,
    0,  698,  606,  606,  606,  606,  606,  596,  606,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  596,  606,
  604,  596,  604,  693,    0,  693,  614,  614,  614,  614,
  614,  614,  614,  614,    0,  596,    0,  693,  596,  612,
  612,  596,  612,    0,  612,    0,    0,  693,  610,    0,
    0,    0,    0,    0,  693,  596,    0,  693,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  693,    0,    0,
    0,  693,    0,    0,    0,  693,    0,    0,  693,  610,
  610,  610,  610,  610,  596,  610,    0,    0,  693,  693,
  693,  693,  693,  616,  693,    0,  610,    0,    0,  698,
    0,  698,  698,  698,  698,  698,  698,  698,  698,  602,
    0,  693,  693,    0,    0,  596,  615,  615,  596,  615,
    0,  615,    0,    0,  616,  616,  616,  616,  616,    0,
  616,    0,  596,    0,    0,    0,    0,    0,    0,    0,
  602,  616,  602,  602,  602,  693,  693,  693,    0,    0,
    0,    0,    0,  693,    0,    0,    0,  602,    0,    0,
  693,  693,    0,    0,  693,    0,    0,    0,    0,  693,
    0,  593,    0,  694,    0,  694,  694,  693,    0,    0,
  594,  693,    0,    0,    0,    0,  608,  608,  608,  608,
  608,  608,  608,  608,  594,  594,  594,  594,  594,  594,
  594,  594,    0,  593,  593,  694,  593,    0,  593,  694,
  595,  694,  594,  594,    0,  594,    0,  594,    0,    0,
    0,    0,    0,    0,  593,    0,    0,    0,  694,    0,
    0,    0,    0,  594,    0,  694,    0,    0,    0,    0,
  694,    0,  595,  595,    0,  595,  694,  595,    0,    0,
    0,    0,    0,    0,    0,  593,    0,    0,    0,    0,
    0,    0,    0,  595,  594,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  694,    0,  694,    0,  693,
    0,  693,  693,  693,  693,  693,  693,  693,  693,  694,
    0,    0,    0,    0,  595,  602,    0,    0,    0,  694,
  789,  787,  792,  788,    0,  790,  694,    0,    0,  694,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  694,
    0,  605,    0,  694,    0,    0,    0,  694,    0,    0,
  694,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  694,  694,  694,  694,  694,    0,  694,    0,    0,    0,
    0,    0,  791,  595,  595,  595,  595,  595,  595,  595,
  595,    0,    0,  694,  694,    0,    0,    0,    0,    0,
  606,  607,  608,  609,  610,  611,  612,  613,    0,    0,
    0,  678,  678,  678,  678,  678,  678,  678,  678,    0,
    0,    0,    0,    0,    0,    0,    0,  694,  694,  694,
    0,    0,    0,    0,    0,  694,    0,    0,    0,    0,
    0,    0,  694,  694,    0,    0,  694,    0,    0,    0,
    0,  694,    0,    0,    0,    0,    0,    0,    0,  694,
    0,    0,    0,  694,    0,    0,  685,  685,  685,  685,
  685,  685,  685,  685,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  676,  676,  676,  676,  676,  676,  676,  676,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,    0,    0,    0,    0,
  603,  603,  603,  603,  603,  603,  603,  603,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  592,  592,  592,  592,
  592,  592,  592,  592,    0,    0,    0,    0,    0,    0,
    0,  694,    0,  694,  694,  694,  694,  694,  694,  694,
  694,    0,    0,    0,  600,  600,  600,  600,  600,  600,
  600,  600,  768,    0,    0,    0,    0,    0,    0,    0,
  598,  598,  598,  598,  598,  598,  598,  598,    0,  602,
    0,    0,    0,    0,  789,  787,  805,  788,    0,  790,
    0,    0,    0,  768,    0,    0,  768,    0,    0,    0,
    0,    0,    0,    0,    0,  605,    0,    0,    0,    0,
  768,    0,  606,  606,  606,  606,  606,  606,  606,  606,
    0,    0,    0,    0,    0,    0,    0,    0,  604,  604,
  604,  604,  604,  604,  604,  604,  791,    0,    0,    0,
    0,    0,    0,    0,    0,  768,    0,    0,  612,  612,
  612,  612,  612,  612,  612,  612,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  602,    0,    0,    0,
    0,  789,  787,    0,  788,    0,  790,    0,    0,  610,
  610,  610,  610,  610,  610,  610,  610,    0,    0,    0,
    0,    0,  605,    0,    0,    0,    0,    0,    0,    0,
    0,  762,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  615,  615,  615,  615,  615,
  615,  615,  615,  791,  616,  616,  616,  616,  616,  616,
  616,  616,  762,    0,    0,  762,    0,    0,    0,    0,
  602,  602,  602,  602,  602,  602,  602,  602,    0,  762,
    0,    0,    0,  602,    0,    0,    0,    0,  789,  787,
  873,  788,    0,  790,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  605,
    0,    0,    0,    0,  762,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  593,  593,  593,  593,  593,  593,  593,  593,
  791,  594,  594,  594,  594,  594,  594,  594,  594,    0,
    0,    0,    0,  768,    0,  768,  768,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  595,  595,  595,  595,  595,  595,  595,  595,    0,
    0,    0,    0,    0,    0,  768,    0,    0,    0,  768,
    0,  768,    0,    0,    0,    0,    0,    0,    0,  602,
    0,    0,    0,    0,  789,  787,  881,  788,  768,  790,
    0,    0,    0,  763,    0,  768,    0,    0,    0,    0,
  768,    0,    0,    0,    0,  605,  768,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,    0,    0,  763,    0,    0,  763,    0,    0,
    0,    0,    0,    0,    0,  768,  791,  768,    0,    0,
    0,  763,    0,    0,    0,    0,    0,    0,    0,  768,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  768,
    0,    0,    0,    0,    0,    0,  768,    0,    0,  768,
    0,    0,    0,    0,    0,    0,  763,    0,    0,  768,
    0,    0,  762,  768,  762,  762,    0,  768,    0,    0,
  768,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  768,  768,  768,  768,  768,    0,  768,    0,    0,    0,
    0,    0,    0,    0,  762,    0,    0,    0,  762,    0,
  762,    0,    0,  768,  768,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  762,    0,    0,
  628,  629,    0,    0,  762,    0,    0,    0,    0,  762,
    0,    0,    0,    0,  764,  762,    0,  768,  768,  768,
    0,    0,    0,  630,    0,  768,    0,    0,    0,  631,
    0,    0,  768,  768,    0,  632,  768,  633,    0,    0,
    0,  768,    0,    0,  762,  764,  762,    0,  764,  768,
    0,    0,    0,  768,    0,    0,  634,    0,  762,    0,
    0,    0,  764,    0,    0,    0,    0,    0,  762,    0,
    0,    0,    0,    0,    0,  762,    0,  635,  762,  636,
    0,    0,    0,    0,    0,    0,    0,    0,  762,    0,
    0,  637,  762,    0,    0,    0,  762,  764,    0,  762,
  241,    0,    0,  242,    0,    0,    0,    0,    0,  762,
  762,  762,  762,  762,    0,  762,    0,    0,    0,    0,
    0,    0,    0,  638,  763,    0,  763,  763,    0,    0,
    0,    0,  762,  762,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  768,    0,  768,  768,    0,  763,    0,  639,  640,
  763,    0,  763,    0,    0,    0,  762,  762,  762,    0,
    0,    0,    0,    0,  762,    0,    0,    0,    0,  763,
  641,  762,  762,    0,    0,  762,  763,    0,  765,  642,
  762,  763,    0,    0,    0,    0,    0,  763,  762,  602,
    0,    0,  762,    0,  789,  787,  887,  788,    0,  790,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  765,
    0,    0,  765,  643,    0,  605,  763,  766,  763,    0,
    0,    0,    0,    0,    0,    0,  765,    0,    0,    0,
  763,  591,  592,  593,  594,  595,  596,  597,    0,    0,
  763,    0,    0,    0,    0,    0,  791,  763,  766,    0,
  763,  766,    0,    0,    0,    0,    0,    0,    0,    0,
  763,  765,    0,    0,  763,  766,    0,    0,  763,    0,
    0,  763,    0,    0,    0,  764,    0,  764,  764,    0,
    0,  763,  763,  763,  763,  763,    0,  763,    0,    0,
  762,    0,  762,  762,    0,    0,    0,    0,    0,    0,
  766,    0,    0,    0,  763,  763,    0,  764,    0,    0,
    0,  764,    0,  764,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
  764,    0,    0,    0,    0,    0,    0,  764,  763,  763,
  763,    0,  764,    0,    0,    0,  763,    0,  764,    0,
    0,    0,    0,  763,  763,    0,    0,  763,    0,    0,
    0,    0,  763,    0,    0,    0,    0,    0,    0,    0,
  763,    0,    0,    0,  763,    0,    0,  764,    0,  764,
    0,    0,    0,    0,  602,    0,    0,    0, 1012,  600,
  598,  764,  599,    0,  601,    0,    0,    0,    0,    0,
    0,  764,    0,    0,    0,    0,    0,    0,  764,    0,
  605,  764,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  764,    0,    0,    0,  764,    0,    0,    0,  764,
  767,    0,  764,  590,  591,  592,  593,  594,  595,  596,
  597,  603,  764,  764,  764,  764,  764,    0,  764,  765,
    0,  765,  765,    0,    0,    0,    0,    0,    0,    0,
    0,  767,    0,    0,  767,  764,  764,    0,    0,    0,
    0,    0,  763,    0,  763,  763,    0,    0,  767,    0,
    0,  765,    0,    0,    0,  765,    0,  765,  766,    0,
  766,  766,    0,    0,    0,    0,    0,    0,    0,  764,
  764,  764,    0,    0,  765,    0,    0,  764,    0,    0,
    0,  765,    0,  767,  764,  764,  765,    0,  764,    0,
  766,    0,  765,  764,  766,    0,  766,    0,    0,    0,
    0,  764,    0,    0,    0,  764,    0,    0,    0,    0,
    0,    0,    0,  766,    0,    0,    0,    0,    0,    0,
  766,  765,    0,  765,    0,  766,    0,    0,    0,    0,
    0,  766,    0,    0,    0,  765,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  765,    0,    0,    0,  769,
    0,    0,  765,    0,    0,  765,    0,    0,    0,    0,
  766,    0,  766,    0,    0,  765,    0,    0,    0,  765,
    0,    0,    0,  765,  766,    0,  765,    0,    0,    0,
  769,    0,    0,  769,  766,    0,  765,  765,  765,  765,
  765,  766,  765,    0,  766,    0,    0,  769,    0,    0,
    0,    0,    0,  764,  766,  764,  764,    0,  766,  765,
  765,    0,  766,    0,    0,  766,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  766,  766,  766,  766,  766,
    0,  766,  769,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  765,  765,  765,    0,    0,  766,  766,
    0,  765,    0,    0,    0,    0,    0,    0,  765,  765,
    0,    0,  765,    0,    0,    0,    0,  765,    0,    0,
    0,  767,    0,  767,  767,  765,    0,    0,    0,  765,
    0,    0,  766,  766,  766,    0,    0,    0,    0,    0,
  766,    0,    0,    0,    0,    0,    0,  766,  766,    0,
    0,  766,    0,  767,    0,    0,  766,  767,    0,  767,
    0,    0,    0,    0,  766,    0,    0,    0,  766,    0,
    0,    0,    0,    0,    0,    0,  767,    0,    0,    0,
    0,    0,    0,  767,    0,    0,    0,    0,  767,    0,
    0,    0,    0,    0,  767,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  761,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,  767,    0,  767,    0,  765,    0,  765,
  765,    0,    0,    0,    0,    0,    0,  767,    0,    0,
  445,    0,    0,  761,    0,    0,  761,  767,    0,    0,
    0,  446,    0,    0,  767,    0,    0,  767,    0,    0,
  761,    0,    0,    0,    0,    0,  766,  767,  766,  766,
  769,  767,  769,  769,    0,  767,    0,    0,  767,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  767,  767,
  767,  767,  767,    0,  767,  761,    0,    0,    0, 1013,
  616,  614,  769,  615,    0,  617,  769,    0,  769,    0,
    0,  767,  767,    0,    0,    0,    0,    0,    0,    0,
    0,  620,    0,    0,    0,  769,    0,    0,    0,    0,
    0,    0,  769,    0,    0,    0,    0,  769,    0,    0,
    0,    0,    0,  769,    0,  767,  767,  767,    0,    0,
    0,    0,  618,  767,    0,    0,    0,    0,    0,    0,
  767,  767,    0,    0,  767,    0,    0,    0,    0,  767,
    0,    0,  769,    0,  769,    0,    0,  767,    0,    0,
    0,  767,    0,    0,    0,    0,  769,    0,    0,    0,
    0,    0,  400,    0,    0,    0,  769,    0,    0,    0,
    0,    0,    0,  769,    0,    0,  769,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  769,    0,    0,    0,
  769,    0,    0,    0,  769,    0,  399,  769,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  769,  769,  769,
  769,  769,    0,  769,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  769,  769,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  767,
    0,  767,  767,  761,    0,  761,  761,    0,    0,    0,
    0,    0,    0,    0,  769,  769,  769,    0,    0,    0,
    0,    0,  769,    0,    0,    0,    0,    0,    0,  769,
  769,    0,    0,  769,    0,  761,    0,    0,  769,  761,
    0,  761,    0,    0,    0,    0,  769,    0,    0,    0,
  769,    0,    0,    0,  394,    0,    0,    0,  761,    0,
    0,    0,    0,    0,    0,  761,    0,  445,    0,  445,
  761,    0,    0,    0,    0,    0,  761,    0,  446,    0,
  446,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  395,    0,  445,    0,    0,    0,    0,  445,    0,
    0,    0,    0,    0,  446,  761,    0,  761,    0,  446,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  761,
    0,    0,    0,    0,    0,    0,    0,    0,  396,  761,
    0,    0,    0,  445,    0,  445,  761,    0,    0,  761,
    0,    0,    0,    0,  446,    0,  446,  445,  769,  761,
  769,    0,    0,  761,    0,    0,    0,  761,  446,    0,
  761,    0,    0,    0,  445,    0,    0,  445,    0,    0,
  761,  761,  761,  761,  761,  446,  761,  445,  446,    0,
    0,  445,    0,  400,    0,  400,  400,    0,  446,    0,
    0,    0,  446,  761,  761,    0,    0,    0,  445,    0,
    0,  445,  445,    0,    0,    0,    0,    0,    0,  446,
  397,    0,  446,  446,    0,  400,    0,  399,    0,  399,
  399,  445,  445,    0,    0,    0,    0,  761,  761,  761,
    0,    0,  446,  446,    0,  761,  421,    0,  400,    0,
    0,    0,  761,  761,    0,    0,  761,    0,    0,  399,
  400,  761,    0,    0,    0,  445,  400,  445,    0,  761,
    0,    0,    0,  761,    0,    0,  446,    0,  446,    0,
  445,  445,  399,    0,  445,    0,    0,    0,    0,    0,
    0,  446,  446,    0,  399,  446,    0,  445,    0,    0,
  399,  445,    0,    0,    0,    0,    0,    0,  446,    0,
    0,    0,  446,    0,    0,    0,    0,    0,    0,  400,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  394,    0,  394,  394,  400,
    0,    0,    0,    0,    0,    0,    0,  400,    0,    0,
  400,    0,    0,  399,    0,    0,    0,    0,    0,    0,
  400,  400,  400,  400,  400,    0,  400,  394,    0,    0,
    0,  761,  395,  399,  395,  395,    0,    0,    0,    0,
    0,  399,    0,    0,  399,    0,    0,    0,    0,    0,
  394,    0,    0,    0,  399,  399,  399,  399,  399,  445,
  399,    0,  394,    0,  395,    0,    0,    0,  394,  396,
  446,  396,  396,    0,    0,    0,    0,    0,  400,    0,
    0,    0,    0,    0,    0,  400,    0,  395,    0,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,  395,
    0,  396,    0,    0,    0,  395,    0,    0,    0,  400,
    0,    0,  399,    0,    0,    0,    0,    0,    0,  399,
    0,  394,    0,    0,  396,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  396,    0,    0,    0,
    0,  394,  396,  399,    0,    0,    0,    0,    0,  394,
    0,  397,  394,  397,  397,    0,    0,    0,  395,    0,
    0,    0,  394,  394,  394,  394,  394,    0,  394,    0,
    0,    0,    0,    0,    0,    0,    0,  421,  395,  421,
  421,    0,    0,  397,    0,    0,  395,    0,    0,  395,
 1155,  616,  614,    0,  615,  396,  617,    0,    0,  395,
  395,  395,  395,  395,    0,  395,  397,    0,    0,  421,
    0,  400,  620,    0,    0,  396,    0,    0,  397,    0,
  394,    0,    0,  396,  397,    0,  396,  394,    0,  171,
    0,    0,  421,    0,  161,    0,  396,  396,  396,  396,
  396,    0,  396,  618,  421,  399,    0,    0,    0,    0,
  421,  394,    0,    0,    0,    0,    0,  395,    0,    0,
    0,    0,    0,    0,  395,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  397,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  395,    0,
    0,    0,    0,    0,  396,    0,    0,  397,    0,    0,
    0,  396,    0,  421,  602,  397,    0,    0,  397,  789,
  787,  942,  788,    0,  790,    0,    0,    0,  397,  397,
  397,  397,  397,  421,  397,  396,    0,    0,    0,    0,
  605,  421,    0,    0,  421,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  421,  421,  421,  421,  421,    0,
  421,    0,    0,  394,    0,    0,    0,    0,  602,    0,
    0,  791,    0,  789,  787,  947,  788,    0,  790,    0,
    0,    0,    0,    0,    0,    0,  397,    0,    0,    0,
    0,    0,    0,  397,  605,    0,  602,    0,    0,    0,
  395,  789,  787,  969,  788,    0,  790,    0,    0,    0,
    0,    0,  421,    0,    0,    0,    0,  397,    0,  421,
    0,    0,  605,    0,    0,  791,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  396,    0,    0,
    0,    0,    0,  421,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  791,    0,    1,    2,    3,    4,    5,
    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,
   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,
   36,   37,   38,   39,   40,   41,    0,   42,   43,   44,
   45,   46,   47,   48,   49,   50,   51,    0,    0,   52,
   53,    0,    0,    0,   54,   55,    0,    0,    0,  397,
   56,    0,    0,   57,   58,    0,    0,    0,   59,   60,
   61,    0,    0,   62,    0,    0,    0,   63,    0,   64,
    0,    0,    0,    0,   65,  421,   66,   67,    0,   68,
   69,  616,  614,   70,  615,   71,  617,   72,   73,    0,
   74,    0,    0,    0,    0,    0,   75, 1371,    0,    0,
    0,   76,  620,    0,   77,    0,    0,    0,    0,   78,
   79,    0,    0,    0,   80,   81,   82,   83,    0,   84,
   85,    0,    0,   86,    0,    0,    0,    0,    0,    0,
    0,   87,    0,  618,    0,   88,    0,    0,    0,    0,
   89,   90,   91,    0,   92,    0,    0,    0,    0,   93,
    0,    0,    0,   94,   95,    0,   96,   97,   98,   99,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  100,
  101,  326,    0,    0,    0,    0,  318,    0,    0,    0,
    0,    0,    0,    0,  102,  602,    0,    0,    0,    0,
  789,  787,  978,  788,    0,  790,    0,  103,    0,    0,
    0,    0,  104,  105,    0,    0,    0,    0,  106,  107,
  108,  605,  109,  110,  111,  112,    0,    0,    0,    0,
    0,    0,  113,  114,  115,  116,  117,    0,  118,    0,
    0,    0,  119,  120,    0,    0,    0,  121,    0,    0,
  122,  123,  791,  602,    0,  124,    0,    0,  789,  787,
  998,  788,  125,  790,  126,  127,  128,  129,    0,    0,
    0,  130,  131,    0,    0,    0,  132,    0,  133,  605,
    0,  134,  135,  136,  137,  138,  139,    0,  140,  141,
  142,    0,    0,    0,    0,    0,    0,  602,    0,    0,
    0, 1154,  600,  598,    0,  599,    0,  601,    0,    0,
  791,    0,    0,    0,  143,  144,  145,  146,  147,  148,
  149,  150,  151,  605,  602,    0,  152,  153, 1156,  600,
  598,    0,  599,    0,  601,    0,    0,    0,    0,    0,
  606,  607,  608,  609,  610,  611,  612,  613,    0,    0,
  605,    0,    0,    0,  603,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  154,
    0,    0,    0,    0,  155,  156,  157,  158,  159,  160,
    0,  603,    0,    0,    0,    0,    0,    0,    0,  162,
  163,  164,  165,  166,  167,  168,  169,  170,  272,  273,
  274,  275,  276,  277,  278,  279,   10,   11,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,   22,   23,
  290,  291,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,    0,   42,
   43,   44,   45,   46,   47,   48,   49,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  419,
    0,    0,    0,    0,  420,    0,    0,    0,    0,  421,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  326,    0,    0,    0,
    0,  318,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,  602,    0,  422,    0, 1158,  600,  598,    0,
  599,  348,  601,    0,    0,    0,    0,    0,  423,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  605,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  424,    0,
    0,    0,  425,    0,    0,  602,  426,    0,  427, 1160,
  600,  598,  428,  599,    0,  601,    0,    0,  602,  603,
    0,    0,    0,  600,  598, 1162,  599,    0,  601,  241,
  602,  605,  242,    0, 1164,  600,  598,    0,  599,    0,
  601,    0,  602,    0,  605,    0, 1166,  600,  598,    0,
  599,    0,  601,    0,    0,    0,  605,    0,    0,    0,
    0,    0,  603,    0,    0,    0,  602,  315,  605,    0,
 1168,  600,  598,    0,  599,  603,  601,    0,    0,    0,
    0,    0,    0,    0,  316,  602,    0,  603,    0, 1170,
  600,  598,  605,  599,    0,  601,    0,    0,    0,  603,
  616,  614, 1163,  615,    0,  617,  429,    0,    0,    0,
    0,  605,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  620,  430,  603,    0,    0,    0,  138,  139,  431,
  606,  607,  608,  609,  610,  611,  612,  613,    0,    0,
    0,    0,  603,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  618,    0,    0,    0,  143,  144,  432,  146,
  147,  148,  149,  272,  273,  274,  275,  276,  277,  278,
  279,   10,   11,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,   22,   23,  290,  291,  292,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,    0,   42,   43,   44,   45,   46,   47,
   48,   49,    0,    0,    0,    0,    0,    0,    0,  317,
  159,  160,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  319,    0,  320,  321,  322,  323,  324,  325,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,  504,
    0,    0,    0,    0,  505,    0,    0,    0,    0,  506,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  326,    0,    0,    0,    0,  318,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  507,
    0,    0,    0,    0,    0,    0,  508,  590,  591,  592,
  593,  594,  595,  596,  597,    0,  602,    0,    0,    0,
 1172,  600,  598,    0,  599,    0,  601,    0,    0,    0,
  509,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  602,    0,  605,  510, 1174,  600,  598,  511,  599,    0,
  601,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,  241,    0,  605,  242,    0,    0,
    0,    0,    0,  603,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  603,    0,  602,
    0,    0,  315,    0,  600,  598, 1176,  599,  512,  601,
    0,    0,    0,    0,    0,    0,  602,    0,    0,  316,
 1179,  600,  598,    0,  599,  605,  601,  602,    0,    0,
    0, 1181,  600,  598,    0,  599,    0,  601,    0,    0,
    0,    0,  605,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  605,    0,    0,  603,    0,    0,    0,
    0,    0,  138,  139,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  603,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  603,    0,    0,    0,    0,    0,
    0,  143,  144,  145,  146,  147,  148,  149,  272,  273,
  274,  275,  276,  277,  278,  279,   10,   11,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,   22,   23,
  290,  291,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,    0,   42,
   43,   44,   45,   46,   47,   48,   49,    0,    0,    0,
    0,    0,    0,    0,  317,  159,  160,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  319,    0,  320,  321,
  322,  323,  324,  325,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,    0,  308,
    0,    0,    0,    0,  309,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  326,    0,    0,    0,
    0,  318,    0,    0,    0,    0,    0,    0,  310,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,  311,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,  312,    0,  313,  602,
    0,    0,  314,    0,  600,  598, 1183,  599,    0,  601,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  241,
    0,    0,  242,    0,    0,  605,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,    0,
    0,    0,    0,    0,  602,    0,  603,  315, 1188,  600,
  598,    0,  599,    0,  601,    0,    0,    0,    0,    0,
    0,  602,    0,    0,  316, 1190,  600,  598,    0,  599,
  605,  601,  602,    0,    0,    0, 1192,  600,  598,    0,
  599,    0,  601,    0,    0,    0,    0,  605,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  605,    0,
    0,  603,    0,    0,    0,    0,    0,  138,  139,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  603,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  603,
    0,    0,    0,    0,    0,    0,  143,  144,  145,  146,
  147,  148,  149,  272,  273,  274,  275,  276,  277,  278,
  279,   10,   11,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,   22,   23,  290,  291,  292,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,    0,   42,   43,   44,   45,   46,   47,
   48,   49,    0,    0,    0,    0,    0,    0,    0,  317,
  159,  160,    0,    0,    0,    0,    0,    0,  435,    0,
    0,  319,    0,  320,  321,  322,  323,  324,  325,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  436,    0,    0,    0,    0,  437,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  602,
    0,  326,    0, 1202,  600,  598,  318,  599,    0,  601,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  605,  438,    0,    0,    0,
    0,  602,    0,    0,    0,    0,  600,  598, 1194,  599,
    0,  601,  602,    0,    0,    0,    0,  600,  598, 1196,
  599,    0,  601,    0,    0,    0,  603,  605,    0,    0,
    0,  439,    0,  440,    0,    0,    0,  441,  605,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,  241,    0,    0,  242,  603,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  603,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  315,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  316,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  138,  139,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  143,  144,  145,  146,  147,  148,  149,  272,  273,
  274,  275,  276,  277,  278,  279,   10,   11,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,   22,   23,
  290,  291,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,    0,   42,
   43,   44,   45,   46,   47,   48,   49,    0,    0,    0,
    0,    0,    0,    0,  317,  159,  160,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  319,    0,  320,  321,
  322,  323,  324,  325,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  572,
  602,    0,    0,    0,  573,  600,  598, 1198,  599,    0,
  601,    0,    0,    0,    0,    0,  326,    0,    0,    0,
    0,  318,    0,    0,    0,    0,  605,    0,  574,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  575,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  603,  602,    0,
    0,    0,    0,  600,  598, 1200,  599,    0,  601,    0,
    0,    0,    0,    0,    0,  602,  576,    0,  577, 1204,
  600,  598,  578,  599,  605,  601,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,  241,
    0,  605,  242,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,  603,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,    0,    0,
    0,    0,  603,    0,    0,    0,    0,  315,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  316,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  326,    0,
    0,    0,    0,  318,    0,    0,    0,  138,  139,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  143,  144,  145,  146,
  147,  148,  149,  272,  273,  274,  275,  276,  277,  278,
  279,   10,   11,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,   22,   23,  290,  291,  292,  293,  294,
  295,  296,  297,  298,  299,  300,  301,  302,  303,  304,
  305,  306,  307,    0,   42,   43,   44,   45,   46,   47,
   48,   49,    0,    0,    0,    0,    0,    0,    0,  317,
  159,  160,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  319,    0,  320,  321,  322,  323,  324,  325,    0,
    0, 1157,  616,  614,    0,  615,    0,  617, 1078, 1079,
    0,    0,    0,    0, 1080,  590,  591,  592,  593,  594,
  595,  596,  597,  620,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1081,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  618,    0,  348,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1082,    0, 1083,    0,  272,  273,  274,  275,  276,
  277,  278,  279,   10,   11,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,   22,   23,  290,  291,  292,
  293,  294,  295,  296,  297,  298,  299,  300,  301,  302,
  303,  304,  305,  306,  307,    0,   42,   43,   44,   45,
   46,   47,   48,   49,    0,    0,    0,    0,    0,    0,
    0,    0,  315,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  316,
    0,    0, 1084, 1085,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1421,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  602,    0,  326,    0, 1208,  600,  598,  318,  599,
    0,  601,  138,  139,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  605,  348,    0,
    0, 1422,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  143,  144,  145,  146,  147,  148,  149,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  603,    0,
    0,    0,    0, 1423,    0, 1424,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  241,    0,    0,  242,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,  317,  159,  160,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  319,    0,  320,  321,
  322,  323,  324,  325,  315,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  602,  316,    0,    0, 1425,  600,  598, 1206,  599,    0,
  601,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,    0,    0,    0,  605,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,    0,    0,  138,  139,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  603,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  143,  144,  145,  146,  147,  148,  149,
  272,  273,  274,  275,  276,  277,  278,  279,   10,   11,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
   22,   23,  290,  291,  292,  293,  294,  295,  296,  297,
  298,  299,  300,  301,  302,  303,  304,  305,  306,  307,
    0,   42,   43,   44,   45,   46,   47,   48,   49,    0,
    0,    0,    0,    0,    0,  602,  317,  159,  160, 1210,
  600,  598,    0,  599,    0,  601,    0,    0,  319,    0,
  320,  321,  322,  323,  324,  325,    0,    0,  602,    0,
    0,  605, 1212,  600,  598,    0,  599,    0,  601,    0,
    0, 1428,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  605,    0,    0,    0,  326,    0,
    0,    0,  603,  318,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  348,    0,  603, 1429,    0,    0,    0,
    0,  602,    0,    0,    0, 1214,  600,  598,    0,  599,
    0,  601,  602,    0,    0,    0, 1012,  789,  787,    0,
  788,    0,  790,    0,    0,    0,    0,  605, 1430,  602,
 1431,    0,    0,    0,  789,  787, 1313,  788,  605,  790,
    0,  606,  607,  608,  609,  610,  611,  612,  613,    0,
    0,  241,  326,    0,  242,  605,    0,  318,  603,    0,
    0,    0,    0,    0,    0,    0,  602,    0,    0,  791,
    0,  789,  787, 1320,  788,  602,  790,    0,    0,    0,
  789,  787, 1321,  788,    0,  790,  791,    0,  602,  315,
    0,    0,  605,  789,  787, 1325,  788,    0,  790,    0,
    0,  605,    0,    0,    0,  602,  316,  326,    0, 1432,
  789,  787,  318,  788,  605,  790,    0,    0,    0,    0,
    0,    0,    0,  791,    0,    0, 1370,    0,    0,    0,
    0,  605,  791,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  791,    0,    0,    0,  138,
  139,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  791,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  143,  144,
  145,  146,  147,  148,  149,  272,  273,  274,  275,  276,
  277,  278,  279,   10,   11,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,   22,   23,  290,  291,  292,
  293,  294,  295,  296,  297,  298,  299,  300,  301,  302,
  303,  304,  305,  306,  307,    0,   42,   43,   44,   45,
   46,   47,   48,   49,    0,    0,    0,    0,    0,    0,
    0,  317,  159,  160,    0,  590,  591,  592,  593,  594,
  595,  596,  597,  319,    0,  320,  321,  322,  323,  324,
  325,    0,    0,    0,    0,    0,    0,    0,    0,  272,
  273,  274,  275,  276,  277,  278,  279,   10,   11,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,   22,
   23,  290,  291,  292,  293,  294,  295,  296,  297,  298,
  299,  300,  301,  302,  303,  304,  305,  306,  307,    0,
   42,   43,   44,   45,   46,   47,   48,   49,  348,    0,
    0,    0,    0,    0,  272,  273,  274,  275,  276,  277,
  278,  279,   10,   11,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,   22,   23,  290,  291,  292,  293,
  294,  295,  296,  297,  298,  299,  300,  301,  302,  303,
  304,  305,  306,  307,    0,   42,   43,   44,   45,   46,
   47,   48,   49,  602,    0,    0,    0,    0,  789,  787,
 1334,  788,    0,  790,  590,  591,  592,  593,  594,  595,
  596,  597,  616,  614, 1177,  615,    0,  617,    0,  605,
    0,    0,  348,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  620,  315,  602,    0,    0,    0,    0,
  789,  787, 1348,  788,    0,  790,    0,    0,  602,    0,
  791,  316, 1357,  600,  598,    0,  599,    0,  601,    0,
    0,  605,    0,    0,  618,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  605,    0,    0,  348,    0,    0,
  602,    0,    0,    0, 1359,  600,  598,    0,  599,    0,
  601,    0,  791,    0,  138,  139,    0,    0,    0,    0,
  535,  536,    0,    0,    0,  603,  605,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  315,    0,
    0,    0,    0,  143,  144,  145,  146,  147,  148,  149,
    0,  326,    0,  537,  538,  316,  318,  603,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  356,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,  315,    0,    0,    0,    0,  138,  139,
  357,    0,    0,    0,  546,  547,  317,  159,  160,  602,
  316,    0,    0, 1361,  600,  598,    0,  599,  319,  601,
  320,  321,  322,  323,  324,  325,    0,  143,  144,  145,
  146,  147,  148,  149,  326,  605,    0,  548,  549,  318,
    0,    0,    0,    0, 1470,  590,  591,  592,  593,  594,
  595,  596,  597,  138,  139,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,  603,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,  143,  144,  145,  146,  147,  148,  149,  171,
  317,  159,  160,    0,  161,    0,    0,  358,    0,    0,
    0,    0,  319,    0,  320,  321,  322,  323,  324,  325,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,    0,    0,  317,  159,  160,    0,  590,
  591,  592,  593,  594,  595,  596,  597,  319,    0,  320,
  321,  322,  323,  324,  325,    0,    0,    0,  272,  273,
  274,  275,  276,  277,  278,  279,   10,   11,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,   22,   23,
  290,  291,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  302,  303,  304,  305,  306,  307,    0,   42,
   43,   44,   45,   46,   47,   48,   49,    0,    0,    0,
  359,  360,  361,  362,  363,  364,  365,  366,  367,  368,
  369,  370,  371,  372,  373,  374,  375,  376,  377,  378,
  379,  380,  381,  382,  383,  384,    0,    0,    0,    0,
    0,  272,  273,  274,  275,  276,  277,  278,  279,   10,
   11,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,   22,   23,  290,  291,  292,  293,  294,  295,  296,
  297,  298,  299,  300,  301,  302,  303,  304,  305,  306,
  307,    0,   42,   43,   44,   45,   46,   47,   48,   49,
    0,  348,    0,    0,    0,    0,    2,    3,    4,    5,
    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,
   16,   17,  563,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,
   36,   37,   38,   39,   40,   41,    0,   42,   43,   44,
   45,   46,   47,   48,   49,  602,    0,    0,    0, 1363,
  600,  598,    0,  599,    0,  601,    0,    0,  602,    0,
    0,    0, 1365,  600,  598,    0,  599,    0,  601,    0,
    0,  605,    0,  602,  348,    0,    0, 1367,  600,  598,
    0,  599,    0,  601,  605,    0,    0,  315,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  605,
    0,    0,  603,    0,  316,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  603,    0,    0,    0,    0,
    0,  606,  607,  608,  609,  610,  611,  612,  613,  564,
  603,    0,    0,    0,  602,    0,    0,    0, 1472,  789,
  787,    0,  788,    0,  790,    0,    0,  138,  139,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
  605,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  315,    0,    0,    0,    0,    0,  143,  144,  145,  146,
  147,  148,  149,  171,    0,    0,    0,  316,  161,    0,
 1372,  791,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,    0,    0,    0,  602,
    0,    0,    0,    0,  789,  787, 1395,  788,  602,  790,
    0,    0, 1502,  789,  787,  315,  788,    0,  790,    0,
  138,  139,    0,    0,    0,  605,    0,    0,    0,  317,
  159,  160,  565,    0,  605,    0,    0,    0,    0,    0,
    0,  319,    0,  320,  321,  322,  323,  324,  325,  143,
  144,  145,  146,  147,  148,  149,  791,    0,  602,    0,
    0,    0, 1156,  789,  787,  791,  788,    0,  790,    0,
    0,    0,    0,    0,    0,  138,  139,  602,    0,    0,
    0, 1158,  789,  787,  605,  788,    0,  790,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,  605,  143,  144,  145,  146,  147,  148,
  149,    0,  317,  159,  160,  791,    0,    0,    0,    0,
    0,    0,    0,    0,  319,    0,  320,  321,  322,  323,
  324,  325,  602,    0,  791,    0, 1160,  789,  787,    0,
  788,    0,  790,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  605,    0,
    0,    0,    0,    0,    0,    0,    0,  566,  159,  160,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  162,
    0,  164,  165,  166,  167,  168,  169,    0,    0,  791,
    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,
   12,   13,   14,   15,   16,   17,  563,   19,   20,   21,
   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,
   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,
    0,   42,   43,   44,   45,   46,   47,   48,   49,  602,
    0,    0,    0,    0,  789,  787, 1162,  788,  602,  790,
    0,    0, 1164,  789,  787,    0,  788,    0,  790,    0,
    0,    0,  602,    0,    0,  605, 1166,  789,  787,    0,
  788,  602,  790,    0,  605, 1168,  789,  787,    0,  788,
    0,  790,    0,    0,    0,  602,    0,    0,  605, 1170,
  789,  787,    0,  788,  602,  790,  791,  605, 1172,  789,
  787,    0,  788,    0,  790,  791,    0,    0,  602,    0,
    0,  605, 1174,  789,  787,    0,  788,    0,  790,  791,
  605,  602,    0,  564,    0, 1179,  789,  787,  791,  788,
  602,  790,    0,    0,  605,  789,  787, 1503,  788,    0,
  790,    0,  791,    0,  602,    0,    0,  605, 1181,  789,
  787,  791,  788,  602,  790,    0,  605,    0,  789,  787,
 1504,  788,    0,  790,    0,  791,    0,  602,    0,    0,
  605, 1188,  789,  787,    0,  788,  602,  790,  791,  605,
 1190,  789,  787,    0,  788,    0,  790,  791,    0,    0,
  602,    0,    0,  605, 1192,  789,  787,    0,  788,    0,
  790,  791,  605,  602,    0,    0,    0, 1202,  789,  787,
  791,  788,    0,  790,    0,    0,  605,    0,    0,  315,
    0,    0,    0,    0,  791,    0,    0,    0,    0,  605,
    0,    0,    0,  791,    0,    0,  684,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,  791,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  791,    0,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,  138,
  139,  602,    0,    0,    0,    0,  789,  787, 1194,  788,
  602,  790,    0,    0,    0,  789,  787, 1196,  788,    0,
  790,    0,    0,    0,    0,    0,    0,  605,  143,  144,
  145,  146,  147,  148,  149,    0,  605,  602,    0,    0,
    0,    0,  789,  787, 1198,  788,    0,  790,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,  791,    0,
    0,    0,    0,  605,  602,    0,    0,  791,    0,  789,
  787, 1200,  788,    0,  790,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  605,  566,  159,  160,  791,    0,    0,    0,    0,    0,
    0,    0,    0,  162,    0,  164,  165,  166,  167,  168,
  169,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  791,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  602,    0,    0,    0, 1204,  789,  787,    0,  788,    0,
  790,    0,  602,    0,    0,    0,    0,  789,  787, 1506,
  788,    0,  790,    0,  602,    0,  605,    0, 1208,  789,
  787,    0,  788,    0,  790,    0,    0,    0,  605,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  605,    0,    0,    0,    0,    0,    0,  791,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  791,
  602,    0,    0,    0, 1210,  789,  787,    0,  788,  602,
  790,  791,    0, 1212,  789,  787,    0,  788,    0,  790,
    0,    0,    0,    0,    0,    0,  605,    0,  602,    0,
    0,    0, 1214,  789,  787,  605,  788,    0,  790,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,  605,  602,    0,  791,    0,    0,
  789,  787,    0,  788,  602,  790,  791,    0, 1357,  789,
  787,    0,  788,    0,  790,    0,    0,    0,  602,    0,
    0,  605, 1359,  789,  787,  791,  788,  602,  790,    0,
  605, 1361,  789,  787,    0,  788,    0,  790,    0,    0,
    0,    0,    0,    0,  605,    0,    0,    0,    0,    0,
    0, 1509,  791,  605,  602,    0,    0,    0, 1363,  789,
  787,  791,  788,    0,  790,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  791,    0,    0,    0,    0,
  605,    0,    0,    0,  791,    0,    0,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  791,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  602,    0,    0,    0, 1365,
  789,  787,    0,  788,  602,  790,    0,    0, 1367,  789,
  787,    0,  788,    0,  790,    0,    0,    0,    0,    0,
    0,  605,    0,    0,    0,    0,    0,  602,    0,    0,
  605,    0,  789,  787, 1510,  788,  602,  790,    0,    0,
    0,  789,  787,    0,  788,    0,  790,    0,    0,    0,
    0,    0,  791,  605,    0,    0,    0,    0,    0,    0,
    0,  791,  605,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,  791,    0,    0,    0,    0,  602,
    0,    0, 1511,  791,  789,  787, 1517,  788,    0,  790,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,  602,    0,    0,    0,  605,  789,  787, 1531,  788,
    0,  790,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  605,    0,    0,
    0,    0,    0,  602,    0,    0,  791,    0,  789,  787,
 1549,  788,    0,  790,    0,  602,    0,    0,    0,    0,
  789,  787, 1552,  788,    0,  790,    0,  602,  791,  605,
    0,    0,  789,  787, 1553,  788,    0,  790,    0,    0,
    0,  605,    0,    0,    0,    0,    0,    0,    0,  602,
    0,    0,    0,  605,  789,  787, 1560,  788,    0,  790,
  791,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,  791,    0,    0,  605,  590,  591,  592,  593,
  594,  595,  596,  597,  791,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  602,    0,    0,
    0, 1589,  789,  787,    0,  788,  791,  790,    0,    0,
    0,    0,    0,    0,    0,    0,  602,    0,    0,    0,
 1591,  600,  598,  605,  599,    0,  601,    0,    0,    0,
    0,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,  605,  590,  591,  592,  593,  594,  595,  596,
  597,  602,    0,    0,  791, 1593,  600,  598,    0,  599,
    0,  601,  590,  591,  592,  593,  594,  595,  596,  597,
    0,    0,    0,  603,    0,    0,    0,  605,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,  603,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  602,    0,    0,    0,    0,  789,  787, 1599,  788,    0,
  790,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  605,  602,    0,    0,
    0,    0,  789,  787, 1600,  788,  602,  790,    0,    0,
 1601,  789,  787,    0,  788,    0,  790,    0,    0,    0,
  602,    0,    0,  605, 1603,  789,  787,  791,  788,  602,
  790,    0,  605, 1605,  789,  787,    0,  788,    0,  790,
    0,    0,    0,  602,    0,    0,  605, 1607,  600,  598,
    0,  599,  602,  601,  791,  605, 1609,  600,  598,    0,
  599,    0,  601,  791,    0,  602,    0,    0,    0,  605,
  789,  787, 1624,  788,    0,  790,    0,  791,  605,    0,
    0,    0,  602,    0,    0,    0,  791,  789,  787, 1629,
  788,  605,  790,    0,    0,    0,    0,  602,    0,    0,
  603,    0,  789,  787, 1632,  788,  602,  790,  605,  603,
    0,  789,  787, 1635,  788,    0,  790,    0,    0,  602,
    0,    0,  791,  605,  789,  787,    0,  788,    0,  790,
  602,    0,  605,    0,    0,  789,  787, 1637,  788,  791,
  790,  602,    0,    0,    0,  605,  789,  787, 1642,  788,
    0,  790,    0,    0,  791,    0,  605,    0,    0,    0,
    0,    0,    0,  791,  602,    0,    0,  605,    0,  789,
  787, 1644,  788,    0,  790, 1636,  791,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  791,    0,    0,
  605,    0,    0,    0,    0,    0,    0,    0,  791,  590,
  591,  592,  593,  594,  595,  596,  597,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,    0,    0,    0,
    0,  791,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  602,    0,
    0,    0,    0,  789,  787, 1648,  788,  602,  790,    0,
    0, 1657,  789,  787,    0,  788,    0,  790,    0,    0,
    0,    0,    0,    0,  605,    0,  602,    0,    0,    0,
 1659,  789,  787,  605,  788,    0,  790,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  602,  605,    0,    0,  791,  789,  787,    0,  788,
    0,  790,    0,    0,  791,  590,  591,  592,  593,  594,
  595,  596,  597,    0,    0,    0,    0,  605,    0,  602,
    0,    0,    0,  791,  789,  787, 1662,  788,    0,  790,
    0,    0,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  605,    0, 1661,  791,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
    0,    0,  602,    0,    0,    0,  791,  789,  787, 1675,
  788,    0,  790,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,    0,  605,    0,
    0,  602,    0,    0,    0,    0,  789,  787, 1681,  788,
    0,  790,    0,  602,    0,    0,    0,    0,  789,  787,
 1682,  788,    0,  790,    0,    0,    0,  605,    0,  791,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  605,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  791, 1159,
  616,  614,    0,  615,    0,  617,    0,  602,    0,    0,
  791,    0,  789,  787, 1688,  788,    0,  790,    0,    0,
    0,  620,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,  605,  602,    0,    0,    0, 1692,  789,
  787,    0,  788,  602,  790,    0,    0, 1693,  789,  787,
    0,  788,  618,  790,    0,    0,    0,  602,    0,    0,
  605,    0,  789,  787,  791,  788,  602,  790,    0,  605,
    0,  789,  787, 1699,  788,    0,  790,    0,    0,    0,
    0,    0,    0,  605,    0,    0,    0,    0,    0,    0,
    0,  791,  605,  602,    0,    0,    0,    0,  789,  787,
  791,  788,    0,  790,  590,  591,  592,  593,  594,  595,
  596,  597,    0, 1698,  791,    0,    0,    0,    0,  605,
    0,    0,    0,  791,    0,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0, 1713,
  791,    0,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,  590,  591,  592,  593,  594,  595,  596,
  597,    0,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0, 1161,  616,
  614,    0,  615,    0,  617,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,    0,    0,    0,
  620,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  618,    0,    0,  590,  591,  592,  593,  594,  595,
  596,  597,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,  602,    0,    0,    0,    0,  789,  787,
 1703,  788,    0,  790,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,  602,    0,    0,  605,
    0,  789,  787, 1705,  788,  602,  790,    0,    0,    0,
  789,  787, 1709,  788,    0,  790,    0,    0,    0,    0,
    0,    0,  605,    0,    0,    0,    0,    0,    0,    0,
  791,  605,  602,    0,    0,    0,    0,  789,  787, 1711,
  788,  602,  790,    0,    0,    0,  789,  787,    0,  788,
    0,  790,    0,  791,    0,    0,    0,    0,  605,    0,
    0,    0,  791,    0,    0,    0,    0,  605,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  791,
    0,    0,    0,    0,    0,    0,    0,    0,  791,    0,
  590,  591,  592,  593,  594,  595,  596,  597,  602,    0,
    0,    0,    0,  789,  787, 1731,  788,    0,  790,    0,
    0,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  605,  602,    0,    0,    0,    0,
  789,  787, 1735,  788,    0,  790,    0,    0,    0,    0,
    0,    0,    0,  590,  591,  592,  593,  594,  595,  596,
  597,  605,  602,    0,    0,  791,    0,  789,  787, 1737,
  788,  602,  790,    0,    0,    0,  789,  787,    0,  788,
    0,  790,    0,    0,    0,    0,    0,    0,  605,    0,
    0,    0,  791,    0,    0,    0,    0,  605,    0,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,    0,    0,  602,    0,  791,
    0,    0,  600,  598,    0,  599,    0,  601,  791,    0,
    0,    0,    0,    0,    0,  590,  591,  592,  593,  594,
  595,  596,  597,  605,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0, 1165,  616,  614,    0,
  615,    0,  617,    0, 1167,  616,  614,    0,  615,    0,
  617,    0,    0,    0,  603,    0,    0,    0,  620,    0,
    0,    0,    0,    0,    0,    0,  620,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,  618,
    0,    0,    0,    0,    0,    0,    0,  618,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  590,  591,
  592,  593,  594,  595,  596,  597,    0,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,    0,
    0,    0,    0, 1169,  616,  614,    0,  615,    0,  617,
    0,    0,    0,    0,    0,    0,    0,  590,  591,  592,
  593,  594,  595,  596,  597,  620, 1171,  616,  614,    0,
  615,    0,  617,    0,    0, 1173,  616,  614,    0,  615,
    0,  617,    0, 1175,  616,  614,    0,  615,  620,  617,
    0,    0,    0,    0,    0,    0,  618,  620, 1180,  616,
  614,    0,  615,    0,  617,  620,    0, 1182,  616,  614,
    0,  615,    0,  617,    0,    0,    0,    0,    0,  618,
  620,    0,    0,    0,    0,    0,    0,    0,  618,  620,
    0, 1189,  616,  614,    0,  615,  618,  617,    0, 1191,
  616,  614,    0,  615,    0,  617,    0,    0,    0,    0,
    0,  618,    0,  620,    0,    0,    0,    0,    0,    0,
  618,  620,    0,    0,    0,    0,    0,    0,  606,  607,
  608,  609,  610,  611,  612,  613, 1193,  616,  614,    0,
  615,    0,  617,    0,  618, 1203,  616,  614,    0,  615,
    0,  617,  618, 1205,  616,  614,    0,  615,  620,  617,
    0,    0,    0, 1724, 1209,  616,  614,  620,  615,    0,
  617,    0, 1211,  616,  614,  620,  615,    0,  617,    0,
    0,    0,    0,    0,    0,    0,  620,    0,    0,  618,
    0,    0,    0,    0,  620,    0,    0,    0,  618, 1213,
  616,  614,    0,  615,    0,  617,  618,  590,  591,  592,
  593,  594,  595,  596,  597,    0,    0,  618,    0,    0,
    0,  620,    0,    0,    0,  618,    0,    0,    0,    0,
  590,  591,  592,  593,  594,  595,  596,  597,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,  618,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,  590,  591,  592,  593,  594,
  595,  596,  597, 1215,  616,  614,    0,  615,    0,  617,
    0,    0,    0,    0,    0,    0,    0, 1358,  616,  614,
    0,  615,    0,  617,    0,  620, 1360,  616,  614,    0,
  615,    0,  617,    0,    0,    0,    0,    0,    0,  620,
    0,    0,    0,    0,    0,    0,    0,    0,  620, 1362,
  616,  614,    0,  615,    0,  617,  618,    0,    0,    0,
    0,    0,  590,  591,  592,  593,  594,  595,  596,  597,
  618,  620,    0,    0,    0,    0,    0,    0,    0,  618,
    0, 1364,  616,  614,    0,  615,    0,  617,    0,  590,
  591,  592,  593,  594,  595,  596,  597,    0,    0,    0,
    0,    0,  618,  620,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  590,  591,  592,  593,
  594,  595,  596,  597,    0,  590,  591,  592,  593,  594,
  595,  596,  597,    0,  618, 1366,  616,  614,    0,  615,
    0,  617,    0, 1368,  616,  614,    0,  615,    0,  617,
    0,    0,    0,    0,    0,    0,    0,  620,    0,    0,
    0,    0,    0,    0,    0,  620,    0,    0,    0,    0,
    0,  590,  591,  592,  593,  594,  595,  596,  597, 1590,
  616,  614,    0,  615,    0,  617,    0,    0,  618,    0,
    0,    0,    0,    0,    0,    0,  618,    0,    0,    0,
    0,  620,    0,    0,    0,    0,  606,  607,  608,  609,
  610,  611,  612,  613,  606,  607,  608,  609,  610,  611,
  612,  613, 1592,  616,  614,    0,  615,    0,  617,    0,
    0,    0,  618, 1594,  616,  614,    0,  615,    0,  617,
    0, 1602,  616,  614,  620,  615,    0,  617,    0,    0,
 1604,  616,  614,    0,  615,  620,  617,    0, 1606,  616,
  614,    0,  615,  620,  617,    0,    0, 1608,  616,  614,
    0,  615,  620,  617,    0,  618,    0,    0,    0,    0,
  620,    0,    0,    0,    0,    0,  618,    0,    0,  620,
    0, 1610,  616,  614,  618,  615,    0,  617,    0,    0,
    0,    0,    0,  618,    0,    0,    0,    0,    0,    0,
    0,  618,    0,  620,    0,    0,    0,    0,    0,    0,
  618,    0,    0,  606,  607,  608,  609,  610,  611,  612,
  613,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  618,    0,  606,  607,  608,  609,
  610,  611,  612,  613,    0,  606,  607,  608,  609,  610,
  611,  612,  613,  606,  607,  608,  609,  610,  611,  612,
  613,    0,    0,    0,    0,    0,    0,    0,  606,  607,
  608,  609,  610,  611,  612,  613,    0,  606,  607,  608,
  609,  610,  611,  612,  613,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  606,  607,  608,  609,  610,  611,  612,  613,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,  616,
  614, 1184,  615,    0,  617,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  620,    0,    0,    0,    0,    0,  606,  607,  608,  609,
  610,  611,  612,  613,    0,  606,  607,  608,  609,  610,
  611,  612,  613,  606,  607,  608,  609,  610,  611,  612,
  613,  618,    0,    0,  606,  607,  608,  609,  610,  611,
  612,  613,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0,    0,    0,    0,    0,  616,  614, 1195,  615,
    0,  617,    0,    0,    0,    0,    0,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,  620,  616,  614,
 1197,  615,    0,  617,    0,    0,  616,  614, 1199,  615,
    0,  617,    0,    0,    0,  616,  614, 1201,  615,  620,
  617,    0,    0,    0,    0,    0,    0,  620,  618,    0,
  616,  614, 1207,  615,    0,  617,  620,    0,  247,    0,
    0,    0,    0,  616,  614,    0,  615,    0,  617,    0,
  618,  620,    0,    0,    0,    0,    0,    0,  618,    0,
    0,    0,    0,    0,  620,    0,    0,  618,    0,    0,
    0,    0,    0,  606,  607,  608,  609,  610,  611,  612,
  613,    0,  618,    0,    0,    0,    0,  606,  607,  608,
  609,  610,  611,  612,  613,  618,  606,  607,  608,  609,
  610,  611,  612,  613,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,    0,  356,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  357,
  248,  606,  607,  608,  609,  610,  611,  612,  613,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  249,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  250,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  606,  607,  608,  609,  610,
  611,  612,  613,  606,  607,  608,  609,  610,  611,  612,
  613,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  358,    0,    0,  606,
  607,  608,  609,  610,  611,  612,  613,  251,  252,  253,
  254,    0,  255,  256,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0,    0,  606,  607,  608,  609,  610,  611,  612,
  613,  606,  607,  608,  609,  610,  611,  612,  613,    0,
  606,  607,  608,  609,  610,  611,  612,  613,  606,  607,
  608,  609,  610,  611,  612,  613,    0,  606,  607,  608,
  609,  610,  611,  612,  613,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  606,  607,  608,  609,  610,  611,  612,  613,  359,
  360,  361,  362,  363,  364,  365,  366,  367,  368,  369,
  370,  371,  372,  373,  374,  375,  376,  377,  378,  379,
  380,  381,  382,  383,  384,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 1449,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  606,  607,
  608,  609,  610,  611,  612,  613,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  606,  607,  608,  609,  610,
  611,  612,  613,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  606,  607,  608,
  609,  610,  611,  612,  613,  606,  607,  608,  609,  610,
  611,  612,  613,    0,  606,  607,  608,  609,  610,  611,
  612,  613, 1106,    0, 1107, 1108, 1129,    0, 1130,  606,
  607,  608,  609,  610,  611,  612,  613,    0,    0,    0,
    0,    0,  606,  607,  608,  609,  610,  611,  612,  613,
    0,    0, 1131,    0, 1109,    0,    0, 1132,  476,  477,
  247,    0,    0,    0,    0,    0,    0,    0,    0,  478,
    0,    0,    0,    0,    0,    0,    0, 1110,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1111,
    0,    0, 1133,    0, 1134, 1112,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1135,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1136,    0,    0, 1137,    0,    0,    0,
    0,  479,    0,    0,    0,    0, 1138,    0,    0,    0,
 1139,    0,    0,    0,    0,    0,    0,    0, 1113,    0,
    0,    0,    0,    0,    0,    0,    0,  241,    0,    0,
  242, 1140,    0,    0,    0,    0,    0,    0, 1114,    0,
    0,    0,  248,    0,    0,    0, 1115,    0,    0, 1116,
 1141, 1142,    0,    0,    0,    0,    0,    0,    0,  241,
 1117, 1118,  242, 1119,  249, 1120,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  250,    0,    0,
    0,    0,    0,    0, 1143,    0, 1144,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1145,
 1146,    0,    0, 1147,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1148, 1121,    0,    0,
 1149,    0,    0,    0, 1122,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 1123,  251,
  252,  253,  254,    0,  255,  256,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  474,  474,    0,    0,  473,  473,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  474,    0,    0,    0,  473,    0,  474,
    0,    0,    0,  473,    0,  474,    0,  474,    0,  473,
    0,  473,    0,    0,    0,    0,    0,    0, 1150,    0,
    0,    0,    0,    0,    0,    0,  474,    0,    0,    0,
  473,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  474,    0,  474,
 1124,  473,    0,  473,    0,    0,    0,    0,    0,    0,
    0,  474,    0,    0,    0,  473,    0,    0,    0,    0,
  474,    0,    0,  474,  473,    0,    0,  473,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  474,    0,    0,    0,  473,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  474,  474,
    0,    0,  473,  473,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  474,    0,    0,    0,  473,    0,    0,    0,    0,  474,
    0,    0,    0,  473,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  474,    0,    0,    0,  473,
};
short yycheck[] = {                                      52,
    0,  477,   10,  633,  480,   46,  399,   60,  109,  390,
 1329,   10,  856,   63,  374, 1329,  512,  493,  324,  324,
   61,   10,  374,   10,  448,  336,  337,  451,   81,   79,
  309,  132,   82,   41,   84,  390,   44,   10,  348,  283,
  284,  324,   41,   93,   94,   44,  390,  324,   37,   99,
   58,  639,   41,   42,   43,   44,   45,  348,   47,   58,
  338,  324,  112,   63,    0,  390,   37,  455,   41,   58,
  390,   44,  343,  546,   74, 1119,  126,  348,  348,   46,
   46,  324,   46,  327,   10,   58,   41,   40,   46,  140,
   46,   46,   63,   93,   94,   61, 1140,   10,  486,  150,
   40,  101,  575,   61,   46,  155,  156,  157,  419,   46,
   40,   37,  383,  163,  639,   41,   42,   43,   44,   45,
  513,   47,  503,   94,   61,   91,  126,   91,   41,  129,
  180,   44,   58,   91,  134,   91,  136,   63,  188,   10,
  428,   10,  308,  639,  360,   58,  424,  540,  503,   91,
  460,   40,  342,  441,   91,  484,  427,  448,   40,  503,
  451,  161,  162,  163,  443,  376,  344,  446,   94,  460,
   41,  171,   41,   44,  385,   44,  536,  448,  503,  490,
  451,  231,  360,  503,  536,  537,  816,   58,  238,   58,
  460,  191,  192,  193,  194,  195,  196,  197,  198,  199,
  200,  201,  202,  203,  204,  205,   10,  513,  513,  209,
  210,  211,  212,  213,  214,  215,  216,  217,  218,  219,
  220,  221,  222,  511,  535,  161,  162, 1071,  344,  419,
  513,  390,  391,  543,  406,  171,  513,   41,  516,  348,
   44,  407,  544,  409,  360,  533,  542,  525,  544,  465,
  513,  417,  543,  419,   58,  191,  192,  193,  194,  195,
  196,  197,  198,  199,  200,  201,  202,  203,  204,  205,
  513,   46,   10,  209,  210,  211,  212,  213,  214,  215,
  216,  217,  218,  219,  220,  221,  222,  465,  454,  323,
  578,  298,  299,  300,  301,  302,  303,  304,  305,   37,
  490,  506,  348,   41,   42,   43,   44,   45, 1627,   47,
   63,   63,   46, 1627,    0,  348,   91,   40,  318,  319,
   58,  362,   61,  357,  490,   63,  326,   61,  419,  639,
   10,  503,  537,  639,  360,   63,  445,  639,  503,  389,
   10,   94,   94,  396,  503,  504,  399,  342,  398,  465,
  400,  460,   91,  525,  639,   40,   94,   37,   10,  409,
  344,   41,   42,   43,   44,   45,   94,   47,  639,  419,
   10,   41,  538,  651,   44,   40,  661,  662,   58,   40,
  421,  348,  344,   63,  549,   37,  348,  428,   58,   41,
   42,   43,   44,   45,  344,   47,  446,   37,  348,  490,
  639,   41,   42,   43,   44,   45,   58,   47,  659,  660,
   37,   63,  445,   10,   94,   42,   40,  582,   58,  663,
   47,  383,  448,   63,  419,  451,  467,  460,  344,   40,
   42,  431,  432,  383,  639,   47,   63,   10,  332,  465,
   37,   40,   94,  493,   41,   42,   43,   44,   45,   40,
   47,   63,   40, 1297,   94,   10,  451,  424,  425,   40,
  427,   58,  456,  463,   37,  427,   63,   94,  462,   42,
   43,  521,   45,  639,   47,  161,  162,  427,   40,   40,
  530,  448,   94,  483,  451,  171,   41,  487,   40,   44,
   63,   40,   40,   40,  494,  490,  503,   94,  589,  590,
  591,  592,  502,   58, 1134,  191,  192,  193,  194,  195,
  196,  197,  198,  199,  200,  201,  202,   40,  204,  205,
   40,   94,  416,  209,  210,  211,  212,  213,  214,  215,
  216,  217,  218,  219,  220,  221,  222,  338,   40,   40,
  425,  642,  427,  639,  506,   40,  546,  547,  548,  549,
   40,   40,  488,  553,  448,   40,  506,  451,   40,   40,
  496,  561,  562,  448,   40,  639,  451,   40,  344,  356,
  537,  298,  299,  300,  301,  302,  303,  304,  305,   40,
  554,  581,  582,  583,  584,  585,  586,  554,   40,  390,
  590,  591,  592,  593,  594,  595,  596,  597,  598,  599,
  600,  601,  602,  603,  654,  605,  656,  657,   42,   43,
  639,   45,  639,   47,  614,  615,  616,  617,  618,  631,
  632,  633,  634,  424,  624,  561,  626,  638,  362,   63,
  544,  427,  344,  641,  642,  529,  530,  637,   40,  344,
  503,  641,  641,  643,  525,  581,  582,  583,  584,  585,
  586, 1281,  641,  642,  643,  644,  645,  646,  647,  648,
   94,  639,  598,  599,  600,  601,   10,  603,  641,  642,
  606,  607,  608,  609,  610,  611,  612,  613,  614,  615,
  616,  617,  618,   40,  620,   40,   40,  421,  624,   40,
   40,   40,   40,   37,  428,   40,   10,   41,   42,   43,
   44,   45,  503,   47,   40,  322,  298,  299,  300,  301,
  302,  303,  304,  305,   58,  641,  642,  643,  644,  645,
  646,  647,  648,   10,  525,   10,   10,   10,  641,  642,
  346,  348,   10,  467,  734,  735,  736,  737,  738,  739,
  740,  741,  742,  743,  744,  745,  746,  747,  748,   40,
  750,  751,  752,  753,  754,  755,  756,  757,  758,  759,
  760,  761,  762,  763,  348,   40,  382,   10,  348,   10,
  641,  642,  641,  642,  390,   10,  503,  777,   10,  639,
  780,  781,  782,  783,  784,  785,  639,  787,  788,  789,
  790,  791,  792,  793,   37,  639,   46,  377,   41,   42,
   43,   44,   45,  420,   47,  805,  856,  639,  425,  506,
  427,   44, 1288,  639,  431,   58,  639,  639,  639,  819,
   63,   10,  639,  421,   40,   42,   43,  425,   45,  427,
   47,   10,  448,  344,   40,  451,   40,  641,  642,  775,
  776,  425,   40,  427,   40,  425,   63,  427,   37,   40,
  651,   94,   41,   42,   43,   44,   45,   40,   47,   40,
   40,  639,   41,   40,  448,   44,   40,  451,  448,   58,
   40,  451,   40,  873,   40,  561,   40,   94,   40,   58,
   40,  881,   40,  500,   40,   40,  502,  887,  385,   40,
   40,   40,   40,  491,   40,  581,  582,  583,  584,  585,
  586,   40,   10,  641,  642,  643,  644,  645,  646,  647,
  648,  503,  598,  599,  600,  601,   40,  603,   40,   40,
  606,  607,  608,  609,  610,  611,  612,  613,  614,  615,
  616,  617,  618,   41,  620,   43,   44,   45,  624,  537,
   40,   46,  942,  639,  639,   46,   91,  947,   46,   10,
   58,  448,   40,   40,  451,   40,   40,   40,   40,  534,
   46,  641,  642,  643,  644,  645,  646,  647,  648,  969,
   44,  641,  642,  506,  471,  639,   37,  639,  978,   10,
   41,   42,   43,   44,   45,  639,   47,  506,  988,  641,
  642,  643,  644,  645,  646,  647,  648,   58,  998,  503,
  639,  641,  642,  643,  644,  645,  646,  647,  648,  331,
   41,   42,   43,   44,   45,  348,   47, 1067,  639,  639,
  639,  504,  506,   46,  504, 1078,  348,   58,  506,  639,
  639,  503,   63,   94,  503,  499,  499,  639,  506,  639,
  537,  534,  534,  639,  641,  642,  643,  644,  645,  646,
  647,  648,  988,  639,  990,  377, 1106,  554,  344, 1109,
  639,  639,  639,   94,   10, 1115, 1116,  639,  641,  642,
  643,  644,  645,  646,  647,  648,  639, 1127,  344,  639,
 1080,  639,  639,  639, 1084,  639,  344,  503,  343,  639,
  344,   37,  506,  348,  639,   41,   42,   43,   44,   45,
  639,   47, 1152,  425,  639,  427,  537, 1107, 1108,   10,
  639,  639,   58,  639,  639, 1115, 1116, 1117, 1118,  344,
  503,  639,  639,  639,  639,  639,  448,  639,  383,  451,
  639,  639,   10,  639,  639,  503,  639,   40,   46,  639,
   41,  639,   43,   44,   45,   37, 1146, 1147,   94,   46,
   42,  343,  344,  639,   63,   47,  348,   58,   63,   37,
  639,  503, 1162,   41,   42,   43,   44,   45,  639,   47,
  425,   63,  427,  639,  639,  344, 1176, 1177,  503,  639,
   58,  639,  639,  639,  639,   63,  639,  503,  639,  639,
  639,  383,  639,   41, 1194, 1195, 1196,   44, 1198,   10,
 1200,   44,   94,  503,  639,  503, 1206, 1207,  642,  643,
  644,  645,  646,  647,  648,  537,   94,  639,  639,  639,
  639,  639,  414,   10,  376,  417,   37, 1163,  639,  503,
   41,   42,   43,   44,   45,  427,   47,   44, 1288,  639,
 1176, 1177,  394,  639,  639,  639,  639,   58,  400,  401,
   37,  639,   63,  639,  639,   42,   43,  639,   45,   44,
   47, 1197,   44, 1199,   44, 1201,  639,  639,  639,  639,
 1206, 1207,  344,  528,  466,  639,   63,  639,  390,   44,
  503,  503,   37,   94,  436,  437,  344,   42,   43, 1289,
   45,   44,   47, 1293,  344,  344,  639,  641,  642,  643,
  644,  645,  646,  647,  648,  639,   44,   94,   63, 1309,
   61,  344,   46, 1313,   61,  639,  506,   44,  639,  639,
 1320, 1321, 1322,   10,  476, 1325,  478, 1327, 1328,  639,
 1330,  639,  344,  344, 1334,   44,  639,   44,  639,   94,
   44,  283,  639,  639,  639,  639,  639,  639, 1348,  639,
 1350,  639,   44,   10,   41, 1291,   43,   44,   45,  639,
   44,   44,   42,   43,  506,   45,  639,   47,  421, 1369,
 1370,   58, 1422,  315,  316,  639,  639,  639,  639, 1429,
   37,  344,  534,   63,   10,   42,   43,  329,   45,  506,
   47,  639, 1328,   10,  639, 1395,  344,  639,  641,  642,
  643,  644,  645,  646,  647,  648,   63,   44,  639,  639,
  639,   37,  639,   10,   94,   41,   42,   43,   44,   45,
  639,   47,   41,   46,   41,   42,   43,   44,   45,  639,
   47,  639,   58,   44,  639, 1371,  639,   94,  639,  639,
   37,   58, 1442,  534,   41,   42,   43,   44,   45,   44,
   47,  639,  641,  642,  643,  644,  645,  646,  647,  648,
  503,   58,  503,  639,  639,  534,   63,   93,   94,  385,
   61,  503,  639,   37,  639,  528,  639, 1163,   42,   43,
  639,   45,  639,   47,   46,  639,  639,   61,   44,  344,
 1176, 1177,  639,  546,  547,  639,  639,   94,  639,   63,
   41,  639,  639, 1503,  639,  639, 1506,  639, 1508,  639,
 1510, 1197,  639, 1199,  639, 1201,  639, 1517,   41,  639,
 1206, 1207,  575,  576,  577,  578,  579,  580,  581,  639,
   94, 1531,  639,  641,  642,  643,  644,  645,  646,  647,
  648,   10,  639,  639,  639,   44,   44,  639,  390,  639,
   41,   44, 1552, 1553,  344,   44,   46,  390, 1558,  639,
 1560,  503,  504,   41, 1564,  344,  639,   44,   37,   41,
   41, 1507,   41,   42,   43,   44,   45,  639,   47,  639,
  641,  642,  643,  644,  645,  646,  647,  648,  639,   58,
   41,   44,   46,  639,   63,  639,  503,   46,   61, 1599,
 1600,  344,   41,   44,  639,  503,   41,  549,  550,  503,
  641,  642,  643,  644,  645,  646,  647,  648,   44,  639,
  639,   61,  639, 1559, 1624,   94, 1626,   44, 1628, 1629,
  639,  639, 1632,   41,   41, 1635,   10, 1637,   41,   41,
  582,  583, 1328,  639, 1644,  587,  588,   44, 1648,  639,
   41,    0,   10,   10,   10,  281,   10,  283,  284,   10,
 1660, 1136, 1662,   37,   10,   10,   10,   41,   42,   43,
   44,   45,   10,   47,   10, 1675,   10,   10,   10, 1679,
   10, 1681, 1682,   10,   58, 1371,   10,  313, 1688,   10,
 1626,  317,   10,  319,   10,  641,  642,  643,  644,  645,
  646,  647,  648, 1703,   10, 1705,   10,   10,   10,   10,
  336,   10,   10,  421, 1714,   10,   10,  343,   10,   93,
   94,   10,  348,   10, 1724,   10,   10,   10,  354,   10,
   10, 1731,   10,   10,   10, 1735,   10, 1737,   10,   10,
  641,  642,  643,  644,  645,  646,  647,  648,   10,   10,
   37,   10,   10,   10,   10,   42,   43,  383,   45,  385,
   47,   10,   10,  641,  642,  643,  644,  645,  646,  647,
  648,  397,   10,   10,   10,   10,   63,   10,   10,   10,
   10,  407,   10,   41,   42,   43,   44,   45,  414,   47,
   10,  417,   10,  472,   10,   10,   10,  574, 1127,   85,
   58,  427,  409,   85,   -1,  431, 1152,   94,   -1,  435,
   -1,   -1,  438,   -1,   -1,   -1,   10,   -1,   -1,   -1,
   -1,   -1,  448,  449,  450,  451,  452,   -1,  454,   46,
  641,  642,  643,  644,  645,  646,  647,  648,  546,  547,
   -1,   -1,   -1,   37,   -1,  471,  472,   41,   42,   43,
   44,   45,   -1,   47,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   58,   -1,   -1,  575,  576,  577,
  578,  579,  580,  581,   -1,   -1,   -1,   -1,   -1,  505,
  506,  507,   -1,   -1,   -1,   -1,   -1,  513,  643,  644,
  645,  646,  647,  648,  520,  521,   -1,  343,  524,   93,
  546,  547,  348,  529,   -1,   -1,   -1,  281,   -1,  283,
  284,  537,   -1,   -1,   -1,  541,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,
  576,  577,  578,  579,  580,  581,   -1,  383,   -1,  313,
 1626,   -1,   -1,  317,   -1,  319,   -1,  393,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  336,  643,  644,  645,  646,  647,  648,  343,
   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,  425,
  354,  427,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  448,   -1,   -1,  451,   -1,   -1,   -1,  383,
   -1,  385,   -1,  639,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  397,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,
  414,   -1,   -1,  417,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  427,   -1,   -1,   -1,  431,   -1,   -1,
   -1,  435,   -1,   -1,  438,   -1,  283,   -1,   10,   -1,
   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,   -1,   -1,   10,   -1,  281,   -1,  283,
  284,   -1,   -1,   -1,   -1,   37,   -1,  471,  472,   41,
   42,   43,   44,   45,   -1,   47,   -1,   -1,  325,   -1,
  376,   -1,   37,   -1,   -1,  332,   58,   42,   43,  313,
   45,   -1,   47,  317,   -1,  319,   -1,   -1,  394,   -1,
   -1,  505,  506,  507,  400,  401,   -1,   -1,   63,  513,
   -1,   -1,  336,   -1,   -1,   -1,  520,  521,   -1,  343,
  524,   93,   -1,   -1,  348,  529,   -1,   -1,   -1,   -1,
  354,   10,  379,  537,   -1,   -1,   -1,  541,   -1,   94,
  436,  437,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  398,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  383,
   -1,  385,   41,   42,   43,   44,   45,   -1,   47,  416,
   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,   -1,   58,
  476,   -1,  478,  407,   63,   -1,   -1,   -1,   -1,   -1,
  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  448,   -1,  427,  451,   -1,   -1,  431,   -1,   -1,
   -1,  435,   -1,   -1,  438,   94,   -1,   -1,   10,   -1,
   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,   -1,   -1,  639,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   37,   -1,  471,  472,   41,
   42,   43,   44,   45,   -1,   47,   -1,  504,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   58,   -1,   -1,   -1,
  517,   -1,  332,   -1,   -1,   -1,   -1,   -1,   -1,  339,
   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,  513,
  537,   -1,   -1,   -1,   -1,   -1,  520,  521,   -1,   -1,
  524,   93,   -1,   -1,   -1,  529,   -1,   -1,   -1,  281,
   -1,  283,  284,  537,   -1,   -1,   -1,  541,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,  395,  396,   -1,   -1,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
   -1,  343,  432,  433,  434,   -1,  348,   -1,   -1,   -1,
   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   10,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  468,   -1,
   -1,  383,   -1,  385,   -1,  639,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  397,   41,   42,   43,   44,
   45,   -1,   47,   -1,   -1,  407,   -1,   -1,   -1,   -1,
   -1,   -1,  414,   58,   -1,  417,   -1,   -1,   -1,   -1,
  510,   -1,   -1,   -1,   -1,  427,   -1,  517,  518,  431,
   -1,   -1,   -1,  435,   -1,   -1,  438,   -1,   -1,   -1,
   10,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,   -1,  281,
   -1,  283,  284,   -1,  554,   -1,   -1,   37,  558,  471,
  472,   41,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   58,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,
   -1,  513,   -1,   -1,  336,   -1,   -1,   -1,  520,  521,
   -1,  343,  524,   93,   -1,   10,  348,  529,   -1,   -1,
   -1,   -1,  354,   10,   -1,  537,   -1,   -1,   -1,  541,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   41,   42,   43,   44,
   45,  383,   47,  385,   41,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   58,   -1,  397,   -1,   -1,   -1,   -1,
   -1,   58,   -1,   -1,   -1,  407,   63,   -1,   -1,   -1,
   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,   -1,   -1,  438,   94,   -1,   -1,
   10,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,
  452,   -1,  454,   -1,   -1,   -1,   -1,  639,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,  471,
  472,   41,   -1,   43,   44,   45,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   58,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,
   -1,  513,   10,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,   93,   -1,   -1,   -1,  529,   -1,   10,
   -1,  281,   -1,  283,  284,  537,   -1,   -1,   -1,  541,
   10,   -1,   -1,   41,   42,   43,   44,   45,   -1,   47,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   58,   42,   43,  313,   45,   63,   47,  317,   -1,  319,
   -1,   41,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,  336,   -1,   58,   -1,
   -1,   -1,   -1,  343,   -1,   10,   94,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   10,   37,   -1,   94,   -1,   -1,   42,   43,   -1,
   45,   -1,   47,  383,   -1,  385,   -1,  639,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  397,   63,   10,
   -1,   -1,   41,   42,   43,   44,   45,  407,   47,   -1,
   37,   -1,   -1,   -1,  414,   42,   43,  417,   45,   58,
   47,   -1,   -1,   -1,   -1,   10,   -1,  427,   -1,   94,
   41,  431,   43,   44,   45,  435,   63,   -1,  438,   -1,
   -1,   -1,   10,   -1,   -1,   -1,   -1,   58,  448,  449,
  450,  451,  452,   10,  454,   94,   -1,   42,   43,   -1,
   45,  281,   47,  283,  284,   -1,   93,   94,   -1,   10,
   -1,  471,  472,   41,   -1,   43,   44,   45,   63,   -1,
   -1,   -1,   -1,   -1,   41,   -1,   43,   44,   45,   -1,
   58,   -1,   -1,  313,   -1,   -1,   -1,  317,   -1,  319,
   41,   58,   43,   44,   45,  505,  506,  507,   -1,   94,
   -1,   10,   -1,  513,   -1,   -1,  336,   58,   -1,   -1,
  520,  521,   -1,  343,  524,   93,   -1,   10,  348,  529,
   -1,   -1,   -1,   -1,  354,   -1,   -1,  537,   -1,   -1,
   -1,  541,   41,   42,   43,   44,   45,   10,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   41,   58,
   43,   44,   45,  383,   -1,  385,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   58,   -1,  397,   41,   42,
   43,   44,   45,   -1,   47,   -1,   -1,  407,   10,   -1,
   -1,   -1,   -1,   -1,  414,   58,   -1,  417,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,   -1,
   -1,  431,   -1,   -1,   -1,  435,   -1,   -1,  438,   41,
   42,   43,   44,   45,   10,   47,   -1,   -1,  448,  449,
  450,  451,  452,   10,  454,   -1,   58,   -1,   -1,  639,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   10,
   -1,  471,  472,   -1,   -1,   41,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   41,   42,   43,   44,   45,   -1,
   47,   -1,   58,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   41,   58,   43,   44,   45,  505,  506,  507,   -1,   -1,
   -1,   -1,   -1,  513,   -1,   -1,   -1,   58,   -1,   -1,
  520,  521,   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,
   -1,   10,   -1,  281,   -1,  283,  284,  537,   -1,   -1,
   10,  541,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   42,   43,  313,   45,   -1,   47,  317,
   10,  319,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,  336,   -1,
   -1,   -1,   -1,   63,   -1,  343,   -1,   -1,   -1,   -1,
  348,   -1,   42,   43,   -1,   45,  354,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  383,   -1,  385,   -1,  639,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  397,
   -1,   -1,   -1,   -1,   94,   37,   -1,   -1,   -1,  407,
   42,   43,   44,   45,   -1,   47,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,
   -1,   63,   -1,  431,   -1,   -1,   -1,  435,   -1,   -1,
  438,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,
   -1,   -1,   94,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  505,  506,  507,
   -1,   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,
   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,   -1,
   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,
   -1,   -1,   -1,  541,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  639,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   10,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   41,   -1,   -1,   44,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   58,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   93,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   10,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   94,  641,  642,  643,  644,  645,  646,
  647,  648,   41,   -1,   -1,   44,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   58,
   -1,   -1,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   93,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   94,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,  281,   -1,  283,  284,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,  313,   -1,   -1,   -1,  317,
   -1,  319,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,  336,   47,
   -1,   -1,   -1,   10,   -1,  343,   -1,   -1,   -1,   -1,
  348,   -1,   -1,   -1,   -1,   63,  354,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   41,   -1,   -1,   44,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  383,   94,  385,   -1,   -1,
   -1,   58,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,
   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,   -1,   -1,   93,   -1,   -1,  427,
   -1,   -1,  281,  431,  283,  284,   -1,  435,   -1,   -1,
  438,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  313,   -1,   -1,   -1,  317,   -1,
  319,   -1,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,
  348,  349,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,
   -1,   -1,   -1,   -1,   10,  354,   -1,  505,  506,  507,
   -1,   -1,   -1,  371,   -1,  513,   -1,   -1,   -1,  377,
   -1,   -1,  520,  521,   -1,  383,  524,  385,   -1,   -1,
   -1,  529,   -1,   -1,  383,   41,  385,   -1,   44,  537,
   -1,   -1,   -1,  541,   -1,   -1,  404,   -1,  397,   -1,
   -1,   -1,   58,   -1,   -1,   -1,   -1,   -1,  407,   -1,
   -1,   -1,   -1,   -1,   -1,  414,   -1,  425,  417,  427,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,
   -1,  439,  431,   -1,   -1,   -1,  435,   93,   -1,  438,
  448,   -1,   -1,  451,   -1,   -1,   -1,   -1,   -1,  448,
  449,  450,  451,  452,   -1,  454,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  471,  281,   -1,  283,  284,   -1,   -1,
   -1,   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,  639,   -1,  641,  642,   -1,  313,   -1,  506,  507,
  317,   -1,  319,   -1,   -1,   -1,  505,  506,  507,   -1,
   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,  336,
  528,  520,  521,   -1,   -1,  524,  343,   -1,   10,  537,
  529,  348,   -1,   -1,   -1,   -1,   -1,  354,  537,   37,
   -1,   -1,  541,   -1,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   41,
   -1,   -1,   44,  571,   -1,   63,  383,   10,  385,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   58,   -1,   -1,   -1,
  397,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
  407,   -1,   -1,   -1,   -1,   -1,   94,  414,   41,   -1,
  417,   44,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  427,   93,   -1,   -1,  431,   58,   -1,   -1,  435,   -1,
   -1,  438,   -1,   -1,   -1,  281,   -1,  283,  284,   -1,
   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,   -1,
  639,   -1,  641,  642,   -1,   -1,   -1,   -1,   -1,   -1,
   93,   -1,   -1,   -1,  471,  472,   -1,  313,   -1,   -1,
   -1,  317,   -1,  319,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,   -1,   -1,   -1,  343,  505,  506,
  507,   -1,  348,   -1,   -1,   -1,  513,   -1,  354,   -1,
   -1,   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,
   -1,   -1,  529,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  537,   -1,   -1,   -1,  541,   -1,   -1,  383,   -1,  385,
   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,   41,   42,
   43,  397,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,  414,   -1,
   63,  417,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  427,   -1,   -1,   -1,  431,   -1,   -1,   -1,  435,
   10,   -1,  438,  641,  642,  643,  644,  645,  646,  647,
  648,   94,  448,  449,  450,  451,  452,   -1,  454,  281,
   -1,  283,  284,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   41,   -1,   -1,   44,  471,  472,   -1,   -1,   -1,
   -1,   -1,  639,   -1,  641,  642,   -1,   -1,   58,   -1,
   -1,  313,   -1,   -1,   -1,  317,   -1,  319,  281,   -1,
  283,  284,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  505,
  506,  507,   -1,   -1,  336,   -1,   -1,  513,   -1,   -1,
   -1,  343,   -1,   93,  520,  521,  348,   -1,  524,   -1,
  313,   -1,  354,  529,  317,   -1,  319,   -1,   -1,   -1,
   -1,  537,   -1,   -1,   -1,  541,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,   -1,
  343,  383,   -1,  385,   -1,  348,   -1,   -1,   -1,   -1,
   -1,  354,   -1,   -1,   -1,  397,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,   -1,   10,
   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,   -1,
  383,   -1,  385,   -1,   -1,  427,   -1,   -1,   -1,  431,
   -1,   -1,   -1,  435,  397,   -1,  438,   -1,   -1,   -1,
   41,   -1,   -1,   44,  407,   -1,  448,  449,  450,  451,
  452,  414,  454,   -1,  417,   -1,   -1,   58,   -1,   -1,
   -1,   -1,   -1,  639,  427,  641,  642,   -1,  431,  471,
  472,   -1,  435,   -1,   -1,  438,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,
   -1,  454,   93,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  505,  506,  507,   -1,   -1,  471,  472,
   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,
   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,   -1,   -1,
   -1,  281,   -1,  283,  284,  537,   -1,   -1,   -1,  541,
   -1,   -1,  505,  506,  507,   -1,   -1,   -1,   -1,   -1,
  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,  521,   -1,
   -1,  524,   -1,  313,   -1,   -1,  529,  317,   -1,  319,
   -1,   -1,   -1,   -1,  537,   -1,   -1,   -1,  541,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,   -1,
   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   10,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,  383,   -1,  385,   -1,  639,   -1,  641,
  642,   -1,   -1,   -1,   -1,   -1,   -1,  397,   -1,   -1,
   10,   -1,   -1,   41,   -1,   -1,   44,  407,   -1,   -1,
   -1,   10,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
   58,   -1,   -1,   -1,   -1,   -1,  639,  427,  641,  642,
  281,  431,  283,  284,   -1,  435,   -1,   -1,  438,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,
  450,  451,  452,   -1,  454,   93,   -1,   -1,   -1,   41,
   42,   43,  313,   45,   -1,   47,  317,   -1,  319,   -1,
   -1,  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   -1,  336,   -1,   -1,   -1,   -1,
   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,   -1,
   -1,   -1,   -1,  354,   -1,  505,  506,  507,   -1,   -1,
   -1,   -1,   94,  513,   -1,   -1,   -1,   -1,   -1,   -1,
  520,  521,   -1,   -1,  524,   -1,   -1,   -1,   -1,  529,
   -1,   -1,  383,   -1,  385,   -1,   -1,  537,   -1,   -1,
   -1,  541,   -1,   -1,   -1,   -1,  397,   -1,   -1,   -1,
   -1,   -1,   10,   -1,   -1,   -1,  407,   -1,   -1,   -1,
   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,  427,   -1,   -1,   -1,
  431,   -1,   -1,   -1,  435,   -1,   10,  438,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,  449,  450,
  451,  452,   -1,  454,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,
   -1,  641,  642,  281,   -1,  283,  284,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  505,  506,  507,   -1,   -1,   -1,
   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,   -1,  520,
  521,   -1,   -1,  524,   -1,  313,   -1,   -1,  529,  317,
   -1,  319,   -1,   -1,   -1,   -1,  537,   -1,   -1,   -1,
  541,   -1,   -1,   -1,   10,   -1,   -1,   -1,  336,   -1,
   -1,   -1,   -1,   -1,   -1,  343,   -1,  317,   -1,  319,
  348,   -1,   -1,   -1,   -1,   -1,  354,   -1,  317,   -1,
  319,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   10,   -1,  343,   -1,   -1,   -1,   -1,  348,   -1,
   -1,   -1,   -1,   -1,  343,  383,   -1,  385,   -1,  348,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  397,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   10,  407,
   -1,   -1,   -1,  383,   -1,  385,  414,   -1,   -1,  417,
   -1,   -1,   -1,   -1,  383,   -1,  385,  397,  639,  427,
  641,   -1,   -1,  431,   -1,   -1,   -1,  435,  397,   -1,
  438,   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,
  448,  449,  450,  451,  452,  414,  454,  427,  417,   -1,
   -1,  431,   -1,  281,   -1,  283,  284,   -1,  427,   -1,
   -1,   -1,  431,  471,  472,   -1,   -1,   -1,  448,   -1,
   -1,  451,  452,   -1,   -1,   -1,   -1,   -1,   -1,  448,
   10,   -1,  451,  452,   -1,  313,   -1,  281,   -1,  283,
  284,  471,  472,   -1,   -1,   -1,   -1,  505,  506,  507,
   -1,   -1,  471,  472,   -1,  513,   10,   -1,  336,   -1,
   -1,   -1,  520,  521,   -1,   -1,  524,   -1,   -1,  313,
  348,  529,   -1,   -1,   -1,  505,  354,  507,   -1,  537,
   -1,   -1,   -1,  541,   -1,   -1,  505,   -1,  507,   -1,
  520,  521,  336,   -1,  524,   -1,   -1,   -1,   -1,   -1,
   -1,  520,  521,   -1,  348,  524,   -1,  537,   -1,   -1,
  354,  541,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,
   -1,   -1,  541,   -1,   -1,   -1,   -1,   -1,   -1,  407,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  281,   -1,  283,  284,  427,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  435,   -1,   -1,
  438,   -1,   -1,  407,   -1,   -1,   -1,   -1,   -1,   -1,
  448,  449,  450,  451,  452,   -1,  454,  313,   -1,   -1,
   -1,  639,  281,  427,  283,  284,   -1,   -1,   -1,   -1,
   -1,  435,   -1,   -1,  438,   -1,   -1,   -1,   -1,   -1,
  336,   -1,   -1,   -1,  448,  449,  450,  451,  452,  639,
  454,   -1,  348,   -1,  313,   -1,   -1,   -1,  354,  281,
  639,  283,  284,   -1,   -1,   -1,   -1,   -1,  506,   -1,
   -1,   -1,   -1,   -1,   -1,  513,   -1,  336,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,  348,
   -1,  313,   -1,   -1,   -1,  354,   -1,   -1,   -1,  537,
   -1,   -1,  506,   -1,   -1,   -1,   -1,   -1,   -1,  513,
   -1,  407,   -1,   -1,  336,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,  427,  354,  537,   -1,   -1,   -1,   -1,   -1,  435,
   -1,  281,  438,  283,  284,   -1,   -1,   -1,  407,   -1,
   -1,   -1,  448,  449,  450,  451,  452,   -1,  454,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  281,  427,  283,
  284,   -1,   -1,  313,   -1,   -1,  435,   -1,   -1,  438,
   41,   42,   43,   -1,   45,  407,   47,   -1,   -1,  448,
  449,  450,  451,  452,   -1,  454,  336,   -1,   -1,  313,
   -1,  639,   63,   -1,   -1,  427,   -1,   -1,  348,   -1,
  506,   -1,   -1,  435,  354,   -1,  438,  513,   -1,   40,
   -1,   -1,  336,   -1,   45,   -1,  448,  449,  450,  451,
  452,   -1,  454,   94,  348,  639,   -1,   -1,   -1,   -1,
  354,  537,   -1,   -1,   -1,   -1,   -1,  506,   -1,   -1,
   -1,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,   -1,
   -1,   -1,   -1,   -1,  506,   -1,   -1,  427,   -1,   -1,
   -1,  513,   -1,  407,   37,  435,   -1,   -1,  438,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,  448,  449,
  450,  451,  452,  427,  454,  537,   -1,   -1,   -1,   -1,
   63,  435,   -1,   -1,  438,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  448,  449,  450,  451,  452,   -1,
  454,   -1,   -1,  639,   -1,   -1,   -1,   -1,   37,   -1,
   -1,   94,   -1,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  506,   -1,   -1,   -1,
   -1,   -1,   -1,  513,   63,   -1,   37,   -1,   -1,   -1,
  639,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,  506,   -1,   -1,   -1,   -1,  537,   -1,  513,
   -1,   -1,   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  639,   -1,   -1,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,  256,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,  290,
  291,  292,  293,  294,  295,  296,   -1,  298,  299,  300,
  301,  302,  303,  304,  305,  306,  307,   -1,   -1,  310,
  311,   -1,   -1,   -1,  315,  316,   -1,   -1,   -1,  639,
  321,   -1,   -1,  324,  325,   -1,   -1,   -1,  329,  330,
  331,   -1,   -1,  334,   -1,   -1,   -1,  338,   -1,  340,
   -1,   -1,   -1,   -1,  345,  639,  347,  348,   -1,  350,
  351,   42,   43,  354,   45,  356,   47,  358,  359,   -1,
  361,   -1,   -1,   -1,   -1,   -1,  367,   58,   -1,   -1,
   -1,  372,   63,   -1,  375,   -1,   -1,   -1,   -1,  380,
  381,   -1,   -1,   -1,  385,  386,  387,  388,   -1,  390,
  391,   -1,   -1,  394,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  402,   -1,   94,   -1,  406,   -1,   -1,   -1,   -1,
  411,  412,  413,   -1,  415,   -1,   -1,   -1,   -1,  420,
   -1,   -1,   -1,  424,  425,   -1,  427,  428,  429,  430,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  440,
  441,   40,   -1,   -1,   -1,   -1,   45,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  455,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,  468,   -1,   -1,
   -1,   -1,  473,  474,   -1,   -1,   -1,   -1,  479,  480,
  481,   63,  483,  484,  485,  486,   -1,   -1,   -1,   -1,
   -1,   -1,  493,  494,  495,  496,  497,   -1,  499,   -1,
   -1,   -1,  503,  504,   -1,   -1,   -1,  508,   -1,   -1,
  511,  512,   94,   37,   -1,  516,   -1,   -1,   42,   43,
   44,   45,  523,   47,  525,  526,  527,  528,   -1,   -1,
   -1,  532,  533,   -1,   -1,   -1,  537,   -1,  539,   63,
   -1,  542,  543,  544,  545,  546,  547,   -1,  549,  550,
  551,   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   94,   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,
  581,  582,  583,   63,   37,   -1,  587,  588,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   63,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  630,
   -1,   -1,   -1,   -1,  635,  636,  637,  638,  639,  640,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,
  651,  652,  653,  654,  655,  656,  657,  658,  257,  258,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,  293,  294,  295,  296,   -1,  298,
  299,  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  338,
   -1,   -1,   -1,   -1,  343,   -1,   -1,   -1,   -1,  348,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,   -1,
   -1,   45,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   37,   -1,  383,   -1,   41,   42,   43,   -1,
   45,  390,   47,   -1,   -1,   -1,   -1,   -1,  397,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  417,   -1,
   -1,   -1,  421,   -1,   -1,   37,  425,   -1,  427,   41,
   42,   43,  431,   45,   -1,   47,   -1,   -1,   37,   94,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,  448,
   37,   63,  451,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   37,   -1,   63,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   37,  486,   63,   -1,
   41,   42,   43,   -1,   45,   94,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  503,   37,   -1,   94,   -1,   41,
   42,   43,   63,   45,   -1,   47,   -1,   -1,   -1,   94,
   42,   43,   44,   45,   -1,   47,  525,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   63,  541,   94,   -1,   -1,   -1,  546,  547,  548,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,  575,  576,  577,  578,
  579,  580,  581,  257,  258,  259,  260,  261,  262,  263,
  264,  265,  266,  267,  268,  269,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,  293,
  294,  295,  296,   -1,  298,  299,  300,  301,  302,  303,
  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,
  639,  640,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  650,   -1,  652,  653,  654,  655,  656,  657,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,  343,
   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,  353,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   40,   -1,   -1,   -1,   -1,   45,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  383,
   -1,   -1,   -1,   -1,   -1,   -1,  390,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
  414,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   37,   -1,   63,  427,   41,   42,   43,  431,   45,   -1,
   47,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,  448,   -1,   63,  451,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   37,
   -1,   -1,  486,   -1,   42,   43,   44,   45,  492,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,  503,
   41,   42,   43,   -1,   45,   63,   47,   37,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,  575,  576,  577,  578,  579,  580,  581,  257,  258,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,  293,  294,  295,  296,   -1,  298,
  299,  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  638,  639,  640,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,  653,
  654,  655,  656,  657,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,  348,
   -1,   -1,   -1,   -1,  353,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,   -1,
   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,  377,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  390,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,  425,   -1,  427,   37,
   -1,   -1,  431,   -1,   42,   43,   44,   45,   -1,   47,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  448,
   -1,   -1,  451,   -1,   -1,   63,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   -1,   94,  486,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   -1,   -1,  503,   41,   42,   43,   -1,   45,
   63,   47,   37,   -1,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,  546,  547,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,
  579,  580,  581,  257,  258,  259,  260,  261,  262,  263,
  264,  265,  266,  267,  268,  269,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,  293,
  294,  295,  296,   -1,  298,  299,  300,  301,  302,  303,
  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,
  639,  640,   -1,   -1,   -1,   -1,   -1,   -1,  322,   -1,
   -1,  650,   -1,  652,  653,  654,  655,  656,  657,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,   -1,  353,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   37,
   -1,   40,   -1,   41,   42,   43,   45,   45,   -1,   47,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   63,  390,   -1,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   -1,   -1,   94,   63,   -1,   -1,
   -1,  425,   -1,  427,   -1,   -1,   -1,  431,   63,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,  448,   -1,   -1,  451,   94,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   94,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  486,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  503,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  575,  576,  577,  578,  579,  580,  581,  257,  258,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,  293,  294,  295,  296,   -1,  298,
  299,  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  638,  639,  640,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,  653,
  654,  655,  656,  657,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  348,
   37,   -1,   -1,   -1,  353,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,   -1,
   -1,   45,   -1,   -1,   -1,   -1,   63,   -1,  377,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,  390,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   37,   -1,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   37,  425,   -1,  427,   41,
   42,   43,  431,   45,   63,   47,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,  448,
   -1,   63,  451,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   94,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,  486,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  503,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,
   -1,   -1,   -1,   45,   -1,   -1,   -1,  546,  547,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,
  579,  580,  581,  257,  258,  259,  260,  261,  262,  263,
  264,  265,  266,  267,  268,  269,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,  286,  287,  288,  289,  290,  291,  292,  293,
  294,  295,  296,   -1,  298,  299,  300,  301,  302,  303,
  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,
  639,  640,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,  650,   -1,  652,  653,  654,  655,  656,  657,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,  342,  343,
   -1,   -1,   -1,   -1,  348,  641,  642,  643,  644,  645,
  646,  647,  648,   63,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  377,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,  390,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  425,   -1,  427,   -1,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  486,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  503,
   -1,   -1,  506,  507,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  348,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   -1,   40,   -1,   41,   42,   43,   45,   45,
   -1,   47,  546,  547,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,  390,   -1,
   -1,  393,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  575,  576,  577,  578,  579,  580,  581,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,  425,   -1,  427,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  448,   -1,   -1,  451,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,  638,  639,  640,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  650,   -1,  652,  653,
  654,  655,  656,  657,  486,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   37,  503,   -1,   -1,  506,   42,   43,   44,   45,   -1,
   47,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  546,  547,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,  581,
  257,  258,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,  290,  291,  292,  293,  294,  295,  296,
   -1,  298,  299,  300,  301,  302,  303,  304,  305,   -1,
   -1,   -1,   -1,   -1,   -1,   37,  638,  639,  640,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,  650,   -1,
  652,  653,  654,  655,  656,  657,   -1,   -1,   37,   -1,
   -1,   63,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,  348,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   40,   -1,
   -1,   -1,   94,   45,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  390,   -1,   94,  393,   -1,   -1,   -1,
   -1,   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   37,   -1,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   -1,   63,  425,   37,
  427,   -1,   -1,   -1,   42,   43,   44,   45,   63,   47,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,  448,   40,   -1,  451,   63,   -1,   45,   94,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,   94,
   -1,   42,   43,   44,   45,   37,   47,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   94,   -1,   37,  486,
   -1,   -1,   63,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   63,   -1,   -1,   -1,   37,  503,   40,   -1,  506,
   42,   43,   45,   45,   63,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   58,   -1,   -1,   -1,
   -1,   63,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,  546,
  547,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  575,  576,
  577,  578,  579,  580,  581,  257,  258,  259,  260,  261,
  262,  263,  264,  265,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,  291,
  292,  293,  294,  295,  296,   -1,  298,  299,  300,  301,
  302,  303,  304,  305,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  638,  639,  640,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  650,   -1,  652,  653,  654,  655,  656,
  657,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,
  258,  259,  260,  261,  262,  263,  264,  265,  266,  267,
  268,  269,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,  289,  290,  291,  292,  293,  294,  295,  296,   -1,
  298,  299,  300,  301,  302,  303,  304,  305,  390,   -1,
   -1,   -1,   -1,   -1,  257,  258,  259,  260,  261,  262,
  263,  264,  265,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,  291,  292,
  293,  294,  295,  296,   -1,  298,  299,  300,  301,  302,
  303,  304,  305,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,  641,  642,  643,  644,  645,  646,
  647,  648,   42,   43,   44,   45,   -1,   47,   -1,   63,
   -1,   -1,  390,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   63,  486,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   -1,   37,   -1,
   94,  503,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   63,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,  390,   -1,   -1,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   94,   -1,  546,  547,   -1,   -1,   -1,   -1,
  552,  553,   -1,   -1,   -1,   94,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  486,   -1,
   -1,   -1,   -1,  575,  576,  577,  578,  579,  580,  581,
   -1,   40,   -1,  585,  586,  503,   45,   94,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  352,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  486,   -1,   -1,   -1,   -1,  546,  547,
  373,   -1,   -1,   -1,  552,  553,  638,  639,  640,   37,
  503,   -1,   -1,   41,   42,   43,   -1,   45,  650,   47,
  652,  653,  654,  655,  656,  657,   -1,  575,  576,  577,
  578,  579,  580,  581,   40,   63,   -1,  585,  586,   45,
   -1,   -1,   -1,   -1,  537,  641,  642,  643,  644,  645,
  646,  647,  648,  546,  547,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  575,  576,  577,  578,  579,  580,  581,   40,
  638,  639,  640,   -1,   45,   -1,   -1,  470,   -1,   -1,
   -1,   -1,  650,   -1,  652,  653,  654,  655,  656,  657,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,  638,  639,  640,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  650,   -1,  652,
  653,  654,  655,  656,  657,   -1,   -1,   -1,  257,  258,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,  291,  292,  293,  294,  295,  296,   -1,  298,
  299,  300,  301,  302,  303,  304,  305,   -1,   -1,   -1,
  593,  594,  595,  596,  597,  598,  599,  600,  601,  602,
  603,  604,  605,  606,  607,  608,  609,  610,  611,  612,
  613,  614,  615,  616,  617,  618,   -1,   -1,   -1,   -1,
   -1,  257,  258,  259,  260,  261,  262,  263,  264,  265,
  266,  267,  268,  269,  270,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,  290,  291,  292,  293,  294,  295,
  296,   -1,  298,  299,  300,  301,  302,  303,  304,  305,
   -1,  390,   -1,   -1,   -1,   -1,  257,  258,  259,  260,
  261,  262,  263,  264,  265,  266,  267,  268,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,  289,  290,
  291,  292,  293,  294,  295,  296,   -1,  298,  299,  300,
  301,  302,  303,  304,  305,   37,   -1,   -1,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   63,   -1,   37,  390,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   63,   -1,   -1,  486,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   94,   -1,  503,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   94,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  390,
   94,   -1,   -1,   -1,   37,   -1,   -1,   -1,  537,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,  546,  547,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   63,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
  486,   -1,   -1,   -1,   -1,   -1,  575,  576,  577,  578,
  579,  580,  581,   40,   -1,   -1,   -1,  503,   45,   -1,
   93,   94,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,   37,   47,
   -1,   -1,   41,   42,   43,  486,   45,   -1,   47,   -1,
  546,  547,   -1,   -1,   -1,   63,   -1,   -1,   -1,  638,
  639,  640,  503,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,  650,   -1,  652,  653,  654,  655,  656,  657,  575,
  576,  577,  578,  579,  580,  581,   94,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   94,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,  546,  547,   37,   -1,   -1,
   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   63,  575,  576,  577,  578,  579,  580,
  581,   -1,  638,  639,  640,   94,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  650,   -1,  652,  653,  654,  655,
  656,  657,   37,   -1,   94,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  638,  639,  640,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  650,
   -1,  652,  653,  654,  655,  656,  657,   -1,   -1,   94,
  257,  258,  259,  260,  261,  262,  263,  264,  265,  266,
  267,  268,  269,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,  290,  291,  292,  293,  294,  295,  296,
   -1,  298,  299,  300,  301,  302,  303,  304,  305,   37,
   -1,   -1,   -1,   -1,   42,   43,   44,   45,   37,   47,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   37,   -1,   -1,   63,   41,   42,   43,   -1,
   45,   37,   47,   -1,   63,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   37,   -1,   -1,   63,   41,
   42,   43,   -1,   45,   37,   47,   94,   63,   41,   42,
   43,   -1,   45,   -1,   47,   94,   -1,   -1,   37,   -1,
   -1,   63,   41,   42,   43,   -1,   45,   -1,   47,   94,
   63,   37,   -1,  390,   -1,   41,   42,   43,   94,   45,
   37,   47,   -1,   -1,   63,   42,   43,   44,   45,   -1,
   47,   -1,   94,   -1,   37,   -1,   -1,   63,   41,   42,
   43,   94,   45,   37,   47,   -1,   63,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   94,   -1,   37,   -1,   -1,
   63,   41,   42,   43,   -1,   45,   37,   47,   94,   63,
   41,   42,   43,   -1,   45,   -1,   47,   94,   -1,   -1,
   37,   -1,   -1,   63,   41,   42,   43,   -1,   45,   -1,
   47,   94,   63,   37,   -1,   -1,   -1,   41,   42,   43,
   94,   45,   -1,   47,   -1,   -1,   63,   -1,   -1,  486,
   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   94,   -1,   -1,  503,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   94,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   94,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,  546,
  547,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   37,   47,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,  575,  576,
  577,  578,  579,  580,  581,   -1,   63,   37,   -1,   -1,
   -1,   -1,   42,   43,   44,   45,   -1,   47,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   63,   37,   -1,   -1,   94,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   63,  638,  639,  640,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  650,   -1,  652,  653,  654,  655,  656,
  657,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   -1,   47,   -1,   37,   -1,   63,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   63,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   37,   -1,   -1,   -1,   41,   42,   43,   -1,   45,   37,
   47,   94,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   37,   -1,
   -1,   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   63,   37,   -1,   94,   -1,   -1,
   42,   43,   -1,   45,   37,   47,   94,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   37,   -1,
   -1,   63,   41,   42,   43,   94,   45,   37,   47,   -1,
   63,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,
   -1,   93,   94,   63,   37,   -1,   -1,   -1,   41,   42,
   43,   94,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   94,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   37,   -1,   -1,   -1,   41,
   42,   43,   -1,   45,   37,   47,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,
   63,   -1,   42,   43,   44,   45,   37,   47,   -1,   -1,
   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   63,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   94,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   93,   94,   42,   43,   44,   45,   -1,   47,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   37,   -1,   -1,   -1,   63,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   37,   -1,   -1,   94,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   37,   94,   63,
   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   -1,   -1,   -1,   63,   42,   43,   44,   45,   -1,   47,
   94,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   94,   -1,   -1,   63,  641,  642,  643,  644,
  645,  646,  647,  648,   94,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   37,   -1,   -1,
   -1,   41,   42,   43,   -1,   45,   94,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   63,  641,  642,  643,  644,  645,  646,  647,
  648,   37,   -1,   -1,   94,   41,   42,   43,   -1,   45,
   -1,   47,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   94,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,   -1,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   63,   37,   -1,   -1,
   -1,   -1,   42,   43,   44,   45,   37,   47,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   37,   -1,   -1,   63,   41,   42,   43,   94,   45,   37,
   47,   -1,   63,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   37,   -1,   -1,   63,   41,   42,   43,
   -1,   45,   37,   47,   94,   63,   41,   42,   43,   -1,
   45,   -1,   47,   94,   -1,   37,   -1,   -1,   -1,   63,
   42,   43,   44,   45,   -1,   47,   -1,   94,   63,   -1,
   -1,   -1,   37,   -1,   -1,   -1,   94,   42,   43,   44,
   45,   63,   47,   -1,   -1,   -1,   -1,   37,   -1,   -1,
   94,   -1,   42,   43,   44,   45,   37,   47,   63,   94,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   37,
   -1,   -1,   94,   63,   42,   43,   -1,   45,   -1,   47,
   37,   -1,   63,   -1,   -1,   42,   43,   44,   45,   94,
   47,   37,   -1,   -1,   -1,   63,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   94,   -1,   63,   -1,   -1,   -1,
   -1,   -1,   -1,   94,   37,   -1,   -1,   63,   -1,   42,
   43,   44,   45,   -1,   47,   93,   94,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   37,   -1,
   -1,   -1,   -1,   42,   43,   44,   45,   37,   47,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   37,   -1,   -1,   -1,
   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   37,   63,   -1,   -1,   94,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   94,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   63,   -1,   37,
   -1,   -1,   -1,   94,   42,   43,   44,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   63,   -1,   93,   94,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   37,   -1,   -1,   -1,   94,   42,   43,   44,
   45,   -1,   47,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   37,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   63,   -1,   94,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   94,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   37,   -1,   -1,
   94,   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,
   -1,   63,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   63,   37,   -1,   -1,   -1,   41,   42,
   43,   -1,   45,   37,   47,   -1,   -1,   41,   42,   43,
   -1,   45,   94,   47,   -1,   -1,   -1,   37,   -1,   -1,
   63,   -1,   42,   43,   94,   45,   37,   47,   -1,   63,
   -1,   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   63,   37,   -1,   -1,   -1,   -1,   42,   43,
   94,   45,   -1,   47,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   93,   94,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   93,
   94,   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   63,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   94,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   37,   -1,   -1,   -1,   -1,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   37,   -1,   -1,   63,
   -1,   42,   43,   44,   45,   37,   47,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   63,   37,   -1,   -1,   -1,   -1,   42,   43,   44,
   45,   37,   47,   -1,   -1,   -1,   42,   43,   -1,   45,
   -1,   47,   -1,   94,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   37,   -1,
   -1,   -1,   -1,   42,   43,   44,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   63,   37,   -1,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   63,   37,   -1,   -1,   94,   -1,   42,   43,   44,
   45,   37,   47,   -1,   -1,   -1,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   37,   -1,   94,
   -1,   -1,   42,   43,   -1,   45,   -1,   47,   94,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   63,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   41,   42,   43,   -1,   45,   -1,
   47,   -1,   -1,   -1,   94,   -1,   -1,   -1,   63,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   94,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,   -1,
   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   63,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   41,   42,   43,   -1,   45,   63,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   63,   41,   42,
   43,   -1,   45,   -1,   47,   63,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   94,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,   63,
   -1,   41,   42,   43,   -1,   45,   94,   47,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   94,   41,   42,   43,   -1,   45,
   -1,   47,   94,   41,   42,   43,   -1,   45,   63,   47,
   -1,   -1,   -1,  529,   41,   42,   43,   63,   45,   -1,
   47,   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   94,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   94,   41,
   42,   43,   -1,   45,   -1,   47,   94,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   94,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   63,   41,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   41,
   42,   43,   -1,   45,   -1,   47,   94,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   94,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   94,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   63,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   -1,
   -1,   63,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,  641,  642,  643,  644,  645,  646,
  647,  648,   41,   42,   43,   -1,   45,   -1,   47,   -1,
   -1,   -1,   94,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   41,   42,   43,   63,   45,   -1,   47,   -1,   -1,
   41,   42,   43,   -1,   45,   63,   47,   -1,   41,   42,
   43,   -1,   45,   63,   47,   -1,   -1,   41,   42,   43,
   -1,   45,   63,   47,   -1,   94,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,   94,   -1,   -1,   63,
   -1,   41,   42,   43,   94,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   94,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   94,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   94,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   94,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   42,
   43,   44,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   63,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  641,  642,  643,  644,  645,  646,  647,
  648,   94,   -1,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   63,   42,   43,
   44,   45,   -1,   47,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   -1,   -1,   -1,   42,   43,   44,   45,   63,
   47,   -1,   -1,   -1,   -1,   -1,   -1,   63,   94,   -1,
   42,   43,   44,   45,   -1,   47,   63,   -1,  335,   -1,
   -1,   -1,   -1,   42,   43,   -1,   45,   -1,   47,   -1,
   94,   63,   -1,   -1,   -1,   -1,   -1,   -1,   94,   -1,
   -1,   -1,   -1,   -1,   63,   -1,   -1,   94,   -1,   -1,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   94,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   94,  641,  642,  643,  644,
  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,  352,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  373,
  447,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  469,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  482,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,  641,  642,  643,  644,  645,  646,  647,
  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  470,   -1,   -1,  641,
  642,  643,  644,  645,  646,  647,  648,  554,  555,  556,
  557,   -1,  559,  560,  561,  562,  563,  564,  565,  566,
  567,  568,  569,  570,  571,  572,  573,  574,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,   -1,  641,  642,  643,  644,  645,  646,  647,
  648,  641,  642,  643,  644,  645,  646,  647,  648,   -1,
  641,  642,  643,  644,  645,  646,  647,  648,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  641,  642,  643,  644,  645,  646,  647,  648,  593,
  594,  595,  596,  597,  598,  599,  600,  601,  602,  603,
  604,  605,  606,  607,  608,  609,  610,  611,  612,  613,
  614,  615,  616,  617,  618,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  639,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,
  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  641,  642,  643,
  644,  645,  646,  647,  648,  641,  642,  643,  644,  645,
  646,  647,  648,   -1,  641,  642,  643,  644,  645,  646,
  647,  648,  281,   -1,  283,  284,  317,   -1,  319,  641,
  642,  643,  644,  645,  646,  647,  648,   -1,   -1,   -1,
   -1,   -1,  641,  642,  643,  644,  645,  646,  647,  648,
   -1,   -1,  343,   -1,  313,   -1,   -1,  348,  333,  334,
  335,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  344,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  336,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  348,
   -1,   -1,  383,   -1,  385,  354,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  397,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  414,   -1,   -1,  417,   -1,   -1,   -1,
   -1,  406,   -1,   -1,   -1,   -1,  427,   -1,   -1,   -1,
  431,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  407,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,   -1,   -1,
  451,  452,   -1,   -1,   -1,   -1,   -1,   -1,  427,   -1,
   -1,   -1,  447,   -1,   -1,   -1,  435,   -1,   -1,  438,
  471,  472,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  448,
  449,  450,  451,  452,  469,  454,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  482,   -1,   -1,
   -1,   -1,   -1,   -1,  505,   -1,  507,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  520,
  521,   -1,   -1,  524,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  537,  506,   -1,   -1,
  541,   -1,   -1,   -1,  513,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  537,  554,
  555,  556,  557,   -1,  559,  560,  561,  562,  563,  564,
  565,  566,  567,  568,  569,  570,  571,  572,  573,  574,
  348,  349,   -1,   -1,  348,  349,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  371,   -1,   -1,   -1,  371,   -1,  377,
   -1,   -1,   -1,  377,   -1,  383,   -1,  385,   -1,  383,
   -1,  385,   -1,   -1,   -1,   -1,   -1,   -1,  639,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  404,   -1,   -1,   -1,
  404,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  425,   -1,  427,
  639,  425,   -1,  427,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  439,   -1,   -1,   -1,  439,   -1,   -1,   -1,   -1,
  448,   -1,   -1,  451,  448,   -1,   -1,  451,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  471,   -1,   -1,   -1,  471,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  506,  507,
   -1,   -1,  506,  507,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  528,   -1,   -1,   -1,  528,   -1,   -1,   -1,   -1,  537,
   -1,   -1,   -1,  537,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  571,   -1,   -1,   -1,  571,
};
#define YYFINAL 172
#ifndef YYDEBUG
#define YYDEBUG 1
#endif
#define YYMAXTOKEN 663
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,"'\\n'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,"'%'",0,0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,0,0,
0,0,0,0,0,"':'",0,0,"'='",0,"'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,"'['",0,"']'","'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"ABS","ACOS","ASIN","ATAN","ATAN2","CEIL","COS",
"DEG","DX","DY","ERF","ERFC","EXP","FLOOR","HYPOT","INDEX","INT","INVN","INVT",
"IRAND","JDAY","JDAY0","LGAMMA","LN","LOG","LOGISTIC","MAXP","MINP","MOD",
"NORM","NORMP","PI","RAD","RAND","RNORM","SETNO","SIN","SQR","SQRT","TAN",
"INUM","VX1","VX2","VY1","VY2","WX1","WX2","WY1","WY2","DELAYP","DOUBLEBUFFER",
"DOWN","ABSOLUTE","ABORT","ACTIVATE","ACTIVE","ALT","ALTERNATE","ALTXAXIS",
"ALTYAXIS","ANGLE","ANNOTATE","APPEND","AREA","ARRANGE","ARROW","ASCENDING",
"AUTO","AUTOSCALE","AUTOTICKS","AVG","AXIS","AXES","BACKBUFFER","BACKGROUND",
"BAR","BATCH","BLOCK","BIN","BOTH","BOTTOM","BOX","BOXPLOT","CD","CELLS",
"CENTER","CHAR","CHRSTR","CLEAR","CLICK","CMAP","COLOR","COMMENT","COPY",
"CYCLE","DECIMAL","DEF","DEFAULT","DELETE","DEVICE","DESCENDING","DFT",
"DIFFERENCE","DISK","DRAW2","DROP","DXDX","DXP","DYDY","DYP","ECHO","EDIT",
"ELSE","END","ERRORBAR","EXIT","EXPONENTIAL","FALSEP","FFT","FILEP","FILL",
"FIND","FIXEDPOINT","FLUSH","FOCUS","FOLLOWS","FONTP","FOREGROUND","FORMAT",
"FRONTBUFFER","FRAMEP","GETP","GRAPH","GRAPHNO","GRAPHS","GRAPHTYPE","GRID",
"HARDCOPY","HBAR","HBOXPLOT","HGAP","HIDDEN","HORIZONTAL","HPGLL","HPGLP",
"HISTO","IF","IGNORE","IHL","IMAGE","IN","INIT","INOUT","INTEGRATE","INTERP",
"INVDFT","INVFFT","JUST","KILL","LABEL","LAYOUT","LEAVE","LEFT","LEGEND",
"LENGTH","LEVEL","LEVELS","LINE","LINESTYLE","LINETO","LINEWIDTH","LINK","LOAD",
"LOCATOR","LOCTYPE","LOGX","LOGY","LOGXY","MAJOR","MIFL","MIFP","MINOR",
"MISSINGP","MOVE","MOVE2","MOVETO","NEGATE","NO","NONE","NORMAL","NXY","OFF",
"OFFSETX","OFFSETY","ON","OP","ORIENT","OUT","PAGE","PARA","PARALLEL",
"PARAMETERS","PARAMS","PATTERN","PERIMETER","PERP","PERPENDICULAR","PIE","PIPE",
"PLACE","POINT","POLAR","POLY","POWER","PREC","PREPEND","PRINT","PS","PSCOLORP",
"PSMONOP","PSCOLORL","PSMONOL","PUSH","POP","PUTP","RAWSPICE","READ","REDRAW",
"REGRESS","REGNUM","REGIONS","RENDER","REVERSE","RIGHT","RISER","ROT","RUNAVG",
"RUNMED","RUNSTD","RUNMIN","RUNMAX","SAMPLE","SAVEALL","SCALE","SCIENTIFIC",
"SET","SETNUM","SETS","SIGN","SIZE","SKIP","SLEEP","SLICE","SMITH","SORT",
"SOURCE","SPEC","SPECIFIED","SPECTRUM","STACK","STACKEDBAR","STACKEDHBAR",
"STACKEDLINE","STAGGER","START","STARTTYPE","STATUS","STOP","STRING","SUBTITLE",
"SWAPBUFFER","SYMBOL","TICKP","TICKLABEL","TICKMARKS","TIME","TITLE","TO","TOP",
"TRUEP","TYPE","UP","VELOCITY","VERTICAL","VGAP","VIEW","WITH","WORLD","WRITE",
"X","X0","X1","XAXES","XAXIS","XCOR","XMAX","XMIN","XY","XYARC","XYBOX",
"XYBOXPLOT","XYFIXED","XYHILO","XYRT","XYSEG","XYSTRING","XYDX","XYDY","XYDXDX",
"XYDYDY","XYDXDY","XYX2Y2","XYXX","XYYY","XYZ","XYZW","XYUV","TSV","Y","Y0",
"Y1","Y2","Y3","Y4","Y5","YAXES","YAXIS","YES","YMAX","YMIN","ZEROXAXIS",
"ZEROYAXIS","ABOVE","BELOW","POLYI","POLYO","GENERAL","DDMMYY","YYMMDD",
"MMDDYY","MMYY","MMDD","MONTHDAY","DAYMONTH","MONTHS","MONTHSY","MONTHL",
"DAYOFWEEKS","DAYOFWEEKL","DAYOFYEAR","HMS","MMDDHMS","MMDDYYHMS","YYMMDDHMS",
"DEGREESLON","DEGREESMMLON","DEGREESMMSSLON","MMSSLON","DEGREESLAT",
"DEGREESMMLAT","DEGREESMMSSLAT","MMSSLAT","DOT","STAR","PLUS","CROSS","CIRCLE",
"SQUARE","DIAMOND","TRIANGLE1","TRIANGLE2","TRIANGLE3","TRIANGLE4","SPLINE",
"LANDSCAPE","PORTRAIT","FREE","FIXED","STATUSBAR","LOCATORBAR","TOOLBAR","VAR",
"NUMBER","FITPARM","OR","AND","GT","LT","LE","GE","EQ","NE","UMINUS","NOT",
"ELLIPSE","ACOSH","ASINH","ATANH","COSH","SINH","TANH","ASPLINE","BIASED",
"UNBIASED","BEGIN","INCREMENT","SD",
};
char *yyrule[] = {
"$accept : list",
"list :",
"list : asgn '\\n'",
"list : vasgn '\\n'",
"list : rasgn '\\n'",
"list : expr '\\n'",
"list : vexpr '\\n'",
"list : parmset '\\n'",
"list : regionset '\\n'",
"list : setaxis '\\n'",
"list : setvelocity '\\n'",
"list : set_setprop '\\n'",
"list : setprint '\\n'",
"list : error '\\n'",
"setprint : PRINT printer CHRSTR",
"setprint : PRINT TO printer CHRSTR",
"setprint : PRINT TO printer",
"setprint : DEVICE NUMBER",
"setprint : HARDCOPY DEVICE NUMBER",
"setprint : HARDCOPY",
"setprint : PS LINEWIDTH BEGIN NUMBER",
"setprint : PS LINEWIDTH INCREMENT NUMBER",
"setprint : PS LINEWIDTH NUMBER",
"printer : PSMONOP",
"printer : PSMONOL",
"printer : MIFP",
"printer : MIFL",
"printer : HPGLP",
"printer : HPGLL",
"printer : HARDCOPY",
"printer : FILEP",
"regionset : REGNUM onoff",
"regionset : REGNUM TYPE regiontype",
"regionset : REGNUM COLOR NUMBER",
"regionset : REGNUM LINESTYLE NUMBER",
"regionset : REGNUM LINEWIDTH NUMBER",
"regionset : REGNUM LINE expr ',' expr ',' expr ',' expr",
"regionset : REGNUM XY expr ',' expr",
"regionset : LINK REGNUM TO GRAPHNO",
"parmset : REDRAW",
"parmset : AUTO REDRAW onoff",
"parmset : CD CHRSTR",
"parmset : ECHO CHRSTR",
"parmset : STATUS",
"parmset : BACKGROUND COLOR NUMBER",
"parmset : CMAP NUMBER ',' NUMBER ',' NUMBER ',' NUMBER",
"parmset : EXIT",
"parmset : PAGE LAYOUT pagelayout",
"parmset : STATUSBAR onoff",
"parmset : TOOLBAR onoff",
"parmset : LOCATORBAR onoff",
"parmset : DRAW2 expr ',' expr",
"parmset : MOVE2 expr ',' expr",
"parmset : SYMBOL expr ',' expr ',' NUMBER",
"parmset : COLOR NUMBER",
"parmset : LINEWIDTH NUMBER",
"parmset : LINESTYLE NUMBER",
"parmset : WRITE STRING expr ',' expr ',' CHRSTR",
"parmset : PAGE direction",
"parmset : PAGE NUMBER",
"parmset : PAGE INOUT NUMBER",
"parmset : LINK PAGE onoff",
"parmset : DOUBLEBUFFER torf",
"parmset : FRONTBUFFER torf",
"parmset : BACKBUFFER torf",
"parmset : SWAPBUFFER",
"parmset : SLEEP NUMBER",
"parmset : DELAYP NUMBER",
"parmset : ABORT torf",
"parmset : GETP CHRSTR",
"parmset : PUTP CHRSTR",
"parmset : WITH GRAPHNO",
"parmset : WITH SETNUM",
"parmset : SETNUM LINK sourcetype CHRSTR",
"parmset : GRAPHNO '.' SETNUM LINK sourcetype CHRSTR",
"parmset : SETNUM LINK onoff",
"parmset : GRAPHNO '.' SETNUM LINK onoff",
"parmset : ACTIVATE SETNUM NUMBER",
"parmset : ACTIVATE GRAPHNO '.' SETNUM NUMBER",
"parmset : SETNUM LENGTH NUMBER",
"parmset : GRAPHNO '.' SETNUM LENGTH NUMBER",
"parmset : SETNUM POINT expr ',' expr",
"parmset : GRAPHNO '.' SETNUM POINT expr ',' expr",
"parmset : SETNUM DROP NUMBER ',' NUMBER",
"parmset : GRAPHNO '.' SETNUM DROP NUMBER ',' NUMBER",
"parmset : SORT SETNUM sorton sortdir",
"parmset : COPY SETNUM TO SETNUM",
"parmset : COPY GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : MOVE SETNUM TO SETNUM",
"parmset : MOVE GRAPHNO '.' SETNUM TO GRAPHNO '.' SETNUM",
"parmset : KILL SETNUM",
"parmset : KILL SETS",
"parmset : KILL SETNUM SAVEALL",
"parmset : KILL SETS SAVEALL",
"parmset : KILL GRAPHNO",
"parmset : KILL GRAPHS",
"parmset : FLUSH",
"parmset : ARRANGE NUMBER ',' NUMBER",
"parmset : LOAD VAR NUMBER ',' expr ',' expr",
"parmset : REGRESS '(' SETNUM ',' NUMBER ')'",
"parmset : runtype '(' SETNUM ',' NUMBER ')'",
"parmset : ffttype '(' SETNUM ',' NUMBER ')'",
"parmset : SPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : ASPLINE '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : INTERP '(' SETNUM ',' SETNUM ',' NUMBER ')'",
"parmset : HISTO '(' SETNUM ',' expr ',' expr ',' NUMBER ')'",
"parmset : DIFFERENCE '(' SETNUM ',' NUMBER ')'",
"parmset : INT '(' SETNUM ')'",
"parmset : XCOR '(' SETNUM ',' SETNUM ',' xcortype ',' NUMBER ')'",
"parmset : AUTOSCALE",
"parmset : AUTOSCALE XAXES",
"parmset : AUTOSCALE YAXES",
"parmset : AUTOSCALE SETNUM",
"parmset : LOCATOR onoff",
"parmset : FOCUS GRAPHNO",
"parmset : FOCUS onoff",
"parmset : FOCUS SET",
"parmset : FOCUS FOLLOWS",
"parmset : FOCUS CLICK",
"parmset : SOURCE sourcetype",
"parmset : TYPE xytype",
"parmset : FORMAT formatchoice",
"parmset : READ CHRSTR",
"parmset : READ BATCH CHRSTR",
"parmset : READ BLOCK CHRSTR",
"parmset : READ BLOCK sourcetype CHRSTR",
"parmset : BLOCK xytype CHRSTR",
"parmset : READ xytype CHRSTR",
"parmset : READ xytype sourcetype CHRSTR",
"parmset : READ IMAGE CHRSTR",
"parmset : WRITE IMAGE CHRSTR",
"parmset : IMAGE XY NUMBER ',' NUMBER",
"parmset : WRITE SETNUM",
"parmset : WRITE SETNUM FORMAT CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR",
"parmset : WRITE SETNUM FILEP CHRSTR FORMAT CHRSTR",
"parmset : SAVEALL CHRSTR",
"parmset : PUSH",
"parmset : POP",
"parmset : CYCLE",
"parmset : STACK NUMBER",
"parmset : STACK WORLD expr ',' expr ',' expr ',' expr TICKP expr ',' expr ',' expr ',' expr",
"parmset : CLEAR STACK",
"parmset : CLEAR BOX",
"parmset : WITH BOX",
"parmset : WITH BOX NUMBER",
"parmset : BOX onoff",
"parmset : BOX GRAPHNO",
"parmset : BOX expr ',' expr ',' expr ',' expr",
"parmset : BOX LOCTYPE worldview",
"parmset : BOX LINESTYLE NUMBER",
"parmset : BOX LINEWIDTH NUMBER",
"parmset : BOX COLOR NUMBER",
"parmset : BOX FILL filltype",
"parmset : BOX FILL COLOR NUMBER",
"parmset : BOX FILL PATTERN NUMBER",
"parmset : BOX DEF",
"parmset : CLEAR ELLIPSE",
"parmset : WITH ELLIPSE",
"parmset : WITH ELLIPSE NUMBER",
"parmset : ELLIPSE onoff",
"parmset : ELLIPSE GRAPHNO",
"parmset : ELLIPSE expr ',' expr ',' expr ',' expr",
"parmset : ELLIPSE LOCTYPE worldview",
"parmset : ELLIPSE LINESTYLE NUMBER",
"parmset : ELLIPSE LINEWIDTH NUMBER",
"parmset : ELLIPSE COLOR NUMBER",
"parmset : ELLIPSE FILL filltype",
"parmset : ELLIPSE FILL COLOR NUMBER",
"parmset : ELLIPSE FILL PATTERN NUMBER",
"parmset : ELLIPSE DEF",
"parmset : WITH LINE",
"parmset : WITH LINE NUMBER",
"parmset : CLEAR LINE",
"parmset : LINE onoff",
"parmset : LINE GRAPHNO",
"parmset : LINE expr ',' expr ',' expr ',' expr",
"parmset : LINE LOCTYPE worldview",
"parmset : LINE LINEWIDTH NUMBER",
"parmset : LINE LINESTYLE NUMBER",
"parmset : LINE COLOR NUMBER",
"parmset : LINE ARROW NUMBER",
"parmset : LINE ARROW SIZE NUMBER",
"parmset : LINE ARROW TYPE NUMBER",
"parmset : LINE DEF",
"parmset : CLEAR STRING",
"parmset : WITH STRING",
"parmset : WITH STRING NUMBER",
"parmset : STRING onoff",
"parmset : STRING GRAPHNO",
"parmset : STRING expr ',' expr",
"parmset : STRING LOCTYPE worldview",
"parmset : STRING LINEWIDTH NUMBER",
"parmset : STRING COLOR NUMBER",
"parmset : STRING ROT NUMBER",
"parmset : STRING FONTP NUMBER",
"parmset : STRING JUST NUMBER",
"parmset : STRING CHAR SIZE NUMBER",
"parmset : STRING DEF CHRSTR",
"parmset : TIME STRING onoff",
"parmset : TIME STRING FONTP NUMBER",
"parmset : TIME STRING CHAR SIZE NUMBER",
"parmset : TIME STRING COLOR NUMBER",
"parmset : TIME STRING LINEWIDTH NUMBER",
"parmset : TIME STRING NUMBER ',' NUMBER",
"parmset : DEFAULT LINESTYLE NUMBER",
"parmset : DEFAULT LINEWIDTH NUMBER",
"parmset : DEFAULT COLOR NUMBER",
"parmset : DEFAULT CHAR SIZE NUMBER",
"parmset : DEFAULT FONTP NUMBER",
"parmset : DEFAULT FONTP SOURCE NUMBER",
"parmset : DEFAULT SYMBOL SIZE NUMBER",
"parmset : WORLD expr ',' expr ',' expr ',' expr",
"parmset : WORLD XMIN expr",
"parmset : WORLD XMAX expr",
"parmset : WORLD YMIN expr",
"parmset : WORLD YMAX expr",
"parmset : POLAR WORLD expr ',' expr",
"parmset : VIEW expr ',' expr ',' expr ',' expr",
"parmset : VIEW XMIN NUMBER",
"parmset : VIEW XMAX NUMBER",
"parmset : VIEW YMIN NUMBER",
"parmset : VIEW YMAX NUMBER",
"parmset : TITLE CHRSTR",
"parmset : TITLE FONTP NUMBER",
"parmset : TITLE SIZE NUMBER",
"parmset : TITLE COLOR NUMBER",
"parmset : TITLE LINEWIDTH NUMBER",
"parmset : SUBTITLE CHRSTR",
"parmset : SUBTITLE FONTP NUMBER",
"parmset : SUBTITLE SIZE NUMBER",
"parmset : SUBTITLE COLOR NUMBER",
"parmset : SUBTITLE LINEWIDTH NUMBER",
"parmset : GRAPHS MAXP SETS NUMBER",
"parmset : LEGEND onoff",
"parmset : LEGEND LOCTYPE worldview",
"parmset : LEGEND LAYOUT NUMBER",
"parmset : LEGEND VGAP NUMBER",
"parmset : LEGEND HGAP NUMBER",
"parmset : LEGEND LENGTH NUMBER",
"parmset : LEGEND BOX onoff",
"parmset : LEGEND BOX FILL onoff",
"parmset : LEGEND BOX FILL WITH colpat",
"parmset : LEGEND BOX FILL colpat NUMBER",
"parmset : LEGEND BOX COLOR NUMBER",
"parmset : LEGEND BOX LINESTYLE NUMBER",
"parmset : LEGEND BOX LINEWIDTH NUMBER",
"parmset : LEGEND expr ',' expr",
"parmset : LEGEND X1 expr",
"parmset : LEGEND Y1 expr",
"parmset : LEGEND CHAR SIZE NUMBER",
"parmset : LEGEND FONTP NUMBER",
"parmset : LEGEND LINESTYLE NUMBER",
"parmset : LEGEND LINEWIDTH NUMBER",
"parmset : LEGEND COLOR NUMBER",
"parmset : LEGEND STRING NUMBER CHRSTR",
"parmset : FRAMEP onoff",
"parmset : FRAMEP TYPE NUMBER",
"parmset : FRAMEP LINESTYLE NUMBER",
"parmset : FRAMEP LINEWIDTH NUMBER",
"parmset : FRAMEP COLOR NUMBER",
"parmset : FRAMEP FILL onoff",
"parmset : FRAMEP BACKGROUND COLOR NUMBER",
"parmset : GRAPHNO onoff",
"parmset : GRAPHNO LABEL onoff",
"parmset : GRAPHNO AUTOSCALE TYPE AUTO",
"parmset : GRAPHNO AUTOSCALE TYPE SPEC",
"parmset : GRAPHNO AUTOSCALE torf",
"parmset : GRAPHNO HIDDEN torf",
"parmset : GRAPHNO TYPE graphtype",
"parmset : GRAPHNO BAR SIZE NUMBER",
"parmset : GRAPHNO STACKEDBAR SIZE NUMBER",
"parmset : GRAPHNO FIXEDPOINT onoff",
"parmset : GRAPHNO FIXEDPOINT FORMAT formatchoice formatchoice",
"parmset : GRAPHNO FIXEDPOINT PREC NUMBER ',' NUMBER",
"parmset : GRAPHNO FIXEDPOINT XY expr ',' expr",
"parmset : GRAPHNO FIXEDPOINT TYPE NUMBER",
"parmset : GRAPHNO MAXP SETS NUMBER",
"setvelocity : VELOCITY SCALE NUMBER",
"setvelocity : VELOCITY LEGEND onoff",
"setvelocity : VELOCITY LINEWIDTH NUMBER",
"setvelocity : VELOCITY LINESTYLE NUMBER",
"setvelocity : VELOCITY COLOR NUMBER",
"setvelocity : VELOCITY LOCTYPE worldview",
"setvelocity : VELOCITY ARROW TYPE NUMBER",
"xytype : XY",
"xytype : XYARC",
"xytype : XYBOX",
"xytype : XYBOXPLOT",
"xytype : XYHILO",
"xytype : XYRT",
"xytype : XYSEG",
"xytype : XYSTRING",
"xytype : XYDX",
"xytype : XYDY",
"xytype : XYDXDX",
"xytype : XYDYDY",
"xytype : XYDXDY",
"xytype : XYX2Y2",
"xytype : XYXX",
"xytype : XYYY",
"xytype : XYZ",
"xytype : XYZW",
"xytype : XYUV",
"xytype : TSV",
"xytype : NXY",
"xytype : BIN",
"xytype : POLY",
"xytype : RAWSPICE",
"graphtype : XY",
"graphtype : LOGX",
"graphtype : LOGY",
"graphtype : LOGXY",
"graphtype : BAR",
"graphtype : HBAR",
"graphtype : STACKEDBAR",
"graphtype : STACKEDHBAR",
"graphtype : POLAR",
"graphtype : XYFIXED",
"graphtype : BOXPLOT",
"graphtype : HBOXPLOT",
"graphtype : SMITH",
"pagelayout : FREE",
"pagelayout : LANDSCAPE",
"pagelayout : PORTRAIT",
"pagelayout : FIXED",
"regiontype : ABOVE",
"regiontype : BELOW",
"regiontype : LEFT",
"regiontype : RIGHT",
"regiontype : POLYI",
"regiontype : POLYO",
"set_setprop : selectsets setprop",
"setprop : onoff",
"setprop : IGNORE",
"setprop : TYPE xytype",
"setprop : MISSINGP expr",
"setprop : PREC NUMBER",
"setprop : FORMAT formatchoice",
"setprop : SYMBOL expr",
"setprop : SYMBOL FILL NUMBER",
"setprop : SYMBOL CENTER torf",
"setprop : SYMBOL SIZE expr",
"setprop : SYMBOL CHAR NUMBER",
"setprop : SYMBOL SKIP NUMBER",
"setprop : SYMBOL COLOR expr",
"setprop : SYMBOL LINEWIDTH NUMBER",
"setprop : SYMBOL LINESTYLE NUMBER",
"setprop : prop NUMBER",
"setprop : FILL NUMBER",
"setprop : FILL WITH colpat",
"setprop : FILL colpat NUMBER",
"setprop : SKIP NUMBER",
"setprop : ERRORBAR LENGTH NUMBER",
"setprop : ERRORBAR TYPE opchoice",
"setprop : ERRORBAR LINEWIDTH NUMBER",
"setprop : ERRORBAR LINESTYLE NUMBER",
"setprop : ERRORBAR RISER onoff",
"setprop : ERRORBAR RISER LINEWIDTH NUMBER",
"setprop : ERRORBAR RISER LINESTYLE NUMBER",
"setprop : XYZ expr ',' expr",
"setprop : COMMENT CHRSTR",
"setaxis : axis",
"setaxis : axis axisfeature",
"setaxis : allaxes",
"setaxis : GRAPHS axis",
"setaxis : GRAPHS axis axisfeature",
"setaxis : GRAPHS allaxes",
"axis : XAXIS",
"axis : YAXIS",
"axis : ALTXAXIS",
"axis : ALTYAXIS",
"axis : ZEROXAXIS",
"axis : ZEROYAXIS",
"allaxes : AXES axesprops",
"allaxes : XAXES axesprops",
"allaxes : YAXES axesprops",
"axesprops : onoff",
"axesprops : COLOR NUMBER",
"axesprops : LINEWIDTH NUMBER",
"axesprops : LINESTYLE NUMBER",
"axesprops : FONTP NUMBER",
"axesprops : CHAR SIZE NUMBER",
"axesprops : GRID onoff",
"axisfeature : TICKP tickdesc",
"axisfeature : TICKLABEL ticklabeldesc",
"axisfeature : LABEL axislabeldesc",
"axisfeature : BAR axisbardesc",
"axisfeature : onoff",
"tickdesc : tickattr",
"tickdesc : tickdesc tickattr",
"tickattr : onoff",
"tickattr : MAJOR onoff",
"tickattr : MINOR onoff",
"tickattr : MAJOR expr",
"tickattr : MINOR expr",
"tickattr : OFFSETX expr",
"tickattr : OFFSETY expr",
"tickattr : ALT onoff",
"tickattr : MINP expr",
"tickattr : MAXP expr",
"tickattr : DEFAULT NUMBER",
"tickattr : inoutchoice",
"tickattr : LOG onoff",
"tickattr : SIZE NUMBER",
"tickattr : MAJOR SIZE NUMBER",
"tickattr : MINOR SIZE NUMBER",
"tickattr : COLOR NUMBER",
"tickattr : LINEWIDTH NUMBER",
"tickattr : MAJOR COLOR NUMBER",
"tickattr : MINOR COLOR NUMBER",
"tickattr : MAJOR LINEWIDTH NUMBER",
"tickattr : MINOR LINEWIDTH NUMBER",
"tickattr : MAJOR LINESTYLE NUMBER",
"tickattr : MINOR LINESTYLE NUMBER",
"tickattr : MAJOR GRID onoff",
"tickattr : MINOR GRID onoff",
"tickattr : OP opchoice",
"tickattr : TYPE AUTO",
"tickattr : TYPE SPEC",
"tickattr : SPEC NUMBER",
"tickattr : NUMBER ',' expr",
"ticklabeldesc : ticklabelattr",
"ticklabeldesc : ticklabeldesc ticklabelattr",
"ticklabelattr : onoff",
"ticklabelattr : TYPE AUTO",
"ticklabelattr : TYPE SPEC",
"ticklabelattr : PREC NUMBER",
"ticklabelattr : FORMAT formatchoice",
"ticklabelattr : FORMAT NUMBER",
"ticklabelattr : APPEND CHRSTR",
"ticklabelattr : PREPEND CHRSTR",
"ticklabelattr : LAYOUT HORIZONTAL",
"ticklabelattr : LAYOUT VERTICAL",
"ticklabelattr : LAYOUT SPEC",
"ticklabelattr : LOCTYPE ON",
"ticklabelattr : LOCTYPE CENTER",
"ticklabelattr : LOCTYPE LEFT",
"ticklabelattr : LOCTYPE RIGHT",
"ticklabelattr : ANGLE NUMBER",
"ticklabelattr : JUST justchoice",
"ticklabelattr : SKIP NUMBER",
"ticklabelattr : STAGGER NUMBER",
"ticklabelattr : OP opchoice",
"ticklabelattr : SIGN signchoice",
"ticklabelattr : START expr",
"ticklabelattr : STOP expr",
"ticklabelattr : START TYPE SPEC",
"ticklabelattr : START TYPE AUTO",
"ticklabelattr : STOP TYPE SPEC",
"ticklabelattr : STOP TYPE AUTO",
"ticklabelattr : VGAP NUMBER",
"ticklabelattr : HGAP NUMBER",
"ticklabelattr : CHAR SIZE NUMBER",
"ticklabelattr : FONTP NUMBER",
"ticklabelattr : COLOR NUMBER",
"ticklabelattr : LINEWIDTH NUMBER",
"ticklabelattr : NUMBER ',' CHRSTR",
"axislabeldesc : CHRSTR",
"axislabeldesc : LAYOUT PERP",
"axislabeldesc : LAYOUT PARA",
"axislabeldesc : PLACE AUTO",
"axislabeldesc : PLACE SPEC",
"axislabeldesc : PLACE NUMBER ',' NUMBER",
"axislabeldesc : JUST justchoice",
"axislabeldesc : CHAR SIZE NUMBER",
"axislabeldesc : FONTP NUMBER",
"axislabeldesc : COLOR NUMBER",
"axislabeldesc : LINEWIDTH NUMBER",
"axisbardesc : onoff",
"axisbardesc : COLOR NUMBER",
"axisbardesc : LINESTYLE NUMBER",
"axisbardesc : LINEWIDTH NUMBER",
"selectsets : GRAPHNO '.' SETNUM",
"selectsets : SETNUM",
"selectsets : SETS",
"selectsets : GRAPHNO SETS",
"selectsets : GRAPHS SETS",
"selectsets : GRAPHS SETNUM",
"prop : LINESTYLE",
"prop : LINEWIDTH",
"prop : FONTP",
"prop : COLOR",
"prop : SIZE",
"onoff : ON",
"onoff : OFF",
"colpat : COLOR",
"colpat : PATTERN",
"runtype : RUNAVG",
"runtype : RUNSTD",
"runtype : RUNMED",
"runtype : RUNMAX",
"runtype : RUNMIN",
"ffttype : DFT",
"ffttype : FFT",
"ffttype : INVDFT",
"ffttype : INVFFT",
"xcortype : BIASED",
"xcortype : UNBIASED",
"sourcetype : DISK",
"sourcetype : PIPE",
"filltype : PATTERN",
"filltype : COLOR",
"filltype : NONE",
"opchoice : TOP",
"opchoice : BOTTOM",
"opchoice : LEFT",
"opchoice : RIGHT",
"opchoice : BOTH",
"justchoice : RIGHT",
"justchoice : LEFT",
"justchoice : CENTER",
"extremetype : MINP",
"extremetype : MAXP",
"barsd : AVG",
"barsd : SD",
"torf : TRUEP",
"torf : FALSEP",
"inoutchoice : IN",
"inoutchoice : OUT",
"inoutchoice : BOTH",
"formatchoice : DECIMAL",
"formatchoice : EXPONENTIAL",
"formatchoice : POWER",
"formatchoice : GENERAL",
"formatchoice : DDMMYY",
"formatchoice : MMDDYY",
"formatchoice : YYMMDD",
"formatchoice : MMYY",
"formatchoice : MMDD",
"formatchoice : MONTHDAY",
"formatchoice : DAYMONTH",
"formatchoice : MONTHS",
"formatchoice : MONTHSY",
"formatchoice : MONTHL",
"formatchoice : DAYOFWEEKS",
"formatchoice : DAYOFWEEKL",
"formatchoice : DAYOFYEAR",
"formatchoice : HMS",
"formatchoice : MMDDHMS",
"formatchoice : MMDDYYHMS",
"formatchoice : YYMMDDHMS",
"formatchoice : DEGREESLON",
"formatchoice : DEGREESMMLON",
"formatchoice : DEGREESMMSSLON",
"formatchoice : MMSSLON",
"formatchoice : DEGREESLAT",
"formatchoice : DEGREESMMLAT",
"formatchoice : DEGREESMMSSLAT",
"formatchoice : MMSSLAT",
"signchoice : NORMAL",
"signchoice : ABSOLUTE",
"signchoice : NEGATE",
"direction : UP",
"direction : DOWN",
"direction : RIGHT",
"direction : LEFT",
"direction : IN",
"direction : OUT",
"worldview : WORLD",
"worldview : VIEW",
"sortdir : ASCENDING",
"sortdir : DESCENDING",
"sorton : X",
"sorton : Y",
"vector : X",
"vector : Y",
"vector : X0",
"vector : Y0",
"vector : Y1",
"vector : Y2",
"vector : Y3",
"vector : Y4",
"vector : Y5",
"asgn : VAR '[' expr ']' '=' expr",
"asgn : vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' vector '[' expr ']' '=' expr",
"asgn : SETNUM '.' SYMBOL '=' expr",
"asgn : GRAPHNO '.' SETNUM '.' vector '[' expr ']' '=' expr",
"rasgn : REGNUM '.' vector '=' expr",
"vasgn : VAR '=' vexpr",
"vasgn : vector '=' vexpr",
"vasgn : SETNUM '=' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' SETNUM",
"vasgn : SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : GRAPHNO '.' SETNUM '=' GRAPHNO '.' SETNUM",
"vasgn : SETNUM '.' vector '=' vexpr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' vexpr",
"vasgn : VAR '=' expr",
"vasgn : vector '=' expr",
"vasgn : SETNUM '.' vector '=' expr",
"vasgn : GRAPHNO '.' SETNUM '.' vector '=' expr",
"vexpr : VAR",
"vexpr : vector",
"vexpr : SETNUM '.' vector",
"vexpr : GRAPHNO '.' SETNUM '.' vector",
"vexpr : expr",
"vexpr : expr '+' expr",
"vexpr : vexpr '+' vexpr",
"vexpr : expr '+' vexpr",
"vexpr : vexpr '+' expr",
"vexpr : expr '-' expr",
"vexpr : vexpr '-' vexpr",
"vexpr : expr '-' vexpr",
"vexpr : vexpr '-' expr",
"vexpr : expr '*' expr",
"vexpr : vexpr '*' vexpr",
"vexpr : expr '*' vexpr",
"vexpr : vexpr '*' expr",
"vexpr : expr '/' expr",
"vexpr : vexpr '/' vexpr",
"vexpr : expr '/' vexpr",
"vexpr : vexpr '/' expr",
"vexpr : expr '^' expr",
"vexpr : expr '^' vexpr",
"vexpr : vexpr '^' expr",
"vexpr : vexpr '^' vexpr",
"vexpr : ABS '(' expr ')'",
"vexpr : ABS '(' vexpr ')'",
"vexpr : ACOS '(' vexpr ')'",
"vexpr : ACOSH '(' vexpr ')'",
"vexpr : ASIN '(' vexpr ')'",
"vexpr : ASINH '(' vexpr ')'",
"vexpr : ATAN '(' vexpr ')'",
"vexpr : ATANH '(' vexpr ')'",
"vexpr : ATAN2 '(' vexpr ',' vexpr ')'",
"vexpr : CEIL '(' vexpr ')'",
"vexpr : COS '(' vexpr ')'",
"vexpr : COSH '(' vexpr ')'",
"vexpr : DEG",
"vexpr : ERF '(' vexpr ')'",
"vexpr : ERFC '(' vexpr ')'",
"vexpr : EXP '(' vexpr ')'",
"vexpr : FLOOR '(' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' vexpr ')'",
"vexpr : HYPOT '(' expr ',' vexpr ')'",
"vexpr : HYPOT '(' vexpr ',' expr ')'",
"vexpr : HYPOT '(' expr ',' expr ')'",
"vexpr : INDEX",
"vexpr : SETNO",
"vexpr : INT '(' vexpr ')'",
"vexpr : INVN '(' vexpr ')'",
"vexpr : INVT '(' expr ',' NUMBER ')'",
"vexpr : INVT '(' vexpr ',' NUMBER ')'",
"vexpr : IRAND '(' NUMBER ')'",
"vexpr : LGAMMA '(' vexpr ')'",
"vexpr : LN '(' vexpr ')'",
"vexpr : LOG '(' vexpr ')'",
"vexpr : LOGISTIC '(' vexpr ',' expr ',' expr ')'",
"vexpr : MAXP '(' vexpr ',' vexpr ')'",
"vexpr : MINP '(' vexpr ',' vexpr ')'",
"vexpr : MOD '(' vexpr ',' vexpr ')'",
"vexpr : NORM '(' vexpr ')'",
"vexpr : NORMP '(' vexpr ')'",
"vexpr : PI",
"vexpr : RAD",
"vexpr : RAND",
"vexpr : RNORM '(' vexpr ',' vexpr ')'",
"vexpr : RNORM '(' expr ',' vexpr ')'",
"vexpr : RNORM '(' vexpr ',' expr ')'",
"vexpr : RNORM '(' expr ',' expr ')'",
"vexpr : SIN '(' vexpr ')'",
"vexpr : SINH '(' vexpr ')'",
"vexpr : SQR '(' vexpr ')'",
"vexpr : SQRT '(' vexpr ')'",
"vexpr : TAN '(' vexpr ')'",
"vexpr : TANH '(' vexpr ')'",
"vexpr : vexpr '?' vexpr ':' vexpr",
"vexpr : vexpr GT vexpr",
"vexpr : vexpr LT vexpr",
"vexpr : vexpr LE vexpr",
"vexpr : vexpr GE vexpr",
"vexpr : vexpr EQ vexpr",
"vexpr : vexpr NE vexpr",
"vexpr : vexpr AND vexpr",
"vexpr : vexpr OR vexpr",
"vexpr : NOT vexpr",
"vexpr : '(' vexpr ')'",
"vexpr : '-' vexpr",
"expr : NUMBER",
"expr : FITPARM",
"expr : VAR '[' expr ']'",
"expr : REGNUM '.' vector",
"expr : vector '[' expr ']'",
"expr : SETNUM '.' vector '[' expr ']'",
"expr : GRAPHNO '.' SETNUM '.' vector '[' expr ']'",
"expr : SETNUM '.' vector '.' extremetype",
"expr : GRAPHNO '.' SETNUM '.' vector '.' extremetype",
"expr : vector '.' extremetype",
"expr : SETNUM '.' LENGTH",
"expr : GRAPHNO '.' SETNUM '.' vector '.' barsd",
"expr : SETNUM '.' vector '.' barsd",
"expr : vector '.' barsd",
"expr : expr '+' expr",
"expr : expr '-' expr",
"expr : expr '*' expr",
"expr : expr '/' expr",
"expr : expr '%' expr",
"expr : expr '^' expr",
"expr : ABS '(' expr ')'",
"expr : ACOS '(' expr ')'",
"expr : ACOSH '(' expr ')'",
"expr : ASIN '(' expr ')'",
"expr : ASINH '(' expr ')'",
"expr : ATAN '(' expr ')'",
"expr : ATANH '(' expr ')'",
"expr : ATAN2 '(' expr ',' expr ')'",
"expr : CEIL '(' expr ')'",
"expr : COS '(' expr ')'",
"expr : COSH '(' expr ')'",
"expr : DEG",
"expr : ERF '(' expr ')'",
"expr : ERFC '(' expr ')'",
"expr : EXP '(' expr ')'",
"expr : FLOOR '(' expr ')'",
"expr : HYPOT '(' expr ',' expr ')'",
"expr : GRAPHNO '.' VX1",
"expr : GRAPHNO '.' VX2",
"expr : GRAPHNO '.' VY1",
"expr : GRAPHNO '.' VY2",
"expr : GRAPHNO '.' WX1",
"expr : GRAPHNO '.' WX2",
"expr : GRAPHNO '.' WY1",
"expr : GRAPHNO '.' WY2",
"expr : VX1",
"expr : VX2",
"expr : VY1",
"expr : VY2",
"expr : WX1",
"expr : WX2",
"expr : WY1",
"expr : WY2",
"expr : DX",
"expr : DY",
"expr : INDEX",
"expr : SETNO",
"expr : INT '(' expr ')'",
"expr : INVN '(' expr ')'",
"expr : INVT '(' expr ',' NUMBER ')'",
"expr : IRAND '(' NUMBER ')'",
"expr : JDAY '(' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : JDAY0 '(' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ',' NUMBER ')'",
"expr : LGAMMA '(' expr ')'",
"expr : LN '(' expr ')'",
"expr : LOG '(' expr ')'",
"expr : LOGISTIC '(' expr ',' expr ',' expr ')'",
"expr : MAXP '(' expr ',' expr ')'",
"expr : MINP '(' expr ',' expr ')'",
"expr : MOD '(' expr ',' expr ')'",
"expr : NORM '(' expr ')'",
"expr : NORMP '(' expr ')'",
"expr : PI",
"expr : RAD",
"expr : RAND",
"expr : RNORM '(' expr ',' expr ')'",
"expr : SIN '(' expr ')'",
"expr : SINH '(' expr ')'",
"expr : SQR '(' expr ')'",
"expr : SQRT '(' expr ')'",
"expr : TAN '(' expr ')'",
"expr : TANH '(' expr ')'",
"expr : expr '?' expr ':' expr",
"expr : expr GT expr",
"expr : expr LT expr",
"expr : expr LE expr",
"expr : expr GE expr",
"expr : expr EQ expr",
"expr : expr NE expr",
"expr : expr AND expr",
"expr : expr OR expr",
"expr : NOT expr",
"expr : '(' expr ')'",
"expr : '-' expr",
};
#endif
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#ifdef YYSTACKSIZE
#ifndef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#endif
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 4043 "pars.yacc"

void fixupstr(char *val)
{
    int vl = strlen(val);
    lowtoupper(val);
    val[vl + 1] = 0;
    val[vl] = '\n';
}

void scanner(char *s, double *x, double *y, int len, double *a, double *b, double *c, double *d, int lenscr, int i, int setno, int *errpos)
{
    interr = 0;
    whichgraph = cg;
    whichset = setno;
    if (s[0] == '#') {
	return;
    }
    pos = 0;
    aa = a;
    bb = b;
    cc = c;
    dd = d;
    xx = x;
    yy = y;
    lxy = len;
    ls = lenscr;
    setindex = i + 1;
    curset = setsetno = setno;
    strcpy(f_string, s);
    fcnt = 0;
    log_results(s);
    yyparse();
    *errpos = interr;
    for (i = 0; i < fcnt; i++) {
	cfree(freelist[i]);
	freelist[i] = NULL;
    }
}

void runbatch(char *bfile)
{
    double x, y;
    int errpos;
    char stext[256];
    FILE *fp;
    if (strcmp("stdin", bfile)) {
	fp = fopen(bfile, "r");
    }
    else {
	fp = stdin;
    }
    if (fp == NULL) {
        fprintf(stderr, "Error opening batch file \"%s\"\n", bfile);
        exit(1);
    }
    while(fgets(stext, 255, fp) != NULL) {
        if (stext[0] == '#') {
            continue;
        }
	if (strlen(stext) == 0) {
	    continue;
	}
        lowtoupper(stext);
/* TODO check on 0, 0 here for index and setno */
        scanner(stext, &x, &y, 1, ax, bx, cx, dx, 1, 0, 0, &errpos);
        stext[0] = 0;
        if (gotparams && paramfile[0]) {
            if (!getparms(cg, paramfile)) {
            }
            gotparams = 0;
        } else if (gotread && readfile[0]) {
            if (getdata(cg, readfile, readsrc, readtype)) {
#ifndef GRBATCH
                drawgraph();
#endif
            }
            gotread = 0;
        }
    }
    if (fp != stdin) {
	fclose(fp);
    }
}

symtab_entry key[] = {
	"A", VAR,
	"A0", FITPARM,
	"A1", FITPARM,
	"A2", FITPARM,
	"A3", FITPARM,
	"A4", FITPARM,
	"A5", FITPARM,
	"A6", FITPARM,
	"A7", FITPARM,
	"A8", FITPARM,
	"A9", FITPARM,
	"ABORT", ABORT,
	"ABOVE", ABOVE,
	"ABS", ABS,
	"ABSOLUTE", ABSOLUTE,
	"ACOS", ACOS,
	"ACOSH", ACOSH,
	"ACTIVATE", ACTIVATE,
	"ACTIVE", ACTIVE,
	"ALT", ALT,
	"ALTERNATE", ALTERNATE,
	"ALTXAXIS", ALTXAXIS,
	"ALTYAXIS", ALTYAXIS,
	"AND", AND,
	"ANGLE", ANGLE,
	"ANNOTATE", ANNOTATE,
	"APPEND", APPEND,
	"AREA", AREA,
	"ARRANGE", ARRANGE,
	"ARROW", ARROW,
	"ASCENDING", ASCENDING,
	"ASIN", ASIN,
	"ASINH", ASINH,
	"ASPLINE", ASPLINE,
	"ATAN", ATAN,
	"ATANH", ATANH,
	"ATAN2", ATAN2,
	"AUTO", AUTO,
	"AUTOSCALE", AUTOSCALE,
	"AUTOTICKS", AUTOTICKS,
	"AVG", AVG,
	"AXES", AXES,
	"AXIS", AXIS,
	"B", VAR,
	"BACKBUFFER", BACKBUFFER,
	"BACKGROUND", BACKGROUND,
	"BAR", BAR,
	"BATCH", BATCH,
        "BEGIN", BEGIN,
	"BELOW", BELOW,
	"BIASED", BIASED,
	"BIN", BIN,
	"BLOCK", BLOCK,
	"BOTH", BOTH,
	"BOTTOM", BOTTOM,
	"BOX", BOX,
	"BOXPLOT", BOXPLOT,
	"C", VAR,
	"CD", CD,
	"CEIL", CEIL,
	"CELLS", CELLS,
	"CENTER", CENTER,
	"CHAR", CHAR,
	"CHRSTR", CHRSTR,
	"CLEAR", CLEAR,
	"CLICK", CLICK,
	"CMAP", CMAP,
	"CO", COLOR,
	"COLOR", COLOR,
	"COMMENT", COMMENT,
	"COPY", COPY,
	"COS", COS,
	"COSH", COSH,
	"CYCLE", CYCLE,
	"D", VAR,
	"DAYMONTH", DAYMONTH,
	"DAYOFWEEKL", DAYOFWEEKL,
	"DAYOFWEEKS", DAYOFWEEKS,
	"DAYOFYEAR", DAYOFYEAR,
	"DDMMYY", DDMMYY,
	"DECIMAL", DECIMAL,
	"DEF", DEF,
	"DEFAULT", DEFAULT,
	"DEG", DEG,
	"DEGREESLAT", DEGREESLAT,
	"DEGREESLON", DEGREESLON,
	"DEGREESMMLAT", DEGREESMMLAT,
	"DEGREESMMLON", DEGREESMMLON,
	"DEGREESMMSSLAT", DEGREESMMSSLAT,
	"DEGREESMMSSLON", DEGREESMMSSLON,
	"DELAY", DELAYP,
	"DELETE", DELETE,
	"DESCENDING", DESCENDING,
	"DEVICE", DEVICE,
	"DFT", DFT,
	"DIFF", DIFFERENCE,
	"DIFFERENCE", DIFFERENCE,
	"DISK", DISK,
	"DOUBLEBUFFER", DOUBLEBUFFER,
	"DOWN", DOWN,
	"DRAW2", DRAW2,
	"DROP", DROP,
	"DX", DX,
	"DXDX", DXDX,
	"DY", DY,
	"DYDY", DYDY,
	"ECHO", ECHO,
	"EDIT", EDIT,
	"ELLIPSE", ELLIPSE,
	"ELSE", ELSE,
	"END", END,
	"EQ", EQ,
	"ER", ERRORBAR,
	"ERF", ERF,
	"ERFC", ERFC,
	"ERRORBAR", ERRORBAR,
	"EXIT", EXIT,
	"EXP", EXP,
	"EXPONENTIAL", EXPONENTIAL,
	"FALSE", FALSEP,
	"FFT", FFT,
	"FILE", FILEP,
	"FILL", FILL,
	"FIND", FIND,
	"FIXED", FIXED,
	"FIXEDPOINT", FIXEDPOINT,
	"FLOOR", FLOOR,
	"FLUSH", FLUSH,
	"FOCUS", FOCUS,
	"FOLLOWS", FOLLOWS,
	"FONT", FONTP,
	"FOREGROUND", FOREGROUND,
	"FORMAT", FORMAT,
	"FRAME", FRAMEP,
	"FREE", FREE,
	"FRONTBUFFER", FRONTBUFFER,
	"GE", GE,
	"GENERAL", GENERAL,
	"GETP", GETP,
	"GRAPH", GRAPH,
	"GRAPHS", GRAPHS,
	"GRAPHTYPE", GRAPHTYPE,
	"GRID", GRID,
	"GT", GT,
	"HARDCOPY", HARDCOPY,
	"HBAR", HBAR,
	"HBOXPLOT", HBOXPLOT,
	"HGAP", HGAP,
	"HIDDEN", HIDDEN,
	"HISTO", HISTO,
	"HMS", HMS,
	"HORIZONTAL", HORIZONTAL,
	"HPGLL", HPGLL,
	"HPGLP", HPGLP,
	"HYPOT", HYPOT,
	"IF", IF,
	"IGNORE", IGNORE,
	"IHL", IHL,
	"IMAGE", IMAGE,
	"IN", IN,
        "INCREMENT", INCREMENT,
	"INDEX", INDEX,
	"INIT", INIT,
	"INOUT", INOUT,
	"INT", INT,
	"INTEGRATE", INT,
	"INTERP", INTERP,
	"INUM", INUM,
	"INVDFT", INVDFT,
	"INVFFT", INVFFT,
	"INVN", INVN,
	"INVT", INVT,
	"IRAND", IRAND,
	"JDAY", JDAY,
	"JDAY0", JDAY0,
	"JUST", JUST,
	"KILL", KILL,
	"LABEL", LABEL,
	"LANDSCAPE", LANDSCAPE,
	"LAYOUT", LAYOUT,
	"LE", LE,
	"LEAVE", LEAVE,
	"LEFT", LEFT,
	"LEGEND", LEGEND,
	"LENGTH", LENGTH,
	"LEVEL", LEVEL,
	"LEVELS", LEVELS,
	"LGAMMA", LGAMMA,
	"LINE", LINE,
	"LINESTYLE", LINESTYLE,
	"LINETO", LINETO,
	"LINEWIDTH", LINEWIDTH,
	"LINK", LINK,
	"LN", LN,
	"LOAD", LOAD,
	"LOCATOR", LOCATOR,
	"LOCATORBAR", LOCATORBAR,
	"LOCTYPE", LOCTYPE,
	"LOG", LOG,
	"LOGISTIC", LOGISTIC,
	"LOGX", LOGX,
	"LOGXY", LOGXY,
	"LOGY", LOGY,
	"LS", LINESTYLE,
	"LT", LT,
	"LW", LINEWIDTH,
	"MAJOR", MAJOR,
	"MAX", MAXP,
	"MIFL", MIFL,
	"MIFP", MIFP,
	"MIN", MINP,
	"MINOR", MINOR,
	"MISSING", MISSINGP,
	"MMDD", MMDD,
	"MMDDHMS", MMDDHMS,
	"MMDDYY", MMDDYY,
	"MMDDYYHMS", MMDDYYHMS,
	"MMSSLAT", MMSSLAT,
	"MMSSLON", MMSSLON,
	"MMYY", MMYY,
	"MOD", MOD,
	"MONTHDAY", MONTHDAY,
	"MONTHL", MONTHL,
	"MONTHS", MONTHS,
	"MONTHSY", MONTHSY,
	"MOVE", MOVE,
	"MOVE2", MOVE2,
	"MOVETO", MOVETO,
	"NE", NE,
	"NEGATE", NEGATE,
	"NO", NO,
	"NONE", NONE,
	"NORM", NORM,
	"NORMAL", NORMAL,
	"NORMP", NORMP,
	"NOT", NOT,
	"NUMBER", NUMBER,
	"NXY", NXY,
	"OFF", OFF,
	"OFFSETX", OFFSETX,
	"OFFSETY", OFFSETY,
	"ON", ON,
	"OP", OP,
	"OR", OR,
	"ORIENT", ORIENT,
	"OUT", OUT,
	"PAGE", PAGE,
	"PARA", PARA,
	"PARALLEL", PARALLEL,
	"PARAMETERS", PARAMETERS,
	"PARAMS", PARAMS,
	"PATTERN", PATTERN,
	"PERIMETER", PERIMETER,
	"PERP", PERP,
	"PERPENDICULAR", PERPENDICULAR,
	"PI", PI,
	"PIE", PIE,
	"PIPE", PIPE,
	"PLACE", PLACE,
	"POINT", POINT,
	"POLAR", POLAR,
	"POLY", POLY,
	"POLYI", POLYI,
	"POLYO", POLYO,
	"POP", POP,
	"PORTRAIT", PORTRAIT,
	"POWER", POWER,
	"PREC", PREC,
	"PREPEND", PREPEND,
	"PRINT", PRINT,
	"PS", PS,
	"PSCOLORL", PSCOLORL,
	"PSCOLORP", PSCOLORP,
	"PSMONOL", PSMONOL,
	"PSMONOP", PSMONOP,
	"PUSH", PUSH,
	"PUTP", PUTP,
	"RAD", RAD,
	"RAND", RAND,
	"RAWSPICE", RAWSPICE,
	"READ", READ,
	"REDRAW", REDRAW,
	"REGRESS", REGRESS,
	"RENDER", RENDER,
	"REVERSE", REVERSE,
	"RIGHT", RIGHT,
	"RISER", RISER,
	"RNORM", RNORM,
	"ROT", ROT,
	"RUNAVG", RUNAVG,
	"RUNMAX", RUNMAX,
	"RUNMED", RUNMED,
	"RUNMIN", RUNMIN,
	"RUNSTD", RUNSTD,
	"SAMPLE", SAMPLE,
	"SAVEALL", SAVEALL,
	"SCALE", SCALE,
	"SCIENTIFIC", SCIENTIFIC,
	"SD", SD,
	"SET", SET,
	"SETNO", SETNO,
	"SETS", SETS,
	"SIGN", SIGN,
	"SIN", SIN,
	"SINH", SINH,
	"SIZE", SIZE,
	"SKIP", SKIP,
	"SLEEP", SLEEP,
	"SLICE", SLICE,
	"SORT", SORT,
	"SOURCE", SOURCE,
	"SPEC", SPEC,
	"SPECIFIED", SPECIFIED,
	"SPECTRUM", SPECTRUM,
	"SPLINE", SPLINE,
	"SQR", SQR,
	"SQRT", SQRT,
	"STACK", STACK,
	"STACKEDBAR", STACKEDBAR,
	"STACKEDHBAR", STACKEDHBAR,
	"STACKEDLINE", STACKEDLINE,
	"STAGGER", STAGGER,
	"START", START,
	"STARTTYPE", STARTTYPE,
	"STATUS", STATUS,
	"STATUSBAR", STATUSBAR,
	"STOP", STOP,
	"STRING", STRING,
	"SUBTITLE", SUBTITLE,
	"SWAPBUFFER", SWAPBUFFER,
	"SYMBOL", SYMBOL,
	"TAN", TAN,
	"TANH", TANH,
	"TICK", TICKP,
	"TICKLABEL", TICKLABEL,
	"TICKMARKS", TICKMARKS,
	"TIME", TIME,
	"TITLE", TITLE,
	"TO", TO,
	"TOOLBAR", TOOLBAR,
	"TOP", TOP,
	"TRUE", TRUEP,
	"TSV", TSV,
	"TYPE", TYPE,
	"UNBIASED", UNBIASED,
	"UP", UP,
	"VAR", VAR,
	"VELOCITY", VELOCITY,
	"VERTICAL", VERTICAL,
	"VGAP", VGAP,
	"VIEW", VIEW,
	"VX1", VX1,
	"VX2", VX2,
	"VY1", VY1,
	"VY2", VY2,
	"WITH", WITH,
	"WORLD", WORLD,
	"WRITE", WRITE,
	"WX1", WX1,
	"WX2", WX2,
	"WY1", WY1,
	"WY2", WY2,
	"X", X,
	"X0", X0,
	"X1", X1,
	"XAXES", XAXES,
	"XAXIS", XAXIS,
	"XCOR", XCOR,
	"XMAX", XMAX,
	"XMIN", XMIN,
	"XY", XY,
	"XYARC", XYARC,
	"XYBOX", XYBOX,
	"XYBOXPLOT", XYBOXPLOT,
	"XYDX", XYDX,
	"XYDXDX", XYDXDX,
	"XYDXDY", XYDXDY,
	"XYDY", XYDY,
	"XYDYDY", XYDYDY,
	"XYFIXED", XYFIXED,
	"XYHILO", XYHILO,
	"XYRT", XYRT,
	"XYSEG", XYSEG,
	"XYSTRING", XYSTRING,
	"XYUV", XYUV,
	"XYX2Y2", XYX2Y2,
	"XYXX", XYXX,
	"XYYY", XYYY,
	"XYZ", XYZ,
	"XYZW", XYZW,
	"Y", Y,
	"Y0", Y0,
	"Y1", Y1,
	"Y2", Y2,
	"Y3", Y3,
	"Y4", Y4,
	"Y5", Y5,
	"YAXES", YAXES,
	"YAXIS", YAXIS,
	"YES", YES,
	"YMAX", YMAX,
	"YMIN", YMIN,
	"YYMMDD", YYMMDD,
	"YYMMDDHMS", YYMMDDHMS,
	"ZEROXAXIS", ZEROXAXIS,
	"ZEROYAXIS", ZEROYAXIS,
};

int maxparms = sizeof(key) / sizeof(symtab_entry);
int maxfunc = sizeof(key) / sizeof(symtab_entry);

int findf(symtab_entry *key, char *s, int tlen)
{

    int low, high, mid;

    low = 0;
    high = tlen - 1;
    while (low <= high) {
	mid = (low + high) / 2;
	if (strcmp(s, key[mid].s) < 0) {
	    high = mid - 1;
	} else {
	    if (strcmp(s, key[mid].s) > 0) {
		low = mid + 1;
	    } else {
		return (mid);
	    }
	}
    }
    return (-1);
}

int getcharstr(void)
{
    if (pos >= strlen(f_string))
	 return EOF;
    return (f_string[pos++]);
}

void ungetchstr(void)
{
    if (pos > 0)
	pos--;
}

int yylex(void)
{
    int c, i;
    int found;
    static char s[256];
    char sbuf[256];
    char *str;

    while ((c = getcharstr()) == ' ' || c == '\t');
    if (c == EOF) {
	return (0);
    }
    if (c == '"') {
	i = 0;
	while ((c = getcharstr()) != '"' && c != EOF) {
	    if (c == '\\') {
		int ctmp;
		ctmp = getcharstr();
		if (ctmp != '"') {
		    ungetchstr();
		}
		else {
		    c = ctmp;
		}
	    }
	    s[i] = c;
	    i++;
	}
	if (c == EOF) {
	    yyerror("Nonterminating string");
	    return 0;
	}
	s[i] = '\0';
	str = (char *) malloc(strlen(s) + 1);
	strcpy(str, s);
	yylval.str = str;
	return CHRSTR;
    }
    if (c == '.' || isdigit(c)) {
	char stmp[80];
	double d;
	int i, gotdot = 0;

	i = 0;
	while (c == '.' || isdigit(c)) {
	    if (c == '.') {
		if (gotdot) {
		    yyerror("Reading number, too many dots");
	    	    return 0;
		} else {
		    gotdot = 1;
		}
	    }
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (c == 'E' || c == 'e') {
	    stmp[i++] = c;
	    c = getcharstr();
	    if (c == '+' || c == '-') {
		stmp[i++] = c;
		c = getcharstr();
	    }
	    while (isdigit(c)) {
		stmp[i++] = c;
		c = getcharstr();
	    }
	}
	if (gotdot && i == 1) {
	    ungetchstr();
	    return '.';
	}
	stmp[i] = '\0';
	ungetchstr();
	sscanf(stmp, "%lf", &d);
	yylval.val = d;
	return NUMBER;
    }
/* graphs, sets, regions resp. */
    if (c == 'G' || c == 'S' || c == 'R') {
	char stmp[80];
	int i = 0, ctmp = c, gn, sn, rn;
	c = getcharstr();
	while (isdigit(c)) {
	    stmp[i++] = c;
	    c = getcharstr();
	}
	if (i == 0) {
	    c = ctmp;
	    ungetchstr();
	} else {
	    ungetchstr();
	    if (ctmp == 'G') {
	        stmp[i] = '\0';
		gn = atoi(stmp);
		if (gn >= 0 && gn < maxgraph) {
		    yylval.ival = gn;
		    whichgraph = gn;
		    return GRAPHNO;
		}
	    } else if (ctmp == 'S') {
	        stmp[i] = '\0';
		sn = atoi(stmp);
		if (sn >= 0 && sn < g[cg].maxplot) {
		    lxy = getsetlength(cg, sn);
		    yylval.ival = sn;
		    whichset = sn;
		    return SETNUM;
		}
	    } else if (ctmp == 'R') {
	        stmp[i] = '\0';
		rn = atoi(stmp);
		if (rn >= 0 && rn < MAXREGION) {
		    yylval.ival = rn;
		    return REGNUM;
		}
	    }
	}
    }
    if (isalpha(c)) {
	char *p = sbuf;

	do {
	    *p++ = c;
	} while ((c = getcharstr()) != EOF && isalnum(c));
	ungetchstr();
	*p = '\0';
        if (debuglevel == 2) {
	    printf("->%s<-\n", sbuf);
	}
	if ((found = findf(key, sbuf, maxfunc)) >= 0) {
	    if (key[found].type == VAR) {
		switch (sbuf[0]) {
		case 'A':
		    yylval.ptr = aa;
		    return VAR;
		case 'B':
		    yylval.ptr = bb;
		    return VAR;
		case 'C':
		    yylval.ptr = cc;
		    return VAR;
		case 'D':
		    yylval.ptr = dd;
		    return VAR;
		}
	    }
	    else if (key[found].type == FITPARM) {
		int index = sbuf[1] - '0';
		yylval.val = nonl_parms[index];
		return FITPARM;
	    }
	    else { /* set up special cases */
		switch (key[found].type) {
		case XAXIS:
		    naxis = 0;
		    break;
		case YAXIS:
		    naxis = 1;
		    break;
		case ZEROXAXIS:
		    naxis = 2;
		    break;
		case ZEROYAXIS:
		    naxis = 3;
		    break;
		case ALTXAXIS:
		    naxis = 4;
		    break;
		case ALTYAXIS:
		    naxis = 5;
		    break;
		case AXES:
		    naxis = 6;
		    break;
		case XAXES:
		    naxis = 7;
		    break;
		case YAXES:
		    naxis = 8;
		    break;
		case GRAPHS:
		    yylval.ival = -1;
		    whichgraph = -1;
		    return GRAPHS;
		    break;
		case SETS:
		    yylval.ival = -1;
		    whichset = -1;
		    return SETS;
		    break;
		default:
		    break;
		}
	    }
	    yylval.func = key[found].type;
	    return key[found].type;
	} else {
	    strcat(sbuf, ": No such function or variable");
	    yyerror(sbuf);
	    return 0;
	}
    }
    switch (c) {
    case '>':
	return follow('=', GE, GT);
    case '<':
	return follow('=', LE, LT);
    case '=':
	return follow('=', EQ, '=');
    case '!':
	return follow('=', NE, NOT);
    case '|':
	return follow('|', OR, '|');
    case '&':
	return follow('&', AND, '&');
    case '\n':
	return '\n';
    default:
	return c;
    }
}

int follow(int expect, int ifyes, int ifno)
{
    int c = getcharstr();

    if (c == expect) {
	return ifyes;
    }
    ungetchstr();
    return ifno;
}

void yyerror(char *s)
{
    int i;
    char buf[256];
    sprintf(buf, "%s: %s", s, f_string);
    i = strlen(buf);
    buf[i - 1] = 0;
    errmsg(buf);
    interr = 1;
}

#define C1 0.1978977093962766
#define C2 0.1352915131768107

double rnorm(double mean, double sdev)
{
    double u = drand48();

    return mean + sdev * (pow(u, C2) - pow(1.0 - u, C2)) / C1;
}

double fx(double x)
{
    return 1.0 / sqrt(2.0 * M_PI) * exp(-x * x * 0.5);
}

double normp(double b, double *s)
{
    double sum, dx, a = -8.0, fx(double x);
    int i, n = 48;

    sum = fx(a) + fx(b);
    dx = (b - a) / n;
    for (i = 1; i <= ((n - 1) / 2); i++)
	sum = sum + 4.0 * fx(a + (2.0 * i - 1.0) * dx) + 2.0 * fx(a + 2.0 * i * dx);
    sum = sum + 4.0 * fx(b - dx);
    *s = fx(b);
    return sum * dx / 3.0;
}

double invnorm(double p)
{
    double s, x, z, normp(double b, double *s);

    if (p > 0.5)
	x = 1.0 - p;
    else
	x = p;
    s = sqrt(-2.0 * log(x));
    x = ((-7.49101 * s - 448.047) * s - 1266.846);
    x = x / (((s + 109.8371) * s + 748.189) * s + 498.003) + s;
    if (p < 0.5)
	x = -x;
    z = p - normp(x, &s);
    z = z / s;
    s = x * x;
    return (((((((((720.0 * s + 2556.0) * s + 1740.0) * s + 127.0) * z / 7.0 +
		 ((120.0 * s + 326.0) * s + 127.0) * x) * z / 6.0 + (24 * s + 46.0) * s + 7.0) * z / 40.0 +
	       (0.75 * s + 0.875) * x) * z + s + 0.5) * z / 3.0 + x * 0.5) * z + 1.0) * z + x + 0.832e-24 * x;
}

double invt(double p, int n)
{
    double sign, temp, a, b, c, d, x, y;

    sign = 1.0;
    if (p < 0.5) {
	p = 1.0 - p;
	sign = -1.0;
    }
    p = (1 - p) * 2;
    if (n == 2) {
	temp = sqrt(2.0 / (p * (2.0 - p)) - 2.0);
	temp = sign * temp;
	return temp;
    } else if (n == 1) {
	p = p * M_PI / 2.0;
	return sign * cos(p) / sin(p);
    } else {
	a = 1.0 / (n - 0.5);
	b = 48.0 / (a * a);
	c = ((20700 * a / b - 98.0) * a - 16.0) * a + 96.36;
	d = ((94.5 / (b + c) - 3.0) / b + 1.0) * sqrt(a * M_PI / 2.0) * n;
	x = d * p;
	y = exp((2.0 / n) * log(x));
	if (y > (0.05 + a)) {
	    x = invnorm(p * 0.5);
	    y = x * x;
	    if (n < 5)
		c = c + 0.3 * (n - 4.5) * (x + 0.6);
	    c = (((0.05 * d * x - 5.0) * x - 7.0) * x - 2.0) * x + b + c;
	    y = (((((0.4 * y + 6.3) * y + 36.0) * y + 94.5) / c - y - 3.0) / b + 1.0) * x;
	    y = a * y * y;
	    if (y > 0.002)
		y = exp(y) - 1.0;
	    else
		y = 0.5 * y * y + y;
	} else
	    y = ((1.0 / (((n + 0.6) / (n * y) - 0.089 * d - 0.822) * (n + 2.0) * 3.0) + 0.5 / (n + 4.0)) * y - 1.0) * (n + 1.0) / (n + 2.0) + 1.0 / y;
	return sign * sqrt(n * y);
    }
}

/*
 * return a pointer to the array given by v
 */
double *getvptr(int gno, int setno, int v)
{
    switch (v) {
    case X:
    case X0:
	return g[gno].p[setno].ex[0];
	break;
    case Y:
    case Y0:
	return g[gno].p[setno].ex[1];
	break;
    case Y1:
	return g[gno].p[setno].ex[2];
	break;
    case Y2:
	return g[gno].p[setno].ex[3];
	break;
    case Y3:
	return g[gno].p[setno].ex[4];
	break;
    case Y4:
	return g[gno].p[setno].ex[5];
	break;
    case Y5:
	return g[gno].p[setno].ex[6];
	break;
    }
    return NULL;
}
#line 5805 "y.tab.c"
#define YYABORT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse()
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
    extern char *getenv();

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if (yyn = yydefred[yystate]) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, reading %d (%s)\n", yystate,
                    yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: state %d, shifting to state %d\n",
                    yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#ifdef lint
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: state %d, error recovery shifting\
 to state %d\n", *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: error recovery discarding state %d\n",
                            *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, error recovery discards token %d (%s)\n",
                    yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("yydebug: state %d, reducing by rule %d (%s)\n",
                yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 5:
#line 547 "pars.yacc"
{
	    result = yyvsp[-1].val;
	}
break;
case 6:
#line 550 "pars.yacc"
{
	    result = *yyvsp[-1].ptr;
	}
break;
case 13:
#line 559 "pars.yacc"
{
	    return 1;
	}
break;
case 14:
#line 565 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 15:
#line 574 "pars.yacc"
{
	    if (yyvsp[-1].pset == FILEP) {
		set_printer(FILEP, (char *) yyvsp[0].pset);
	    }
	    else {
		set_printer(yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 16:
#line 583 "pars.yacc"
{
	    if (yyvsp[0].pset == FILEP) {
		set_printer(FILEP, NULL);
	    }
	    else {
		set_printer(yyvsp[0].pset, NULL);
	    }
	}
break;
case 17:
#line 591 "pars.yacc"
{
	    tdevice = (int) yyvsp[0].val;
	}
break;
case 18:
#line 594 "pars.yacc"
{
	    hdevice = (int) yyvsp[0].val;
	}
break;
case 19:
#line 597 "pars.yacc"
{
	    do_hardcopy();
	}
break;
case 20:
#line 600 "pars.yacc"
{ 
            pslwbegin = (int) yyvsp[0].val; 
	}
break;
case 21:
#line 603 "pars.yacc"
{ 
            pslwincr = (int) yyvsp[0].val;
	}
break;
case 22:
#line 606 "pars.yacc"
{ 
	    pslwincr = (int) yyvsp[0].val; 
	}
break;
case 23:
#line 612 "pars.yacc"
{ yyval.pset = GR_PS_P; }
break;
case 24:
#line 613 "pars.yacc"
{ yyval.pset = GR_PS_L; }
break;
case 25:
#line 614 "pars.yacc"
{ yyval.pset = GR_MIF_P; }
break;
case 26:
#line 615 "pars.yacc"
{ yyval.pset = GR_MIF_L; }
break;
case 27:
#line 616 "pars.yacc"
{ yyval.pset = GR_HPGL_P; }
break;
case 28:
#line 617 "pars.yacc"
{ yyval.pset = GR_HPGL_L; }
break;
case 29:
#line 618 "pars.yacc"
{ yyval.pset = hdevice; }
break;
case 30:
#line 619 "pars.yacc"
{ yyval.pset = FILEP; }
break;
case 31:
#line 623 "pars.yacc"
{
	    rg[yyvsp[-1].pset].active = yyvsp[0].pset;
	}
break;
case 32:
#line 626 "pars.yacc"
{
	    rg[yyvsp[-2].pset].type = yyvsp[0].pset;
	}
break;
case 33:
#line 629 "pars.yacc"
{
	    rg[yyvsp[-2].pset].color = checkon(COLOR, rg[yyvsp[-2].pset].color, (int) yyvsp[0].val);
	}
break;
case 34:
#line 632 "pars.yacc"
{
	    rg[yyvsp[-2].pset].lines = checkon(LINESTYLE, rg[yyvsp[-2].pset].lines, (int) yyvsp[0].val);
	}
break;
case 35:
#line 635 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linew = checkon(LINEWIDTH, rg[yyvsp[-2].pset].linew, (int) yyvsp[0].val);
	}
break;
case 36:
#line 639 "pars.yacc"
{
	    rg[yyvsp[-8].pset].x1 = yyvsp[-6].val;
	    rg[yyvsp[-8].pset].y1 = yyvsp[-4].val;
	    rg[yyvsp[-8].pset].x2 = yyvsp[-2].val;
	    rg[yyvsp[-8].pset].y2 = yyvsp[0].val;
	}
break;
case 37:
#line 646 "pars.yacc"
{
	    if (rg[yyvsp[-4].pset].x == NULL || rg[yyvsp[-4].pset].n == 0) {
		rg[yyvsp[-4].pset].n = 0;
		rg[yyvsp[-4].pset].x = (double *) calloc(1, sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) calloc(1, sizeof(double));
	    } else {
		rg[yyvsp[-4].pset].x = (double *) realloc(rg[yyvsp[-4].pset].x, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
		rg[yyvsp[-4].pset].y = (double *) realloc(rg[yyvsp[-4].pset].y, (rg[yyvsp[-4].pset].n + 1) * sizeof(double));
	    }
	    rg[yyvsp[-4].pset].x[rg[yyvsp[-4].pset].n] = yyvsp[-2].val;
	    rg[yyvsp[-4].pset].y[rg[yyvsp[-4].pset].n] = yyvsp[0].val;
	    rg[yyvsp[-4].pset].n++;
	}
break;
case 38:
#line 659 "pars.yacc"
{
	    rg[yyvsp[-2].pset].linkto[yyvsp[0].pset] = TRUE;
	}
break;
case 39:
#line 665 "pars.yacc"
{
#ifndef GRBATCH
	    drawgraph();
#endif
	}
break;
case 40:
#line 670 "pars.yacc"
{
	    auto_redraw = (yyvsp[0].pset == ON);
	}
break;
case 41:
#line 673 "pars.yacc"
{
	    char buf[MAXPATHLEN];
	    strcpy(buf, (char *) yyvsp[0].pset);
	    expand_tilde(buf); 
	    if (chdir(buf) >= 0) {
		strcpy(workingdir, buf);
	    	if (inwin) {
#ifndef GRBATCH
		    set_title(workingdir);
#endif
	        }
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 42:
#line 687 "pars.yacc"
{
	    if (inwin) {
#ifndef GRBATCH
		set_left_footer((char *) yyvsp[0].pset);
#endif
	    }
	    else {
		printf("%s\n", (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 43:
#line 698 "pars.yacc"
{
#ifndef GRBATCH
	    update_stuff_status();
#endif
	}
break;
case 44:
#line 703 "pars.yacc"
{
	    setbgcolor((int) yyvsp[0].val);
	}
break;
case 45:
#line 706 "pars.yacc"
{
#ifndef GRBATCH
	    xlibsetcmap((int) yyvsp[-6].val, (int) yyvsp[-4].val, (int) yyvsp[-2].val, (int) yyvsp[0].val);
#endif
	}
break;
case 46:
#line 711 "pars.yacc"
{
	    exit(0);
	}
break;
case 47:
#line 715 "pars.yacc"
{
#ifndef GRBATCH
            set_pagelayout(yyvsp[0].pset);
#endif
        }
break;
case 48:
#line 721 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 49:
#line 727 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 50:
#line 733 "pars.yacc"
{
#ifndef GRBATCH
            set_toolbars(yyvsp[-1].pset, yyvsp[0].pset == ON);
#endif
        }
break;
case 51:
#line 739 "pars.yacc"
{
	    if (inwin) {
		my_draw2((double) yyvsp[-2].val, (double) yyvsp[0].val);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 52:
#line 747 "pars.yacc"
{
	    if (inwin) {
		my_move2((double) yyvsp[-2].val, (double) yyvsp[0].val);
	    }
	}
break;
case 53:
#line 752 "pars.yacc"
{
	    if (inwin) {
		double x = (double) yyvsp[-4].val;
		double y = (double) yyvsp[-2].val;
		drawpolysym(&x, &y, 1, (int) yyvsp[0].val, 0, 0, 1.0);
#ifndef GRBATCH
		flush_pending();
#endif
	    }
	}
break;
case 54:
#line 762 "pars.yacc"
{
	    if (inwin) {
		setcolor((int) yyvsp[0].val);
	    }
	}
break;
case 55:
#line 767 "pars.yacc"
{
	    if (inwin) {
		setlinewidth((int) yyvsp[0].val);
	    }
	}
break;
case 56:
#line 772 "pars.yacc"
{
	    if (inwin) {
		setlinestyle((int) yyvsp[0].val);
	    }
	}
break;
case 57:
#line 777 "pars.yacc"
{
	}
break;
case 58:
#line 781 "pars.yacc"
{
	    switch (yyvsp[0].pset) {
	    case UP:
		gwindup_proc();
		break;
	    case DOWN:
		gwinddown_proc();
		break;
	    case RIGHT:
		gwindright_proc();
		break;
	    case LEFT:
		gwindleft_proc();
		break;
	    case IN:
		gwindshrink_proc();
		break;
	    case OUT:
		gwindexpand_proc();
		break;
	    }
	}
break;
case 59:
#line 803 "pars.yacc"
{
	    scroll_proc((int) yyvsp[0].val);
	}
break;
case 60:
#line 806 "pars.yacc"
{
	    scrollinout_proc((int) yyvsp[0].val);
	}
break;
case 61:
#line 809 "pars.yacc"
{
	    scrolling_islinked = yyvsp[0].pset == ON;
	}
break;
case 62:
#line 812 "pars.yacc"
{
#ifndef GRBATCH
	    my_doublebuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 63:
#line 817 "pars.yacc"
{
#ifndef GRBATCH
	    my_frontbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 64:
#line 822 "pars.yacc"
{
#ifndef GRBATCH
	    my_backbuffer(yyvsp[0].pset == TRUEP);
#endif
	}
break;
case 65:
#line 827 "pars.yacc"
{
#ifndef GRBATCH
	    my_swapbuffer();
#endif
	}
break;
case 66:
#line 832 "pars.yacc"
{
	    sleep((int) yyvsp[0].val);
	}
break;
case 67:
#line 835 "pars.yacc"
{	/* TODO add delay function */
	}
break;
case 68:
#line 837 "pars.yacc"
{		/* TODO add abort flag and function */
	}
break;
case 69:
#line 840 "pars.yacc"
{
	    gotparams = TRUE;
	    strcpy(paramfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 70:
#line 846 "pars.yacc"
{
	    if (!fexists((char *) yyvsp[0].pset)) {
		FILE *pp = fopen((char *) yyvsp[0].pset, "w");
		if (pp != NULL) {
		    putparms(cg, pp, 0);
		    fclose(pp);
		} else {
		    errmsg("Unable to write parameter file");
		}
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 71:
#line 858 "pars.yacc"
{
	    cg = (int) yyvsp[0].pset;
	    g[cg].parmsread = TRUE;
	    change_gno = cg;
	}
break;
case 72:
#line 863 "pars.yacc"
{
	    curset = (int) yyvsp[0].pset;
	}
break;
case 73:
#line 868 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 74:
#line 872 "pars.yacc"
{
	    set_hotlink(yyvsp[-5].pset, yyvsp[-3].pset, 1, (char *) yyvsp[0].pset, yyvsp[-1].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 75:
#line 876 "pars.yacc"
{
	    set_hotlink(cg, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 76:
#line 879 "pars.yacc"
{
	    set_hotlink(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset == ON, NULL, 0);
	}
break;
case 77:
#line 882 "pars.yacc"
{
	    do_activateset(cg, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 78:
#line 885 "pars.yacc"
{
	    do_activateset(yyvsp[-3].pset, yyvsp[-1].pset, (int) yyvsp[0].val);
	}
break;
case 79:
#line 888 "pars.yacc"
{
	    setlength(cg, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(cg, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-2].pset);
#endif
	}
break;
case 80:
#line 895 "pars.yacc"
{
	    setlength(yyvsp[-4].pset, yyvsp[-2].pset, (int) yyvsp[0].val);
	    updatesetminmax(yyvsp[-4].pset, yyvsp[-2].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-4].pset, yyvsp[-2].pset);
#endif
	}
break;
case 81:
#line 902 "pars.yacc"
{
	    add_point(cg, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 82:
#line 905 "pars.yacc"
{
	    add_point(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].val, yyvsp[0].val, 0.0, 0.0, XY);
	}
break;
case 83:
#line 909 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(cg, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 84:
#line 917 "pars.yacc"
{
	    int start = (int) yyvsp[-2].val - 1;
	    int stop = (int) yyvsp[0].val - 1;
	    int dist = stop - start + 1;
	    if (dist > 0 && start >= 0) {
	        droppoints(yyvsp[-6].pset, yyvsp[-4].pset, start, stop, dist);
	    }
	}
break;
case 85:
#line 925 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[-2].pset)) {
	        sortset(cg, yyvsp[-2].pset, yyvsp[-1].pset, yyvsp[0].pset == ASCENDING ? 0 : 1);
	    } else {
		errmsg("Set not active!");
	    }
	}
break;
case 86:
#line 932 "pars.yacc"
{
	    do_copyset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 87:
#line 935 "pars.yacc"
{
	    do_copyset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 88:
#line 938 "pars.yacc"
{
	    do_moveset(cg, yyvsp[-2].pset, cg, yyvsp[0].pset);
	}
break;
case 89:
#line 941 "pars.yacc"
{
	    do_moveset(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	}
break;
case 90:
#line 945 "pars.yacc"
{
	    killset(cg, yyvsp[0].pset);
	}
break;
case 91:
#line 949 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		killset(cg, i);
	    }
	}
break;
case 92:
#line 955 "pars.yacc"
{ softkillset(cg, yyvsp[-1].pset); }
break;
case 93:
#line 957 "pars.yacc"
{
	    int i;
	    for (i = 0; i < g[cg].maxplot; i++) {
		softkillset(cg, i);
	    }
	}
break;
case 94:
#line 963 "pars.yacc"
{ kill_graph(yyvsp[0].pset); }
break;
case 95:
#line 964 "pars.yacc"
{ kill_graph(maxgraph); }
break;
case 96:
#line 965 "pars.yacc"
{ wipeout(0); }
break;
case 97:
#line 966 "pars.yacc"
{ arrange_graphs((int) yyvsp[-2].val, (int) yyvsp[0].val); }
break;
case 98:
#line 968 "pars.yacc"
{
	    int i, ilen = (int) yyvsp[-4].val;
	    if (ilen < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ilen > maxarr) {
		maxarr = ilen;
		init_scratch_arrays(ilen);
	    }
	    for (i = 0; i < ilen; i++) {
		yyvsp[-5].ptr[i] = yyvsp[-2].val + yyvsp[0].val * i;
	    }
	}
break;
case 99:
#line 982 "pars.yacc"
{
	    int setno = yyvsp[-3].pset, ideg = (int) yyvsp[-1].val;
	    do_regress(setno, ideg, 0, -1, 0);
	}
break;
case 100:
#line 987 "pars.yacc"
{
	    do_running_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 101:
#line 991 "pars.yacc"
{
	    do_fourier_command(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 102:
#line 995 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_CUBIC);
	}
break;
case 103:
#line 999 "pars.yacc"
{
	    do_spline(yyvsp[-7].pset, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val, SPLINE_AKIMA);
	}
break;
case 104:
#line 1003 "pars.yacc"
{
	    do_interp(yyvsp[-5].pset, yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 105:
#line 1007 "pars.yacc"
{
	    do_histo_command(yyvsp[-7].pset, -1, -1, yyvsp[-5].val, yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 106:
#line 1011 "pars.yacc"
{
	    do_differ(yyvsp[-3].pset, (int) yyvsp[-1].val);
	}
break;
case 107:
#line 1015 "pars.yacc"
{
	    do_int(yyvsp[-1].pset, 0);
	}
break;
case 108:
#line 1019 "pars.yacc"
{
	    do_xcor(yyvsp[-7].pset, yyvsp[-5].pset, (yyvsp[-3].val == BIASED) ? 0 : 1, (int) yyvsp[-1].val);
	}
break;
case 109:
#line 1023 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultgraph(cg);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 110:
#line 1039 "pars.yacc"
{
	    if (activeset(cg)) {
		defaultx(cg, -1);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
#ifndef GRBATCH
		update_world(cg);
#endif
#ifndef GRBATCH
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 111:
#line 1055 "pars.yacc"
{
	    if (activeset(cg)) {
		defaulty(cg, -1);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("No active sets!");
	    }
	}
break;
case 112:
#line 1069 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
		defaultsetgraph(cg, yyvsp[0].pset);
		default_axis(cg, g[cg].auto_type, X_AXIS);
		default_axis(cg, g[cg].auto_type, ZX_AXIS);
		default_axis(cg, g[cg].auto_type, Y_AXIS);
		default_axis(cg, g[cg].auto_type, ZY_AXIS);
#ifndef GRBATCH
		update_world(cg);
		drawgraph();
#endif
	    } else {
		errmsg("Set not active");
	    }
	}
break;
case 113:
#line 1085 "pars.yacc"
{
#ifndef GRBATCH
	    extern int go_locateflag;
	    go_locateflag = (yyvsp[0].pset == ON);
#endif
	}
break;
case 114:
#line 1092 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    cg = (int) yyvsp[0].pset;
	    defineworld(g[cg].w.xg1, g[cg].w.yg1, g[cg].w.xg2, g[cg].w.yg2, 
			islogx(cg), islogy(cg));
	    viewport(g[cg].v.xv1, g[cg].v.yv1, g[cg].v.xv2, g[cg].v.yv2);
#ifndef GRBATCH
	    draw_focus(cg);
#endif
	    update_all(cg);
	}
break;
case 115:
#line 1105 "pars.yacc"
{
#ifndef GRBATCH
	    draw_focus_flag = yyvsp[0].pset;
#endif
	}
break;
case 116:
#line 1110 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 117:
#line 1113 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 118:
#line 1116 "pars.yacc"
{
	    focus_policy = yyvsp[0].pset;
	}
break;
case 119:
#line 1119 "pars.yacc"
{
	    cursource = yyvsp[0].pset;
	}
break;
case 120:
#line 1122 "pars.yacc"
{
	    curtype = yyvsp[0].pset;
	    change_type = curtype;
	}
break;
case 121:
#line 1127 "pars.yacc"
{
	    readxformat = yyvsp[0].pset;
	}
break;
case 122:
#line 1131 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = curtype;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 123:
#line 1139 "pars.yacc"
{
	    gotbatch = TRUE;
	    strcpy(batchfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 124:
#line 1145 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, DISK, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 125:
#line 1150 "pars.yacc"
{
	    getdata(cg, (char *) yyvsp[0].pset, yyvsp[-1].pset, BLOCK);
	    free((char *) yyvsp[0].pset);
	}
break;
case 126:
#line 1155 "pars.yacc"
{
	    create_set_fromblock(cg, yyvsp[-1].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 127:
#line 1160 "pars.yacc"
{
	    gotread = TRUE;
	    readtype = yyvsp[-1].pset;
	    readsrc = cursource;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 128:
#line 1168 "pars.yacc"
{
	    gotread = TRUE;
	    strcpy(readfile, (char *) yyvsp[0].pset);
	    readtype = yyvsp[-2].pset;
	    readsrc = yyvsp[-1].pset;
	    free((char *) yyvsp[0].pset);
	}
break;
case 129:
#line 1176 "pars.yacc"
{
#ifndef GRBATCH
	    read_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 130:
#line 1183 "pars.yacc"
{
#ifndef GRBATCH
	    write_image((char *) yyvsp[0].pset);
#endif
	    free((char *) yyvsp[0].pset);
	}
break;
case 131:
#line 1190 "pars.yacc"
{
	    imagex = (int) yyvsp[-2].val;
	    imagey = (int) yyvsp[0].val;
	}
break;
case 132:
#line 1195 "pars.yacc"
{
	    outputset(cg, yyvsp[0].pset, (char *) NULL, (char *) NULL);
	}
break;
case 133:
#line 1199 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) NULL, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 134:
#line 1204 "pars.yacc"
{
	    outputset(cg, yyvsp[-2].pset, (char *) yyvsp[0].pset, (char *) NULL);
	    free((char *) yyvsp[0].pset);
	}
break;
case 135:
#line 1209 "pars.yacc"
{
	    outputset(cg, yyvsp[-4].pset, (char *) yyvsp[-2].pset, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[-2].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 136:
#line 1215 "pars.yacc"
{
            do_writesets(maxgraph, -1, 1, (char *) yyvsp[0].pset, sformat);
            free((char *) yyvsp[0].pset);
        }
break;
case 137:
#line 1219 "pars.yacc"
{
	    push_world();
	}
break;
case 138:
#line 1222 "pars.yacc"
{
	    pop_world();
	}
break;
case 139:
#line 1225 "pars.yacc"
{
	    cycle_world_stack();
	}
break;
case 140:
#line 1228 "pars.yacc"
{
	    if ((int) yyvsp[0].val > 0)
		show_world_stack((int) yyvsp[0].val - 1);
	}
break;
case 141:
#line 1233 "pars.yacc"
{
	    add_world(cg, yyvsp[-14].val, yyvsp[-12].val, yyvsp[-10].val, yyvsp[-8].val, yyvsp[-6].val, yyvsp[-4].val, yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 142:
#line 1236 "pars.yacc"
{
	    clear_world_stack();
	}
break;
case 143:
#line 1239 "pars.yacc"
{
	    do_clear_boxes();
	}
break;
case 144:
#line 1242 "pars.yacc"
{
	    curbox = next_box();
	}
break;
case 145:
#line 1245 "pars.yacc"
{
	    curbox = (int) yyvsp[0].val;
	}
break;
case 146:
#line 1248 "pars.yacc"
{
	    boxes[curbox].active = yyvsp[0].pset;
	}
break;
case 147:
#line 1251 "pars.yacc"
{
	    boxes[curbox].gno = yyvsp[0].pset;
	}
break;
case 148:
#line 1255 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].x1 = yyvsp[-6].val;
		boxes[curbox].y1 = yyvsp[-4].val;
		boxes[curbox].x2 = yyvsp[-2].val;
		boxes[curbox].y2 = yyvsp[0].val;
	    }
	}
break;
case 149:
#line 1263 "pars.yacc"
{
	    box_loctype = yyvsp[0].pset;
	}
break;
case 150:
#line 1266 "pars.yacc"
{
	    box_lines = checkon(LINESTYLE, box_lines, (int) yyvsp[0].val);
	}
break;
case 151:
#line 1269 "pars.yacc"
{
	    box_linew = checkon(LINEWIDTH, box_linew, (int) yyvsp[0].val);
	}
break;
case 152:
#line 1272 "pars.yacc"
{
	    box_color = checkon(COLOR, box_color, (int) yyvsp[0].val);
	}
break;
case 153:
#line 1275 "pars.yacc"
{
	    box_fill = yyvsp[0].pset;
	}
break;
case 154:
#line 1278 "pars.yacc"
{
	    box_fillcolor = checkon(COLOR, box_fillcolor, (int) yyvsp[0].val);
	}
break;
case 155:
#line 1281 "pars.yacc"
{
	    box_fillpat = checkon(PATTERN, box_fillpat, (int) yyvsp[0].val);
	}
break;
case 156:
#line 1285 "pars.yacc"
{
	    if (curbox >= 0 && curbox < maxboxes) {
		boxes[curbox].lines = box_lines;
		boxes[curbox].linew = box_linew;
		boxes[curbox].color = box_color;
		boxes[curbox].fill = box_fill;
		boxes[curbox].fillcolor = box_fillcolor;
		boxes[curbox].fillpattern = box_fillpat;
		boxes[curbox].loctype = box_loctype;
	    }
	}
break;
case 157:
#line 1296 "pars.yacc"
{
	    do_clear_ellipses();
	}
break;
case 158:
#line 1299 "pars.yacc"
{
		curellipse = next_ellipse();
	}
break;
case 159:
#line 1302 "pars.yacc"
{
	    curellipse = (int) yyvsp[0].val;
	}
break;
case 160:
#line 1305 "pars.yacc"
{
	    ellip[curellipse].active = yyvsp[0].pset;
	}
break;
case 161:
#line 1308 "pars.yacc"
{
	    ellip[curellipse].gno = yyvsp[0].pset;
	}
break;
case 162:
#line 1312 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].x1 = yyvsp[-6].val;
		ellip[curellipse].y1 = yyvsp[-4].val;
		ellip[curellipse].x2 = yyvsp[-2].val;
		ellip[curellipse].y2 = yyvsp[0].val;
	    }
	}
break;
case 163:
#line 1320 "pars.yacc"
{
	    ellipse_loctype = yyvsp[0].pset;
	}
break;
case 164:
#line 1323 "pars.yacc"
{
	    ellipse_lines = checkon(LINESTYLE, ellipse_lines, (int) yyvsp[0].val);
	}
break;
case 165:
#line 1326 "pars.yacc"
{
	    ellipse_linew = checkon(LINEWIDTH, ellipse_linew, (int) yyvsp[0].val);
	}
break;
case 166:
#line 1329 "pars.yacc"
{
	    ellipse_color = checkon(COLOR, ellipse_color, (int) yyvsp[0].val);
	}
break;
case 167:
#line 1332 "pars.yacc"
{
	    ellipse_fill = yyvsp[0].pset;
	}
break;
case 168:
#line 1335 "pars.yacc"
{
	    ellipse_fillcolor = checkon(COLOR, ellipse_fillcolor, (int) yyvsp[0].val);
	}
break;
case 169:
#line 1338 "pars.yacc"
{
	    ellipse_fillpat = checkon(PATTERN, ellipse_fillpat, (int) yyvsp[0].val);
	}
break;
case 170:
#line 1342 "pars.yacc"
{
	    if (curellipse >= 0 && curellipse < maxellipses) {
		ellip[curellipse].lines = ellipse_lines;
		ellip[curellipse].linew = ellipse_linew;
		ellip[curellipse].color = ellipse_color;
		ellip[curellipse].fill = ellipse_fill;
		ellip[curellipse].fillcolor = ellipse_fillcolor;
		ellip[curellipse].fillpattern = ellipse_fillpat;
		ellip[curellipse].loctype = ellipse_loctype;
	    }
	}
break;
case 171:
#line 1353 "pars.yacc"
{
	    curline = next_line();
	}
break;
case 172:
#line 1356 "pars.yacc"
{
	    curline = (int) yyvsp[0].val;
	}
break;
case 173:
#line 1359 "pars.yacc"
{
	    do_clear_lines();
	}
break;
case 174:
#line 1362 "pars.yacc"
{
	    lines[curline].active = yyvsp[0].pset;
	}
break;
case 175:
#line 1365 "pars.yacc"
{
	    lines[curline].gno = yyvsp[0].pset;
	}
break;
case 176:
#line 1369 "pars.yacc"
{
	    lines[curline].x1 = yyvsp[-6].val;
	    lines[curline].y1 = yyvsp[-4].val;
	    lines[curline].x2 = yyvsp[-2].val;
	    lines[curline].y2 = yyvsp[0].val;
	}
break;
case 177:
#line 1375 "pars.yacc"
{
	    line_loctype = yyvsp[0].pset;
	}
break;
case 178:
#line 1378 "pars.yacc"
{
	    line_linew = checkon(LINEWIDTH, line_linew, (int) yyvsp[0].val);
	}
break;
case 179:
#line 1381 "pars.yacc"
{
	    line_lines = checkon(LINESTYLE, line_lines, (int) yyvsp[0].val);
	}
break;
case 180:
#line 1384 "pars.yacc"
{
	    line_color = checkon(COLOR, line_color, (int) yyvsp[0].val);
	}
break;
case 181:
#line 1387 "pars.yacc"
{
	    line_arrow = checkon(ARROW, line_arrow, (int) yyvsp[0].val);
	}
break;
case 182:
#line 1390 "pars.yacc"
{
	    line_asize = yyvsp[0].val;
	}
break;
case 183:
#line 1393 "pars.yacc"
{
	    line_atype = (int) yyvsp[0].val;
	}
break;
case 184:
#line 1397 "pars.yacc"
{
	    if (curline >= 0 && curline < maxlines) {
		lines[curline].lines = line_lines;
		lines[curline].linew = line_linew;
		lines[curline].color = line_color;
		lines[curline].arrow = line_arrow;
		lines[curline].asize = line_asize;
		lines[curline].atype = line_atype;
		lines[curline].loctype = line_loctype;
	    }
	}
break;
case 185:
#line 1408 "pars.yacc"
{
	    do_clear_text();
	}
break;
case 186:
#line 1411 "pars.yacc"
{ curstring = next_string(); }
break;
case 187:
#line 1412 "pars.yacc"
{ curstring = (int) yyvsp[0].val; }
break;
case 188:
#line 1413 "pars.yacc"
{ pstr[curstring].active = yyvsp[0].pset; }
break;
case 189:
#line 1414 "pars.yacc"
{ pstr[curstring].gno = yyvsp[0].pset; }
break;
case 190:
#line 1416 "pars.yacc"
{
	    pstr[curstring].x = yyvsp[-2].val;
	    pstr[curstring].y = yyvsp[0].val;
	}
break;
case 191:
#line 1420 "pars.yacc"
{ string_loctype = yyvsp[0].pset; }
break;
case 192:
#line 1421 "pars.yacc"
{ string_linew = checkon(LINEWIDTH, string_linew, (int) yyvsp[0].val); }
break;
case 193:
#line 1422 "pars.yacc"
{ string_color = checkon(COLOR, string_color, (int) yyvsp[0].val); }
break;
case 194:
#line 1423 "pars.yacc"
{ string_rot = (int) yyvsp[0].val; }
break;
case 195:
#line 1424 "pars.yacc"
{ string_font = checkon(FONTP, string_font, (int) yyvsp[0].val); }
break;
case 196:
#line 1425 "pars.yacc"
{ string_just = checkon(JUST, string_just, (int) yyvsp[0].val); }
break;
case 197:
#line 1426 "pars.yacc"
{ string_size = yyvsp[0].val; }
break;
case 198:
#line 1428 "pars.yacc"
{
	    set_plotstr_string(&pstr[curstring], (char *) yyvsp[0].pset);
	    pstr[curstring].linew = string_linew;
	    pstr[curstring].color = string_color;
	    pstr[curstring].font = string_font;
	    pstr[curstring].just = string_just;
	    pstr[curstring].loctype = string_loctype;
	    pstr[curstring].rot = string_rot;
	    pstr[curstring].charsize = string_size;
	    free((char *) yyvsp[0].pset);
	}
break;
case 199:
#line 1439 "pars.yacc"
{ timestamp.active = yyvsp[0].pset; }
break;
case 200:
#line 1440 "pars.yacc"
{ timestamp.font = checkon(FONTP, timestamp.font, (int) yyvsp[0].val); }
break;
case 201:
#line 1441 "pars.yacc"
{ timestamp.charsize = yyvsp[0].val; }
break;
case 202:
#line 1442 "pars.yacc"
{ timestamp.color = checkon(COLOR, timestamp.color, (int) yyvsp[0].val); }
break;
case 203:
#line 1443 "pars.yacc"
{ timestamp.linew = checkon(LINEWIDTH, timestamp.linew, (int) yyvsp[-1].pset); }
break;
case 204:
#line 1445 "pars.yacc"
{
	    timestamp.x = yyvsp[-2].val;
	    timestamp.y = yyvsp[0].val;
	}
break;
case 205:
#line 1449 "pars.yacc"
{
	    grdefaults.lines = (int) yyvsp[0].val;
	}
break;
case 206:
#line 1452 "pars.yacc"
{
	    grdefaults.linew = (int) yyvsp[0].val;
	}
break;
case 207:
#line 1455 "pars.yacc"
{
	    grdefaults.color = (int) yyvsp[0].val;
	}
break;
case 208:
#line 1458 "pars.yacc"
{
	    grdefaults.charsize = yyvsp[0].val;
	}
break;
case 209:
#line 1461 "pars.yacc"
{
	    grdefaults.font = (int) yyvsp[0].val;
	}
break;
case 210:
#line 1464 "pars.yacc"
{
	    grdefaults.fontsrc = (int) yyvsp[0].val;
	}
break;
case 211:
#line 1467 "pars.yacc"
{
	    grdefaults.symsize = yyvsp[0].val;
	}
break;
case 212:
#line 1471 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[-6].val;
	    g[cg].w.yg1 = yyvsp[-4].val;
	    g[cg].w.xg2 = yyvsp[-2].val;
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 213:
#line 1477 "pars.yacc"
{
	    g[cg].w.xg1 = yyvsp[0].val;
	}
break;
case 214:
#line 1480 "pars.yacc"
{
	    g[cg].w.xg2 = yyvsp[0].val;
	}
break;
case 215:
#line 1483 "pars.yacc"
{
	    g[cg].w.yg1 = yyvsp[0].val;
	}
break;
case 216:
#line 1486 "pars.yacc"
{
	    g[cg].w.yg2 = yyvsp[0].val;
	}
break;
case 217:
#line 1490 "pars.yacc"
{
            g[cg].rt.xg1 = yyvsp[-2].val;
            g[cg].rt.yg1 = yyvsp[0].val;
        }
break;
case 218:
#line 1495 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[-6].val;
	    g[cg].v.yv1 = yyvsp[-4].val;
	    g[cg].v.xv2 = yyvsp[-2].val;
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 219:
#line 1501 "pars.yacc"
{
	    g[cg].v.xv1 = yyvsp[0].val;
	}
break;
case 220:
#line 1504 "pars.yacc"
{
	    g[cg].v.xv2 = yyvsp[0].val;
	}
break;
case 221:
#line 1507 "pars.yacc"
{
	    g[cg].v.yv1 = yyvsp[0].val;
	}
break;
case 222:
#line 1510 "pars.yacc"
{
	    g[cg].v.yv2 = yyvsp[0].val;
	}
break;
case 223:
#line 1513 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.title, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 224:
#line 1517 "pars.yacc"
{
	    g[cg].labs.title.font = checkon(FONTP, g[cg].labs.title.font, (int) yyvsp[0].val);
	}
break;
case 225:
#line 1520 "pars.yacc"
{
	    g[cg].labs.title.charsize = yyvsp[0].val;
	}
break;
case 226:
#line 1523 "pars.yacc"
{
	    g[cg].labs.title.color = checkon(COLOR, g[cg].labs.title.color, (int) yyvsp[0].val);
	}
break;
case 227:
#line 1527 "pars.yacc"
{
	    g[cg].labs.title.linew = checkon(LINEWIDTH, g[cg].labs.title.linew, (int) yyvsp[0].val);
	}
break;
case 228:
#line 1530 "pars.yacc"
{
	    set_plotstr_string(&g[cg].labs.stitle, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 229:
#line 1535 "pars.yacc"
{
	    g[cg].labs.stitle.font = checkon(FONTP, g[cg].labs.stitle.font, (int) yyvsp[0].val);
	}
break;
case 230:
#line 1538 "pars.yacc"
{
	    g[cg].labs.stitle.charsize = yyvsp[0].val;
	}
break;
case 231:
#line 1542 "pars.yacc"
{
	    g[cg].labs.stitle.color = checkon(COLOR, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 232:
#line 1546 "pars.yacc"
{
	    g[cg].labs.stitle.linew = checkon(LINEWIDTH, g[cg].labs.stitle.color, (int) yyvsp[0].val);
	}
break;
case 233:
#line 1549 "pars.yacc"
{
	    realloc_plots((int) yyvsp[0].val);
	}
break;
case 234:
#line 1552 "pars.yacc"
{
	    g[cg].l.active = yyvsp[0].pset;
	}
break;
case 235:
#line 1555 "pars.yacc"
{
	    g[cg].l.loctype = yyvsp[0].pset;
	}
break;
case 236:
#line 1558 "pars.yacc"
{
	    g[cg].l.layout = (int) yyvsp[0].val;
	}
break;
case 237:
#line 1561 "pars.yacc"
{
	    g[cg].l.vgap = (int) yyvsp[0].val;
	}
break;
case 238:
#line 1564 "pars.yacc"
{
	    g[cg].l.hgap = (int) yyvsp[0].val;
	}
break;
case 239:
#line 1567 "pars.yacc"
{
	    g[cg].l.len = (int) yyvsp[0].val;
	}
break;
case 240:
#line 1570 "pars.yacc"
{
	    g[cg].l.box = yyvsp[0].pset;
	}
break;
case 241:
#line 1573 "pars.yacc"
{
	    g[cg].l.boxfill = yyvsp[0].pset;
	}
break;
case 242:
#line 1576 "pars.yacc"
{
	    g[cg].l.boxfillusing = yyvsp[0].pset;
	}
break;
case 243:
#line 1580 "pars.yacc"
{
	    if (yyvsp[-1].pset == COLOR) {
		g[cg].l.boxfillcolor = (int) yyvsp[0].val;
	    } else {
		g[cg].l.boxfillpat = (int) yyvsp[0].val;
	    }
	}
break;
case 244:
#line 1587 "pars.yacc"
{
	    g[cg].l.boxlcolor = checkon(COLOR, g[cg].l.boxlcolor, (int) yyvsp[0].val);
	}
break;
case 245:
#line 1590 "pars.yacc"
{
	    g[cg].l.boxlines = checkon(LINESTYLE, g[cg].l.boxlines, (int) yyvsp[0].val);
	}
break;
case 246:
#line 1593 "pars.yacc"
{
	    g[cg].l.boxlinew = checkon(LINEWIDTH, g[cg].l.boxlinew, (int) yyvsp[0].val);
	}
break;
case 247:
#line 1596 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[-2].val;
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 248:
#line 1600 "pars.yacc"
{
	    g[cg].l.legx = yyvsp[0].val;
	}
break;
case 249:
#line 1603 "pars.yacc"
{
	    g[cg].l.legy = yyvsp[0].val;
	}
break;
case 250:
#line 1606 "pars.yacc"
{
	    g[cg].l.charsize = yyvsp[0].val;
	}
break;
case 251:
#line 1609 "pars.yacc"
{
	    g[cg].l.font = checkon(FONTP, g[cg].l.font, (int) yyvsp[0].val);
	}
break;
case 252:
#line 1612 "pars.yacc"
{
	    g[cg].l.lines = checkon(LINESTYLE, g[cg].l.lines, (int) yyvsp[0].val);
	}
break;
case 253:
#line 1615 "pars.yacc"
{
	    g[cg].l.linew = checkon(LINEWIDTH, g[cg].l.linew, (int) yyvsp[0].val);
	}
break;
case 254:
#line 1618 "pars.yacc"
{
	    g[cg].l.color = checkon(COLOR, g[cg].l.color, (int) yyvsp[0].val);
	}
break;
case 255:
#line 1621 "pars.yacc"
{
	    strcpy(g[cg].p[(int) yyvsp[-1].val].lstr, (char *) yyvsp[0].pset);
	    free((char *) yyvsp[0].pset);
	}
break;
case 256:
#line 1625 "pars.yacc"
{
	    g[cg].f.active = yyvsp[0].pset;
	}
break;
case 257:
#line 1628 "pars.yacc"
{
	    g[cg].f.type = (int) yyvsp[0].val;
	}
break;
case 258:
#line 1631 "pars.yacc"
{
	    g[cg].f.lines = checkon(LINESTYLE, g[cg].f.lines, (int) yyvsp[0].val);
	}
break;
case 259:
#line 1634 "pars.yacc"
{
	    g[cg].f.linew = checkon(LINEWIDTH, g[cg].f.linew, (int) yyvsp[0].val);
	}
break;
case 260:
#line 1637 "pars.yacc"
{
	    g[cg].f.color = checkon(COLOR, g[cg].f.color, (int) yyvsp[0].val);
	}
break;
case 261:
#line 1640 "pars.yacc"
{ g[cg].f.fillbg = yyvsp[0].pset; }
break;
case 262:
#line 1641 "pars.yacc"
{ g[cg].f.bgcolor = (int) yyvsp[0].val; }
break;
case 263:
#line 1642 "pars.yacc"
{ g[yyvsp[-1].pset].active = yyvsp[0].pset; }
break;
case 264:
#line 1643 "pars.yacc"
{ g[yyvsp[-2].pset].label = yyvsp[0].pset; }
break;
case 265:
#line 1644 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 266:
#line 1645 "pars.yacc"
{ g[yyvsp[-3].pset].auto_type = yyvsp[0].pset; }
break;
case 267:
#line 1646 "pars.yacc"
{ g[yyvsp[-2].pset].parmsread = (yyvsp[0].pset == FALSEP); }
break;
case 268:
#line 1647 "pars.yacc"
{ g[yyvsp[-2].pset].hidden = (yyvsp[0].pset == TRUEP); }
break;
case 269:
#line 1648 "pars.yacc"
{ g[yyvsp[-2].pset].type = yyvsp[0].pset; }
break;
case 270:
#line 1649 "pars.yacc"
{ g[yyvsp[-3].pset].barwid = yyvsp[0].val; }
break;
case 271:
#line 1650 "pars.yacc"
{ g[yyvsp[-3].pset].sbarwid = yyvsp[0].val; }
break;
case 272:
#line 1651 "pars.yacc"
{ g[yyvsp[-2].pset].pointset = (yyvsp[0].pset == ON); }
break;
case 273:
#line 1653 "pars.yacc"
{
	    g[yyvsp[-4].pset].fx = yyvsp[-1].pset;
	    g[yyvsp[-4].pset].fy = yyvsp[0].pset;
	}
break;
case 274:
#line 1658 "pars.yacc"
{
	    g[yyvsp[-5].pset].px = yyvsp[-2].val;
	    g[yyvsp[-5].pset].py = yyvsp[0].val;
	}
break;
case 275:
#line 1663 "pars.yacc"
{
	    g[yyvsp[-5].pset].dsx = yyvsp[-2].val;
	    g[yyvsp[-5].pset].dsy = yyvsp[0].val;
	}
break;
case 276:
#line 1667 "pars.yacc"
{ g[yyvsp[-3].pset].pt_type = (int) yyvsp[0].val; }
break;
case 277:
#line 1668 "pars.yacc"
{ realloc_graph_plots(yyvsp[-3].pset, (int) yyvsp[0].val); }
break;
case 278:
#line 1672 "pars.yacc"
{ g[cg].vp.vscale = yyvsp[0].val; }
break;
case 279:
#line 1673 "pars.yacc"
{ g[cg].vp.active = yyvsp[0].pset; }
break;
case 280:
#line 1674 "pars.yacc"
{ g[cg].vp.linew = (int) yyvsp[0].val; }
break;
case 281:
#line 1675 "pars.yacc"
{ g[cg].vp.lines = (int) yyvsp[0].val; }
break;
case 282:
#line 1676 "pars.yacc"
{ g[cg].vp.color = (int) yyvsp[0].val; }
break;
case 283:
#line 1677 "pars.yacc"
{ g[cg].vp.loctype = yyvsp[0].pset; }
break;
case 284:
#line 1678 "pars.yacc"
{ g[cg].vp.arrowtype = (int) yyvsp[0].val; }
break;
case 285:
#line 1682 "pars.yacc"
{ yyval.pset = XY; }
break;
case 286:
#line 1683 "pars.yacc"
{ yyval.pset = XYARC; }
break;
case 287:
#line 1684 "pars.yacc"
{ yyval.pset = XYBOX; }
break;
case 288:
#line 1685 "pars.yacc"
{ yyval.pset = XYBOXPLOT; }
break;
case 289:
#line 1686 "pars.yacc"
{ yyval.pset = XYHILO; }
break;
case 290:
#line 1687 "pars.yacc"
{ yyval.pset = XYRT; }
break;
case 291:
#line 1688 "pars.yacc"
{ yyval.pset = XYSEG; }
break;
case 292:
#line 1689 "pars.yacc"
{ yyval.pset = XYSTRING; }
break;
case 293:
#line 1690 "pars.yacc"
{ yyval.pset = XYDX; }
break;
case 294:
#line 1691 "pars.yacc"
{ yyval.pset = XYDY; }
break;
case 295:
#line 1692 "pars.yacc"
{ yyval.pset = XYDXDX; }
break;
case 296:
#line 1693 "pars.yacc"
{ yyval.pset = XYDYDY; }
break;
case 297:
#line 1694 "pars.yacc"
{ yyval.pset = XYDXDY; }
break;
case 298:
#line 1695 "pars.yacc"
{ yyval.pset = XYX2Y2; }
break;
case 299:
#line 1696 "pars.yacc"
{ yyval.pset = XYXX; }
break;
case 300:
#line 1697 "pars.yacc"
{ yyval.pset = XYYY; }
break;
case 301:
#line 1698 "pars.yacc"
{ yyval.pset = XYZ; }
break;
case 302:
#line 1699 "pars.yacc"
{ yyval.pset = XYZW; }
break;
case 303:
#line 1700 "pars.yacc"
{ yyval.pset = XYUV; }
break;
case 304:
#line 1701 "pars.yacc"
{ yyval.pset = TSV; }
break;
case 305:
#line 1702 "pars.yacc"
{ yyval.pset = NXY; }
break;
case 306:
#line 1703 "pars.yacc"
{ yyval.pset = BIN; }
break;
case 307:
#line 1704 "pars.yacc"
{ yyval.pset = POLY; }
break;
case 308:
#line 1705 "pars.yacc"
{ yyval.pset = RAWSPICE; }
break;
case 309:
#line 1709 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 310:
#line 1710 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 311:
#line 1711 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 312:
#line 1712 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 313:
#line 1713 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 314:
#line 1714 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 315:
#line 1715 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 316:
#line 1716 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 317:
#line 1717 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 318:
#line 1718 "pars.yacc"
{ yyval.pset = XY;		/* not active */ }
break;
case 319:
#line 1719 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 320:
#line 1720 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 321:
#line 1721 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 322:
#line 1725 "pars.yacc"
{ yyval.pset = FREE; }
break;
case 323:
#line 1726 "pars.yacc"
{ yyval.pset = LANDSCAPE; }
break;
case 324:
#line 1727 "pars.yacc"
{ yyval.pset = PORTRAIT; }
break;
case 325:
#line 1728 "pars.yacc"
{ yyval.pset = FIXED; }
break;
case 333:
#line 1756 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 334:
#line 1759 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 335:
#line 1762 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, TYPE, yyvsp[0].pset, 0);
	}
break;
case 336:
#line 1765 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, MISSINGP, yyvsp[0].val, 0);
	}
break;
case 337:
#line 1768 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, PREC, (int) yyvsp[0].val, 0);
	}
break;
case 338:
#line 1771 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FORMAT, yyvsp[0].pset, 0);
	}
break;
case 339:
#line 1774 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 340:
#line 1777 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, FILL, (int) yyvsp[0].val, 0);
	}
break;
case 341:
#line 1780 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CENTER, (yyvsp[0].pset == TRUEP), 0);
	}
break;
case 342:
#line 1783 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SIZE, yyvsp[0].val, 0);
	}
break;
case 343:
#line 1786 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, CHAR, (int) yyvsp[0].val, 0);
	}
break;
case 344:
#line 1789 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 345:
#line 1792 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, COLOR, (int) yyvsp[0].val, 0);
	}
break;
case 346:
#line 1795 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 347:
#line 1798 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SYMBOL, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 348:
#line 1801 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 349:
#line 1804 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, TYPE, (int) yyvsp[0].val, 0);
	}
break;
case 350:
#line 1807 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, WITH, yyvsp[0].pset, 0);
	}
break;
case 351:
#line 1810 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, FILL, yyvsp[-1].pset, (int) yyvsp[0].val, 0);
	}
break;
case 352:
#line 1813 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, SKIP, (int) yyvsp[0].val, 0);
	}
break;
case 353:
#line 1816 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LENGTH, yyvsp[0].val, 0);
	}
break;
case 354:
#line 1819 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, TYPE, yyvsp[0].pset, 0);
	}
break;
case 355:
#line 1822 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 356:
#line 1825 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 357:
#line 1828 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, ACTIVE, yyvsp[0].pset, 0);
	}
break;
case 358:
#line 1831 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINEWIDTH, (int) yyvsp[0].val, 0);
	}
break;
case 359:
#line 1834 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, ERRORBAR, RISER, LINESTYLE, (int) yyvsp[0].val, 0);
	}
break;
case 360:
#line 1837 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, XYZ, yyvsp[-2].val, yyvsp[0].val, 0);
	}
break;
case 361:
#line 1840 "pars.yacc"
{
	    set_prop(whichgraph, SET, SETNUM, whichset, COMMENT, (char *) yyvsp[0].pset, 0);
	    free((char *) yyvsp[0].pset);
	}
break;
case 377:
#line 1871 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[0].pset, 0.0);
	}
break;
case 378:
#line 1874 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 379:
#line 1877 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 380:
#line 1880 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 381:
#line 1883 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].val);
	}
break;
case 382:
#line 1886 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-2].pset, yyvsp[0].val);
	}
break;
case 383:
#line 1889 "pars.yacc"
{
	    set_axis_prop(whichgraph, naxis, yyvsp[-1].pset, yyvsp[0].pset);
	}
break;
case 388:
#line 1899 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].active = yyvsp[0].pset;
	    }
	}
break;
case 391:
#line 1913 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_flag = yyvsp[0].pset;
	        g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	    }
	}
break;
case 392:
#line 1919 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_flag = yyvsp[0].pset;
	    }
	}
break;
case 393:
#line 1924 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mflag = yyvsp[0].pset;
	    }
	}
break;
case 394:
#line 1929 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmajor = yyvsp[0].val;
	    }
	}
break;
case 395:
#line 1934 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tminor = yyvsp[0].val;
	    }
	}
break;
case 396:
#line 1939 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].offsx = yyvsp[0].val;
	    }
	}
break;
case 397:
#line 1944 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].offsy = yyvsp[0].val;
	    }
	}
break;
case 398:
#line 1949 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].alt = yyvsp[0].pset;
	    }
	}
break;
case 399:
#line 1954 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmin = yyvsp[0].val;
	    }
	}
break;
case 400:
#line 1959 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tmax = yyvsp[0].val;
	    }
	}
break;
case 401:
#line 1964 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_num = (int) yyvsp[0].val;
	    }
	}
break;
case 402:
#line 1969 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_inout = yyvsp[0].pset;
	    }
	}
break;
case 403:
#line 1974 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_log = yyvsp[0].pset;
	    }
	}
break;
case 404:
#line 1979 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_size = yyvsp[0].val;
	    }
	}
break;
case 405:
#line 1984 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_size = yyvsp[0].val;
	    }
	}
break;
case 406:
#line 1989 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_msize = yyvsp[0].val;
	    }
	}
break;
case 407:
#line 1994 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_color = g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 408:
#line 1999 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_linew = g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 409:
#line 2004 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_color = (int) yyvsp[0].val;
	    }
	}
break;
case 410:
#line 2009 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 411:
#line 2014 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_linew = (int) yyvsp[0].val;
	    }
	}
break;
case 412:
#line 2019 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 413:
#line 2024 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_lines = (int) yyvsp[0].val;
	    }
	}
break;
case 414:
#line 2029 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mlines = (int) yyvsp[0].val;
	    }
	}
break;
case 415:
#line 2034 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_gridflag = yyvsp[0].pset;
	    }
	}
break;
case 416:
#line 2039 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_mgridflag = yyvsp[0].pset;
	    }
	}
break;
case 417:
#line 2044 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_op = yyvsp[0].pset;
	    }
	}
break;
case 418:
#line 2049 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_type = AUTO;
	    }
	}
break;
case 419:
#line 2054 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_type = SPEC;
	    }
	}
break;
case 420:
#line 2059 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_spec = (int) yyvsp[0].val;
	    }
	}
break;
case 421:
#line 2064 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_specloc[(int) yyvsp[-2].val] = yyvsp[0].val;
	    }
	}
break;
case 424:
#line 2077 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_flag = yyvsp[0].pset;
	    }
	}
break;
case 425:
#line 2082 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_type = AUTO;
	    }
	}
break;
case 426:
#line 2087 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_type = SPEC;
	    }
	}
break;
case 427:
#line 2092 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_prec = (int) yyvsp[0].val;
	    }
	}
break;
case 428:
#line 2097 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_format = yyvsp[0].pset;
	    }
	}
break;
case 429:
#line 2102 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_format = yyvsp[0].val;
	    }
	}
break;
case 430:
#line 2107 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        strcpy(g[cg].t[naxis].tl_appstr, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 431:
#line 2113 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        strcpy(g[cg].t[naxis].tl_prestr, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 432:
#line 2119 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = HORIZONTAL;
	    }
	}
break;
case 433:
#line 2124 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = VERTICAL;
	    }
	}
break;
case 434:
#line 2129 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = SPEC;
	    }
	}
break;
case 435:
#line 2134 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = ON;
	    }
	}
break;
case 436:
#line 2139 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = CENTER;
	    }
	}
break;
case 437:
#line 2144 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = LEFT;
	    }
	}
break;
case 438:
#line 2149 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_layout = RIGHT;
	    }
	}
break;
case 439:
#line 2154 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_angle = (int) yyvsp[0].val;
	    }
	}
break;
case 440:
#line 2159 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_just = (int) yyvsp[0].pset;
	    }
	}
break;
case 441:
#line 2164 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_skip = (int) yyvsp[0].val;
	    }
	}
break;
case 442:
#line 2169 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_staggered = (int) yyvsp[0].val;
	    }
	}
break;
case 443:
#line 2174 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_op = yyvsp[0].pset;
	    }
	}
break;
case 444:
#line 2179 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_sign = yyvsp[0].pset;
	    }
	}
break;
case 445:
#line 2184 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_start = yyvsp[0].val;
	    }
	}
break;
case 446:
#line 2189 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stop = yyvsp[0].val;
	    }
	}
break;
case 447:
#line 2194 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	    }
	}
break;
case 448:
#line 2199 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_starttype = (int) yyvsp[0].pset;
	    }
	}
break;
case 449:
#line 2204 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	    }
	}
break;
case 450:
#line 2209 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_stoptype = (int) yyvsp[0].pset;
	    }
	}
break;
case 451:
#line 2214 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_vgap = yyvsp[0].val;
	    }
	}
break;
case 452:
#line 2219 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_hgap = yyvsp[0].val;
	    }
	}
break;
case 453:
#line 2224 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_charsize = yyvsp[0].val;
	    }
	}
break;
case 454:
#line 2229 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_font = (int) yyvsp[0].val;
	    }
	}
break;
case 455:
#line 2234 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_color = (int) yyvsp[0].val;
	    }
	}
break;
case 456:
#line 2239 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].tl_linew = (int) yyvsp[0].val;
	    }
	}
break;
case 457:
#line 2244 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        set_plotstr_string(&g[cg].t[naxis].t_speclab[(int) yyvsp[-2].val], (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 458:
#line 2253 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        set_plotstr_string(&g[cg].t[naxis].label, (char *) yyvsp[0].pset);
	    }
	    free((char *) yyvsp[0].pset);
	}
break;
case 459:
#line 2259 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_layout = PERP;
	    }
	}
break;
case 460:
#line 2264 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_layout = PARA;
	    }
	}
break;
case 461:
#line 2269 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_place = yyvsp[0].pset;
	    }
	}
break;
case 462:
#line 2274 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label_place = yyvsp[0].pset;
	    }
	}
break;
case 463:
#line 2279 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.x = yyvsp[-2].val;
	        g[cg].t[naxis].label.y = yyvsp[0].val;
	    }
	}
break;
case 464:
#line 2285 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.just = (int) yyvsp[0].pset;
	    }
	}
break;
case 465:
#line 2290 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.charsize = yyvsp[0].val;
	    }
	}
break;
case 466:
#line 2295 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.font = (int) yyvsp[0].val;
	    }
	}
break;
case 467:
#line 2300 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.color = (int) yyvsp[0].val;
	    }
	}
break;
case 468:
#line 2305 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].label.linew = (int) yyvsp[0].val;
	    }
	}
break;
case 469:
#line 2313 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbar = yyvsp[0].pset;
	    }
	}
break;
case 470:
#line 2318 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarcolor = (int) yyvsp[0].val;
	    }
	}
break;
case 471:
#line 2323 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarlines = (int) yyvsp[0].val;
	    }
	}
break;
case 472:
#line 2328 "pars.yacc"
{
	    if (naxis >= 0 && naxis < MAXAXES) {
	        g[cg].t[naxis].t_drawbarlinew = (int) yyvsp[0].val;
	    }
	}
break;
case 473:
#line 2337 "pars.yacc"
{
	    whichgraph = yyvsp[-2].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 474:
#line 2342 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 475:
#line 2347 "pars.yacc"
{
	    whichgraph = cg;
	    whichset = yyvsp[0].pset;
	}
break;
case 476:
#line 2352 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 477:
#line 2357 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 478:
#line 2362 "pars.yacc"
{
	    whichgraph = yyvsp[-1].pset;
	    whichset = yyvsp[0].pset;
	}
break;
case 479:
#line 2368 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 480:
#line 2369 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 481:
#line 2370 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 482:
#line 2371 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 483:
#line 2372 "pars.yacc"
{ yyval.pset = yyvsp[0].pset; }
break;
case 484:
#line 2375 "pars.yacc"
{ yyval.pset = ON; }
break;
case 485:
#line 2376 "pars.yacc"
{ yyval.pset = OFF; }
break;
case 486:
#line 2379 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 487:
#line 2380 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 488:
#line 2383 "pars.yacc"
{ yyval.pset = RUNAVG; }
break;
case 489:
#line 2384 "pars.yacc"
{ yyval.pset = RUNSTD; }
break;
case 490:
#line 2385 "pars.yacc"
{ yyval.pset = RUNMED; }
break;
case 491:
#line 2386 "pars.yacc"
{ yyval.pset = RUNMAX; }
break;
case 492:
#line 2387 "pars.yacc"
{ yyval.pset = RUNMIN; }
break;
case 493:
#line 2390 "pars.yacc"
{ yyval.pset = DFT; }
break;
case 494:
#line 2391 "pars.yacc"
{ yyval.pset = FFT; }
break;
case 495:
#line 2392 "pars.yacc"
{ yyval.pset = INVDFT; }
break;
case 496:
#line 2393 "pars.yacc"
{ yyval.pset = INVFFT; }
break;
case 497:
#line 2397 "pars.yacc"
{ yyval.val = BIASED; }
break;
case 498:
#line 2398 "pars.yacc"
{ yyval.val = UNBIASED; }
break;
case 499:
#line 2401 "pars.yacc"
{ yyval.pset = DISK; }
break;
case 500:
#line 2402 "pars.yacc"
{ yyval.pset = PIPE; }
break;
case 501:
#line 2405 "pars.yacc"
{ yyval.pset = PATTERN; }
break;
case 502:
#line 2406 "pars.yacc"
{ yyval.pset = COLOR; }
break;
case 503:
#line 2407 "pars.yacc"
{ yyval.pset = NONE; }
break;
case 504:
#line 2410 "pars.yacc"
{ yyval.pset = TOP; }
break;
case 505:
#line 2411 "pars.yacc"
{ yyval.pset = BOTTOM; }
break;
case 506:
#line 2412 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 507:
#line 2413 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 508:
#line 2414 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 509:
#line 2417 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 510:
#line 2418 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 511:
#line 2419 "pars.yacc"
{ yyval.pset = CENTER; }
break;
case 512:
#line 2422 "pars.yacc"
{ yyval.pset = MINP; }
break;
case 513:
#line 2423 "pars.yacc"
{ yyval.pset = MAXP; }
break;
case 514:
#line 2426 "pars.yacc"
{ yyval.pset = AVG; }
break;
case 515:
#line 2427 "pars.yacc"
{ yyval.pset = SD; }
break;
case 516:
#line 2430 "pars.yacc"
{ yyval.pset = TRUEP; }
break;
case 517:
#line 2431 "pars.yacc"
{ yyval.pset = FALSEP; }
break;
case 518:
#line 2434 "pars.yacc"
{ yyval.pset = IN; }
break;
case 519:
#line 2435 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 520:
#line 2436 "pars.yacc"
{ yyval.pset = BOTH; }
break;
case 521:
#line 2439 "pars.yacc"
{ yyval.pset = DECIMAL; }
break;
case 522:
#line 2440 "pars.yacc"
{ yyval.pset = EXPONENTIAL; }
break;
case 523:
#line 2441 "pars.yacc"
{ yyval.pset = POWER; }
break;
case 524:
#line 2442 "pars.yacc"
{ yyval.pset = GENERAL; }
break;
case 525:
#line 2443 "pars.yacc"
{ yyval.pset = DDMMYY; }
break;
case 526:
#line 2444 "pars.yacc"
{ yyval.pset = MMDDYY; }
break;
case 527:
#line 2445 "pars.yacc"
{ yyval.pset = YYMMDD; }
break;
case 528:
#line 2446 "pars.yacc"
{ yyval.pset = MMYY; }
break;
case 529:
#line 2447 "pars.yacc"
{ yyval.pset = MMDD; }
break;
case 530:
#line 2448 "pars.yacc"
{ yyval.pset = MONTHDAY; }
break;
case 531:
#line 2449 "pars.yacc"
{ yyval.pset = DAYMONTH; }
break;
case 532:
#line 2450 "pars.yacc"
{ yyval.pset = MONTHS; }
break;
case 533:
#line 2451 "pars.yacc"
{ yyval.pset = MONTHSY; }
break;
case 534:
#line 2452 "pars.yacc"
{ yyval.pset = MONTHL; }
break;
case 535:
#line 2453 "pars.yacc"
{ yyval.pset = DAYOFWEEKS; }
break;
case 536:
#line 2454 "pars.yacc"
{ yyval.pset = DAYOFWEEKL; }
break;
case 537:
#line 2455 "pars.yacc"
{ yyval.pset = DAYOFYEAR; }
break;
case 538:
#line 2456 "pars.yacc"
{ yyval.pset = HMS; }
break;
case 539:
#line 2457 "pars.yacc"
{ yyval.pset = MMDDHMS; }
break;
case 540:
#line 2458 "pars.yacc"
{ yyval.pset = MMDDYYHMS; }
break;
case 541:
#line 2459 "pars.yacc"
{ yyval.pset = YYMMDDHMS; }
break;
case 542:
#line 2460 "pars.yacc"
{ yyval.pset = DEGREESLON; }
break;
case 543:
#line 2461 "pars.yacc"
{ yyval.pset = DEGREESMMLON; }
break;
case 544:
#line 2462 "pars.yacc"
{ yyval.pset = DEGREESMMSSLON; }
break;
case 545:
#line 2463 "pars.yacc"
{ yyval.pset = MMSSLON; }
break;
case 546:
#line 2464 "pars.yacc"
{ yyval.pset = DEGREESLAT; }
break;
case 547:
#line 2465 "pars.yacc"
{ yyval.pset = DEGREESMMLAT; }
break;
case 548:
#line 2466 "pars.yacc"
{ yyval.pset = DEGREESMMSSLAT; }
break;
case 549:
#line 2467 "pars.yacc"
{ yyval.pset = MMSSLAT; }
break;
case 550:
#line 2470 "pars.yacc"
{ yyval.pset = NORMAL; }
break;
case 551:
#line 2471 "pars.yacc"
{ yyval.pset = ABSOLUTE; }
break;
case 552:
#line 2472 "pars.yacc"
{ yyval.pset = NEGATE; }
break;
case 553:
#line 2475 "pars.yacc"
{ yyval.pset = UP; }
break;
case 554:
#line 2476 "pars.yacc"
{ yyval.pset = DOWN; }
break;
case 555:
#line 2477 "pars.yacc"
{ yyval.pset = RIGHT; }
break;
case 556:
#line 2478 "pars.yacc"
{ yyval.pset = LEFT; }
break;
case 557:
#line 2479 "pars.yacc"
{ yyval.pset = IN; }
break;
case 558:
#line 2480 "pars.yacc"
{ yyval.pset = OUT; }
break;
case 559:
#line 2483 "pars.yacc"
{ yyval.pset = WORLD; }
break;
case 560:
#line 2484 "pars.yacc"
{ yyval.pset = VIEW; }
break;
case 561:
#line 2487 "pars.yacc"
{ yyval.pset = ASCENDING; }
break;
case 562:
#line 2488 "pars.yacc"
{ yyval.pset = DESCENDING; }
break;
case 563:
#line 2491 "pars.yacc"
{ yyval.pset = X; }
break;
case 564:
#line 2492 "pars.yacc"
{ yyval.pset = Y; }
break;
case 565:
#line 2495 "pars.yacc"
{ yyval.pset = X; }
break;
case 566:
#line 2496 "pars.yacc"
{ yyval.pset = Y; }
break;
case 567:
#line 2497 "pars.yacc"
{ yyval.pset = X0; }
break;
case 568:
#line 2498 "pars.yacc"
{ yyval.pset = Y0; }
break;
case 569:
#line 2499 "pars.yacc"
{ yyval.pset = Y1; }
break;
case 570:
#line 2500 "pars.yacc"
{ yyval.pset = Y2; }
break;
case 571:
#line 2501 "pars.yacc"
{ yyval.pset = Y3; }
break;
case 572:
#line 2502 "pars.yacc"
{ yyval.pset = Y4; }
break;
case 573:
#line 2503 "pars.yacc"
{ yyval.pset = Y5; }
break;
case 574:
#line 2508 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    if (itmp >= ls) {
		yyerror("Subscript out of range");
		return 1;
	    } else {
		yyvsp[-5].ptr[itmp] = yyvsp[0].val;
		result = yyvsp[0].val;
	    }
	}
break;
case 575:
#line 2519 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, curset, yyvsp[-3].val);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, curset);
#ifndef GRBATCH
	    update_set_status(cg, curset);
#endif
	}
break;
case 576:
#line 2536 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(cg, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(cg, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(cg, yyvsp[-7].pset);
#endif
	}
break;
case 577:
#line 2553 "pars.yacc"
{
	    set_prop(cg, SET, SETNUM, yyvsp[-4].pset, SYMBOL, TYPE, (int) yyvsp[0].val, 0);
	    result = 0;
	}
break;
case 578:
#line 2565 "pars.yacc"
{
	    int itmp = (int) yyvsp[-3].val - 1;
	    double *ptr = getvptr(yyvsp[-9].pset, yyvsp[-7].pset, yyvsp[-5].pset);
	    if (ptr != NULL) {
	        ptr[itmp] = yyvsp[0].val;
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    result = yyvsp[0].val;
	    updatesetminmax(yyvsp[-9].pset, yyvsp[-7].pset);
#ifndef GRBATCH
	    update_set_status(yyvsp[-9].pset, yyvsp[-7].pset);
#endif
	}
break;
case 579:
#line 2585 "pars.yacc"
{
	    if (yyvsp[-2].pset == X) {
		*xx = yyvsp[0].val;
	    } else {
		*yy = yyvsp[0].val;
	    }
	}
break;
case 580:
#line 2596 "pars.yacc"
{
	    int i;
	    if (ls < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (ls > maxarr) {
		maxarr = ls;
		init_scratch_arrays(ls);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].ptr[i];
	    }
	    result = yyvsp[0].ptr[0];
	}
break;
case 581:
#line 2611 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 582:
#line 2636 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, cg, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 583:
#line 2645 "pars.yacc"
{
	    if (isactive_set(cg, yyvsp[0].pset)) {
	        do_copyset(cg, yyvsp[0].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 584:
#line 2654 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, cg, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 585:
#line 2663 "pars.yacc"
{
	    if (isactive_set(yyvsp[-2].pset, yyvsp[0].pset)) {
	        do_copyset(yyvsp[-2].pset, yyvsp[0].pset, yyvsp[-6].pset, yyvsp[-4].pset);
	    } else {
		yyerror("Right value set not active");
	    }
	    result = 0;
	}
break;
case 586:
#line 2671 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 587:
#line 2696 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].ptr[i];
	        }
	        result = yyvsp[0].ptr[0];
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 588:
#line 2721 "pars.yacc"
{
	    int i;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyvsp[-2].ptr[i] = yyvsp[0].val;
	    }
	    result = yyvsp[0].val;
	}
break;
case 589:
#line 2736 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, curset)) {
		activateset(cg, curset);
		setlength(cg, curset, lxy);
		setcomment(cg, curset, "Created");
	    }
	    ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, curset);
#ifndef GRBATCH
	        update_set_status(cg, curset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 590:
#line 2761 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(cg, yyvsp[-4].pset)) {
		activateset(cg, yyvsp[-4].pset);
		setlength(cg, yyvsp[-4].pset, lxy);
		setcomment(cg, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(cg, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(cg, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 591:
#line 2786 "pars.yacc"
{
	    int i;
	    double *ptr;
	    if (!isactive_set(yyvsp[-6].pset, yyvsp[-4].pset)) {
		activateset(yyvsp[-6].pset, yyvsp[-4].pset);
		setlength(yyvsp[-6].pset, yyvsp[-4].pset, lxy);
		setcomment(yyvsp[-6].pset, yyvsp[-4].pset, "Created");
	    }
	    ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
	        for (i = 0; i < lxy; i++) {
		    ptr[i] = yyvsp[0].val;
	        }
	        result = yyvsp[0].val;
	        updatesetminmax(yyvsp[-6].pset, yyvsp[-4].pset);
#ifndef GRBATCH
	        update_set_status(yyvsp[-6].pset, yyvsp[-4].pset);
#endif
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 592:
#line 2814 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (lxy < 0) {
		yyerror("Length of array < 0");
		return 1;
	    } else if (lxy > maxarr) {
		maxarr = lxy;
		init_scratch_arrays(lxy);
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].ptr[i];
	    }
	}
break;
case 593:
#line 2830 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, curset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 594:
#line 2844 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(cg, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 595:
#line 2858 "pars.yacc"
{
	    int i;
	    double *ptr = getvptr(yyvsp[-4].pset, yyvsp[-2].pset, yyvsp[0].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ptr[i];
	    }
	}
break;
case 596:
#line 2872 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].val;
	    }
	}
break;
case 597:
#line 2881 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].val;
	    }
	}
break;
case 598:
#line 2890 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].ptr[i];
	    }
	}
break;
case 599:
#line 2899 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val + yyvsp[0].ptr[i];
	    }
	}
break;
case 600:
#line 2908 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] + yyvsp[0].val;
	    }
	}
break;
case 601:
#line 2917 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].val;
	    }
	}
break;
case 602:
#line 2926 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].ptr[i];
	    }
	}
break;
case 603:
#line 2935 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val - yyvsp[0].ptr[i];
	    }
	}
break;
case 604:
#line 2944 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] - yyvsp[0].val;
	    }
	}
break;
case 605:
#line 2953 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].val;
	    }
	}
break;
case 606:
#line 2962 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].ptr[i];
	    }
	}
break;
case 607:
#line 2971 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val * yyvsp[0].ptr[i];
	    }
	}
break;
case 608:
#line 2980 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] * yyvsp[0].val;
	    }
	}
break;
case 609:
#line 2989 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].val;
	    }
	}
break;
case 610:
#line 3002 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].ptr[i];
	    }
	}
break;
case 611:
#line 3017 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		if (yyvsp[0].ptr[i] == 0.0) {
		    yyerror("Divide by Zero");
		    return 1;
		}
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].val / yyvsp[0].ptr[i];
	    }
	}
break;
case 612:
#line 3032 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    if (yyvsp[0].val == 0.0) {
		yyerror("Divide by Zero");
		return 1;
	    }
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] / yyvsp[0].val;
	    }
	}
break;
case 613:
#line 3045 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].val);
	    }
	}
break;
case 614:
#line 3054 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].val, yyvsp[0].ptr[i]);
	    }
	}
break;
case 615:
#line 3063 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].val);
	    }
	}
break;
case 616:
#line 3072 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = pow(yyvsp[-2].ptr[i], yyvsp[0].ptr[i]);
	    }
	}
break;
case 617:
#line 3081 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].val);
	    }
	}
break;
case 618:
#line 3090 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fabs(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 619:
#line 3099 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 620:
#line 3108 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = acosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 621:
#line 3117 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 622:
#line 3126 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = asinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 623:
#line 3135 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 624:
#line 3144 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 625:
#line 3153 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = atan2(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 626:
#line 3162 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = ceil(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 627:
#line 3171 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cos(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 628:
#line 3180 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = cosh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 629:
#line 3189 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] *= M_PI / 180.0;
	    }
	}
break;
case 630:
#line 3198 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erf(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 631:
#line 3207 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = erfc(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 632:
#line 3216 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = exp(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 633:
#line 3225 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = floor(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 634:
#line 3234 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 635:
#line 3243 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 636:
#line 3252 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 637:
#line 3261 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 638:
#line 3270 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = i + 1;
	    }
	}
break;
case 639:
#line 3279 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[0].func;
	    }
	}
break;
case 640:
#line 3288 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (int) yyvsp[-1].ptr[i];
	    }
	}
break;
case 641:
#line 3297 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invnorm(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 642:
#line 3306 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	    }
	}
break;
case 643:
#line 3315 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = invt(yyvsp[-3].ptr[i], (int) yyvsp[-1].val);
	    }
	}
break;
case 644:
#line 3324 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lrand48() % (long) (yyvsp[-1].val);
	    }
	}
break;
case 645:
#line 3333 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = lgamma(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 646:
#line 3342 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 647:
#line 3351 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = log10(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 648:
#line 3360 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = 1.0 / (1.0 + exp(-(yyvsp[-5].ptr[i] - yyvsp[-3].val)/ yyvsp[-1].val));
	    }
	}
break;
case 649:
#line 3369 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] >= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 650:
#line 3378 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-3].ptr[i] <= yyvsp[-1].ptr[i] ? yyvsp[-3].ptr[i] : yyvsp[-1].ptr[i];
	    }
	}
break;
case 651:
#line 3387 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fmod(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 652:
#line 3396 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = fx(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 653:
#line 3405 "pars.yacc"
{
	    int i;
	    double tmp;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = normp(yyvsp[-1].ptr[i], &tmp);
	    }
	}
break;
case 654:
#line 3415 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI;
	    }
	}
break;
case 655:
#line 3424 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = M_PI / 180.0;
	    }
	}
break;
case 656:
#line 3433 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = (double) drand48();
	    }
	}
break;
case 657:
#line 3442 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].ptr[i]);
	    }
	}
break;
case 658:
#line 3451 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].ptr[i]);
	    }
	}
break;
case 659:
#line 3460 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].ptr[i], yyvsp[-1].val);
	    }
	}
break;
case 660:
#line 3469 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	    }
	}
break;
case 661:
#line 3478 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sin(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 662:
#line 3487 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sinh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 663:
#line 3496 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i] * yyvsp[-1].ptr[i];
	    }
	}
break;
case 664:
#line 3505 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = sqrt(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 665:
#line 3514 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tan(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 666:
#line 3523 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = tanh(yyvsp[-1].ptr[i]);
	    }
	}
break;
case 667:
#line 3531 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
	        if ((int) yyvsp[-4].ptr[i]) {
		    yyval.ptr[i] = yyvsp[-2].ptr[i];
	        } else {
		    yyval.ptr[i] = yyvsp[0].ptr[i];
	        }
	    }
	}
break;
case 668:
#line 3544 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] > yyvsp[0].ptr[i];
	    }
	}
break;
case 669:
#line 3553 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] < yyvsp[0].ptr[i];
	    }
	}
break;
case 670:
#line 3562 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] <= yyvsp[0].ptr[i];
	    }
	}
break;
case 671:
#line 3571 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] >= yyvsp[0].ptr[i];
	    }
	}
break;
case 672:
#line 3580 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] == yyvsp[0].ptr[i];
	    }
	}
break;
case 673:
#line 3589 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] != yyvsp[0].ptr[i];
	    }
	}
break;
case 674:
#line 3598 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] && yyvsp[0].ptr[i];
	    }
	}
break;
case 675:
#line 3607 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-2].ptr[i] || yyvsp[0].ptr[i];
	    }
	}
break;
case 676:
#line 3616 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = !(yyvsp[0].ptr[i]);
	    }
	}
break;
case 677:
#line 3625 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = yyvsp[-1].ptr[i];
	    }
	}
break;
case 678:
#line 3633 "pars.yacc"
{
	    int i;
	    yyval.ptr = (double *) calloc(lxy, sizeof(double));
	    freelist[fcnt++] = yyval.ptr;
	    for (i = 0; i < lxy; i++) {
		yyval.ptr[i] = -yyvsp[0].ptr[i];
	    }
	}
break;
case 680:
#line 3644 "pars.yacc"
{
	    yyval.val = yyvsp[0].val;
	}
break;
case 681:
#line 3647 "pars.yacc"
{
	    yyval.val = yyvsp[-3].ptr[(int) yyvsp[-1].val];
	}
break;
case 682:
#line 3650 "pars.yacc"
{
	    yyval.val = (yyvsp[0].pset == X) ? *xx : *yy;
	}
break;
case 683:
#line 3653 "pars.yacc"
{
	    double *ptr = getvptr(cg, curset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 684:
#line 3663 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 685:
#line 3673 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-7].pset, yyvsp[-5].pset, yyvsp[-3].pset);
	    if (ptr != NULL) {
		yyval.val = ptr[(int) yyvsp[-1].val - 1];
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 686:
#line 3683 "pars.yacc"
{
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[cg].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 687:
#line 3698 "pars.yacc"
{
	    double *ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[yyvsp[-6].pset].p[yyvsp[-4].pset].len);
		break;
	    }
	}
break;
case 688:
#line 3713 "pars.yacc"
{
	    double *ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr == NULL) {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	    switch (yyvsp[0].pset) {
	    case MINP:
		yyval.val = vmin(ptr, g[cg].p[curset].len);
		break;
	    case MAXP:
		yyval.val = vmax(ptr, g[cg].p[curset].len);
		break;
	    }
	}
break;
case 689:
#line 3728 "pars.yacc"
{
	    yyval.val = g[cg].p[yyvsp[-2].pset].len;
	}
break;
case 690:
#line 3731 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(yyvsp[-6].pset, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(yyvsp[-6].pset, yyvsp[-4].pset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 691:
#line 3750 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(cg, yyvsp[-4].pset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(cg, yyvsp[-4].pset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 692:
#line 3769 "pars.yacc"
{
	    double bar, sd;
	    double *ptr = getvptr(cg, curset, yyvsp[-2].pset);
	    if (ptr != NULL) {
		stasum(ptr, getsetlength(cg, curset), &bar, &sd, 0);
                switch (yyvsp[0].pset) {
                case AVG:;
	            yyval.val = bar;
                    break;
                case SD:
                    yyval.val = sd;
                    break;
                }
	    }
	    else {
		yyerror("NULL variable, check set type");
		return 1;
	    }
	}
break;
case 693:
#line 3788 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val + yyvsp[0].val;
	}
break;
case 694:
#line 3791 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val - yyvsp[0].val;
	}
break;
case 695:
#line 3794 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val * yyvsp[0].val;
	}
break;
case 696:
#line 3798 "pars.yacc"
{
	    if (yyvsp[0].val != 0.0) {
		yyval.val = yyvsp[-2].val / yyvsp[0].val;
	    } else {
		yyerror("Divide by Zero");
		return 1;
	    }
	}
break;
case 697:
#line 3806 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 698:
#line 3809 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-2].val, yyvsp[0].val);
	}
break;
case 699:
#line 3812 "pars.yacc"
{
	    yyval.val = fabs(yyvsp[-1].val);
	}
break;
case 700:
#line 3815 "pars.yacc"
{
	    yyval.val = acos(yyvsp[-1].val);
	}
break;
case 701:
#line 3818 "pars.yacc"
{
	    yyval.val = acosh(yyvsp[-1].val);
	}
break;
case 702:
#line 3821 "pars.yacc"
{
	    yyval.val = asin(yyvsp[-1].val);
	}
break;
case 703:
#line 3824 "pars.yacc"
{
	    yyval.val = asinh(yyvsp[-1].val);
	}
break;
case 704:
#line 3827 "pars.yacc"
{
	    yyval.val = atan(yyvsp[-1].val);
	}
break;
case 705:
#line 3830 "pars.yacc"
{
	    yyval.val = atanh(yyvsp[-1].val);
	}
break;
case 706:
#line 3833 "pars.yacc"
{
	    yyval.val = atan2(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 707:
#line 3836 "pars.yacc"
{
	    yyval.val = ceil(yyvsp[-1].val);
	}
break;
case 708:
#line 3839 "pars.yacc"
{
	    yyval.val = cos(yyvsp[-1].val);
	}
break;
case 709:
#line 3842 "pars.yacc"
{
	    yyval.val = cosh(yyvsp[-1].val);
	}
break;
case 710:
#line 3845 "pars.yacc"
{
	    yyval.val = 180.0 / M_PI;
	}
break;
case 711:
#line 3848 "pars.yacc"
{
	    yyval.val = erf(yyvsp[-1].val);
	}
break;
case 712:
#line 3851 "pars.yacc"
{
	    yyval.val = erfc(yyvsp[-1].val);
	}
break;
case 713:
#line 3854 "pars.yacc"
{
	    yyval.val = exp(yyvsp[-1].val);
	}
break;
case 714:
#line 3857 "pars.yacc"
{
	    yyval.val = floor(yyvsp[-1].val);
	}
break;
case 715:
#line 3860 "pars.yacc"
{
	    yyval.val = my_hypot(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 716:
#line 3863 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv1;
	}
break;
case 717:
#line 3866 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.xv2;
	}
break;
case 718:
#line 3869 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv1;
	}
break;
case 719:
#line 3872 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].v.yv2;
	}
break;
case 720:
#line 3875 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg1;
	}
break;
case 721:
#line 3878 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.xg2;
	}
break;
case 722:
#line 3881 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg1;
	}
break;
case 723:
#line 3884 "pars.yacc"
{
	    yyval.val = g[yyvsp[-2].pset].w.yg2;
	}
break;
case 724:
#line 3887 "pars.yacc"
{
	    yyval.val = g[cg].v.xv1;
	}
break;
case 725:
#line 3890 "pars.yacc"
{
	    yyval.val = g[cg].v.xv2;
	}
break;
case 726:
#line 3893 "pars.yacc"
{
	    yyval.val = g[cg].v.yv1;
	}
break;
case 727:
#line 3896 "pars.yacc"
{
	    yyval.val = g[cg].v.yv2;
	}
break;
case 728:
#line 3899 "pars.yacc"
{
	    yyval.val = g[cg].w.xg1;
	}
break;
case 729:
#line 3902 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2;
	}
break;
case 730:
#line 3905 "pars.yacc"
{
	    yyval.val = g[cg].w.yg1;
	}
break;
case 731:
#line 3908 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2;
	}
break;
case 732:
#line 3911 "pars.yacc"
{
	    yyval.val = g[cg].w.xg2 - g[cg].w.xg1;
	}
break;
case 733:
#line 3914 "pars.yacc"
{
	    yyval.val = g[cg].w.yg2 - g[cg].w.yg1;
	}
break;
case 734:
#line 3917 "pars.yacc"
{
	    yyval.val = setindex;
	}
break;
case 735:
#line 3920 "pars.yacc"
{
	    yyval.val = setsetno;
	}
break;
case 736:
#line 3923 "pars.yacc"
{
	    yyval.val = (long) yyvsp[-1].val;
	}
break;
case 737:
#line 3926 "pars.yacc"
{
	    yyval.val = invnorm(yyvsp[-1].val);
	}
break;
case 738:
#line 3929 "pars.yacc"
{
	    yyval.val = invt(yyvsp[-3].val, (int) yyvsp[-1].val);
	}
break;
case 739:
#line 3932 "pars.yacc"
{
	    yyval.val = lrand48() % (long) (yyvsp[-1].val);
	}
break;
case 740:
#line 3935 "pars.yacc"
{ /* yr, mo, day */
	    yyval.val = julday((int) yyvsp[-3].val, (int) yyvsp[-1].val, (int) yyvsp[-5].val, 12, 0, 0.0);
	}
break;
case 741:
#line 3939 "pars.yacc"
{ /* yr, mo, day, hr, min, sec */
	    yyval.val = julday((int) yyvsp[-9].val, (int) yyvsp[-7].val, (int) yyvsp[-11].val, (int) yyvsp[-5].val, (int) yyvsp[-3].val, (double) yyvsp[-1].val);
	}
break;
case 742:
#line 3942 "pars.yacc"
{
	    yyval.val = lgamma(yyvsp[-1].val);
	}
break;
case 743:
#line 3945 "pars.yacc"
{
	    yyval.val = log(yyvsp[-1].val);
	}
break;
case 744:
#line 3948 "pars.yacc"
{
	    yyval.val = log10(yyvsp[-1].val);
	}
break;
case 745:
#line 3952 "pars.yacc"
{
	    yyval.val = 1.0 / (1.0 + exp(-(yyvsp[-5].val - yyvsp[-3].val)/ yyvsp[-1].val));
	}
break;
case 746:
#line 3955 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val >= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 747:
#line 3958 "pars.yacc"
{
	    yyval.val = yyvsp[-3].val <= yyvsp[-1].val ? yyvsp[-3].val : yyvsp[-1].val;
	}
break;
case 748:
#line 3961 "pars.yacc"
{
	    yyval.val = fmod(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 749:
#line 3964 "pars.yacc"
{
	    yyval.val = fx(yyvsp[-1].val);
	}
break;
case 750:
#line 3967 "pars.yacc"
{
	    double tmp;
	    yyval.val = normp(yyvsp[-1].val, &tmp);
	}
break;
case 751:
#line 3971 "pars.yacc"
{
	    yyval.val = M_PI;
	}
break;
case 752:
#line 3974 "pars.yacc"
{
	    yyval.val = M_PI / 180.0;
	}
break;
case 753:
#line 3977 "pars.yacc"
{
	    yyval.val = (double) drand48();
	}
break;
case 754:
#line 3980 "pars.yacc"
{
	    yyval.val = rnorm(yyvsp[-3].val, yyvsp[-1].val);
	}
break;
case 755:
#line 3983 "pars.yacc"
{
	    yyval.val = sin(yyvsp[-1].val);
	}
break;
case 756:
#line 3986 "pars.yacc"
{
	    yyval.val = sinh(yyvsp[-1].val);
	}
break;
case 757:
#line 3989 "pars.yacc"
{
	    yyval.val = pow(yyvsp[-1].val, 2.0);
	}
break;
case 758:
#line 3992 "pars.yacc"
{
	    yyval.val = sqrt(yyvsp[-1].val);
	}
break;
case 759:
#line 3995 "pars.yacc"
{
	    yyval.val = tan(yyvsp[-1].val);
	}
break;
case 760:
#line 3998 "pars.yacc"
{
	    yyval.val = tanh(yyvsp[-1].val);
	}
break;
case 761:
#line 4001 "pars.yacc"
{
	    if ((int) yyvsp[-4].val) {
		yyval.val = yyvsp[-2].val;
	    } else {
		yyval.val = yyvsp[0].val;
	    }
	}
break;
case 762:
#line 4008 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val > yyvsp[0].val;
	}
break;
case 763:
#line 4011 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val < yyvsp[0].val;
	}
break;
case 764:
#line 4014 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val <= yyvsp[0].val;
	}
break;
case 765:
#line 4017 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val >= yyvsp[0].val;
	}
break;
case 766:
#line 4020 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val == yyvsp[0].val;
	}
break;
case 767:
#line 4023 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val != yyvsp[0].val;
	}
break;
case 768:
#line 4026 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val && yyvsp[0].val;
	}
break;
case 769:
#line 4029 "pars.yacc"
{
	    yyval.val = yyvsp[-2].val || yyvsp[0].val;
	}
break;
case 770:
#line 4032 "pars.yacc"
{
	    yyval.val = !(yyvsp[0].val);
	}
break;
case 771:
#line 4035 "pars.yacc"
{
	    yyval.val = yyvsp[-1].val;
	}
break;
case 772:
#line 4038 "pars.yacc"
{
	    yyval.val = -yyvsp[0].val;
	}
break;
#line 11268 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: after reduction, shifting from state 0 to\
 state %d\n", YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("yydebug: state %d, reading %d (%s)\n",
                        YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("yydebug: after reduction, shifting from state %d \
to state %d\n", *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
